<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);

if($_SESSION['U']['user_type'] != 1){
	header('location:dashboard.php');
	exit;
}
if(isset($_REQUEST['id']))
{
	$BuyerID = $_REQUEST['id'];
	$curr_val = $prop->get('*',USERS, array('id'=>$BuyerID));
	
	$token = $prop->getName('tot_request_token','wallet_table','user_provider_id = '.$BuyerID);
	$token_val = $token == '' ? 0 : $token;
}
?>
<!DOCTYPE html>

<html lang="en">

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16"  href="img/logo-sise.jpg">
    <title>Buyer Details</title>
    <!-- Bootstrap Core CSS -->
    <link href="bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="plugins/bower_components/bootstrap-extension/css/bootstrap-extension.css" rel="stylesheet">
    <!--alerts CSS -->
    <link href="plugins/bower_components/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
    <!-- Menu CSS -->
    <link href="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.css" rel="stylesheet">
    <!-- Animation CSS -->
    <link href="css/animate.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/custom-style.css" rel="stylesheet">
    <!-- data table css -->
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
	<link href="plugins/bower_components/custom-select/custom-select.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/bootstrap-select/bootstrap-select.min.css" rel="stylesheet" />
    <link href="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" type="text/css" />
    <!-- data table css ends-->
    <!-- color CSS you can use different color css from css/colors folder -->
    <!-- We have chosen the skin-blue (blue.css) for this starter
          page. However, you can choose any other skin from folder css / colors .
-->
   <link href="css/colors/default-dark.css" id="theme" rel="stylesheet">
    <!--<link href="css/colors/blue.css" id="theme" rel="stylesheet">-->
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
<link href="css/colors/gray.css" id="theme" rel="stylesheet">
<link href="css/style-owns.css" id="theme" rel="stylesheet">
<link href="plugins/bower_components/multiSelectCheckbox/bootstrap-multiselect.css" rel="stylesheet" type="text/css"/>
<?php include 'inc/head_tag_script.php';?>
<style>
.info-icons{color:#0066FF}
</style>
</head>

<body>
<?php include 'inc/after_the_opening_body_tag.php';?>
    <!-- Preloader -->
    <div class="preloader">
        <div class="cssload-speeding-wheel"></div>
    </div>
    <div id="wrapper">
        <!-- include header -->
        <?php include 'header.php';?>
        <!-- header ends-->
        <!-- Left navbar-header -->
        <?php include 'left-sidebar.php';?>
        <!-- Left navbar-header end -->
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row bg-title">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <h3>Buyer Profile</h3>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>	
                <div class="row">
                     <div class="col-md-12">
                           <div class="white-box">   
                                <h3 class="box-title">Buyer Details</h3>
                                <div class="col-md-6 comapny-info">
                                    <p><label class="form-label"><i class="fa fa-user" aria-hidden="true"></i>
                                    Full Name: <span class="info-icons"><?php echo $curr_val['fname']." ".$curr_val['lname'];?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-industry" aria-hidden="true"></i>
                                    Company Name: <span class="info-icons"><?php echo $curr_val['cName'];?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-envelope"></i>
                                    Email: <span class="info-icons"><?php echo $curr_val['email'];?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-tag"></i>
                                    Tags: <span class="info-icons"><?php 
										$tags = json_decode($curr_val['tags'],true);
										foreach($tags as $tag)
										echo $tag.", ";
									?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-key"></i>
                                    Token Count: <span class="info-icons"><?php echo $token_val;?></span></label></p>                                    
                                </div>
                                <div class="col-md-6 comapny-info comp-col-2">   
                                	<p><label class="form-label"><i class="fa fa-globe"></i>
                                    Address: <span class="info-icons"><?php echo $curr_val['address'];?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-building-o"></i>
                                    City: <span class="info-icons"><?php echo $curr_val['city'];?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-flag" aria-hidden="true"></i>
                                    State: <span class="info-icons"><?php 
                                        echo $prop->getName('State','state_list','id = '.$curr_val['state']);
                                    ?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-file-archive-o"></i>
                                    Zip: <span class="info-icons"><?php echo $curr_val['zip'];?></span></label></p> 
                                    <p><label class="form-label"><i class="fa fa-phone"></i>
                                    Phone: <span class="info-icons"><?php echo $curr_val['phone'];?></span></label></p>                                    
                                </div>
                                <div class="clearfix"></div>
                                
                            </div>
                        <div class="clearfix"></div>
                    </div>
                </div>                    
            </div>	
            
            
            <!-- /.container-fluid -->
           
        </div>
         <?php include "footer.php" ?>
        <!-- /#page-wrapper -->
    </div>
    
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="plugins/bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bootstrap/dist/js/tether.min.js"></script>
    <script src="bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="plugins/bower_components/bootstrap-extension/js/bootstrap-extension.min.js"></script>
    <!-- Menu Plugin JavaScript -->
    <script src="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js"></script>
    <!--slimscroll JavaScript -->
    <script src="js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="js/waves.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="js/custom.min.js"></script>
	  <script src="js/validator.js"></script>
    <!-- Sweet-Alert  -->
    <script src="plugins/bower_components/sweetalert/sweetalert.min.js"></script>
    <script src="plugins/bower_components/sweetalert/jquery.sweet-alert.custom.js"></script>
	<script src="plugins/bower_components/custom-select/custom-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-select/bootstrap-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.js" type="text/javascript"></script>
    <!--<script type="text/javascript" src="plugins/bower_components/multiselect/js/jquery.multi-select.js"></script>-->
	
    <!--Style Switcher -->
    <script src="plugins/bower_components/styleswitcher/jQuery.style.switcher.js"></script>
    <!-- data table -->
    <script src="plugins/bower_components/datatables/jquery.dataTables.min.js"></script>
    
    
</body>

</html>