<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
require_once('inc/apiFunctions.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
$services_url_demo = 'https://services9.arcgis.com/FqUmlsIE88WK7ZlW/arcgis/rest/services/demo_sql/FeatureServer';
$tablename = 'HugesDataSet';
$sqlquery = 'select * from '.$tablename.' where add_to_map = 0 limit 300';
echo $sqlquery;
$row=$prop->getAll_Disp($sqlquery);
for($i=0; $i<count($row); $i++)
{
	$id = $row[$i]["id"];
	$name = $row[$i]["name"];
	$state = $row[$i]["state"]; 
	$city = $row[$i]["city"]; 
	$zip = $row[$i]["zip"]; 
	$store_type = $row[$i]["store_type"]; 
	$address = $row[$i]["address"]; 
	$raw_status = $row[$i]["status"]; 
	
	$oc_status = 'Open';
	if($raw_status == 0)
	$oc_status = 'Any';
	else if($raw_status == 1)
	$oc_status = 'Close';
	
	$ahc_orl = 2;
	
	
	
	$lat = $row[$i]["lat"];
	$lng = $row[$i]["lng"];
	$action          = "adds"; //adds,updates,deletes
	$jsondata        = '[{"geometry" : {"x": '.$lng.',"y": '.$lat.',"spatialReference": {"wkid": 4326}},"attributes" : {"name" : "'.$name.'","state" : "'.$state.'", "city" : "'.$city.'", "zip" : "'.$zip.'", "store_type" : "'.$store_type.'", "address" : "'.$address.'", "raw_status" : "'.$raw_status.'", "oc_status" : "'.$oc_status.'", "ahc_orl" : "'.$ahc_orl.'"}}]';
	
	$msg =  applyEdits($client_id,$client_secret,$services_url_demo,$action,$jsondata);
	$msg = json_decode($msg, true); 
	$status = $msg['addResults'][0]['success'];
	$objectId = $msg['addResults'][0]['objectId'];
	$uniqueId =$msg['addResults'][0]['uniqueId'];
	if($status)
	{
		$t_cond = array("id" => $id);
		$values = array("add_to_map" => 1);
		
		$s = $prop->update($tablename, $values, $t_cond);
		if($s){
			echo 'Successfully added, MAP object Id is '.$objectId."<br>";
		}	
	}
}
?>