<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
require_once('vendor/autoload.php');
require_once('inc/smsFunction.php');

$CornData = $prop->get('*','admin_setting', array('option_name'=>'cron_details'));
//print_r( $CornData );
$CrData = array();
if(!empty($CornData)) {
    $CrData = json_decode($CornData['option_value'],true);
}
//print_r($CrData);
$plusTime = 60*1;
if(!empty($CrData) and $CrData['hours'] != 0)
	$plusTime = 60*60*$CrData['hours'];
else if(!empty($CrData) and $CrData['minutes'] != 0)
	$plusTime = 60*$CrData['minutes'];

//echo $plusTime;

$current_timestamp = strtotime();
$date = date('Y-m-d h:i:s');
$currentTime = strtotime($date);
$futureTime = $currentTime+($plusTime);
$enquirysql = "SELECT  * from enquiry where status = 0 and mail_send_count < 8 and (next_cron_runtime = '0' or next_cron_runtime <= ".$currentTime.")";
echo $enquirysql;
$EF=$prop->getAll_Disp($enquirysql);
echo "Count:".count($EF);
if(count($EF)>0)
{
	for($i=0; $i<count($EF); $i++)
	{
		$replyCount = $prop->getName('count(enquiryID)','venderReply','enquiryID = '.$EF[$i]['id']);
		if($replyCount > 0)
		{
			
			//$API_KEY = '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';		
			$Email_Template = $prop->get('*','Email_Template', array('status'=>0));
			
			/*Subject*/
			$subject_data		=	$Email_Template['requestStatusSubject'];
			$catName = $prop->getName('name','categories','id = '.$EF[$i]['category']);
			$phoneNo = $prop->getName('phone',USERS,'id = '.$EF[$i]['uid']);
			$token_sub = array(
				'CATEGORY'  => $catName
			);
			$pattern_sub = '[%s]';
			foreach($token_sub as $keySub=>$valSub){
				$varMapSub[sprintf($pattern_sub,$keySub)] = $valSub;
			}
			$subject = strtr($subject_data,$varMapSub);
			
			/*Body*/
			$Emailbody	=	base64_decode( $Email_Template['requestStatusBody'] );
			
			$token = array(
				'CATEGORY'  => $catName,
				'LOGO_URL'  => 'https://ppe.siseusa.org/img/ahclogo.png',
				'REQUEST_LINK'  => 'https://ppe.siseusa.org/buyer-single-details.php?id='.$EF[$i]['id']
			);
			$pattern = '[%s]';
			foreach($token as $key=>$val){
				$varMap[sprintf($pattern,$key)] = $val;
			}
			$Emailbody = strtr($Emailbody,$varMap);
		
			$body			=	$Emailbody;	
			$email			= new \SendGrid\Mail\Mail();
			$email->setFrom("support@siseusa.org", "PPE Vendor");
			$email->setSubject($subject);
			
			$email->addTo($EF[$i]['email'], 'Request Status');
			//$email->addTo('praveshdeveloper@gmail.com', 'Request Status');
			
			$email->addContent(
				"text/html", $body
			);
			$keyval = $Email_Template['apiKey_requestStatus'];
			$sendgrid = new \SendGrid($keyval);
			try {
				$response = $sendgrid->send($email);
				$t_cond = array("id" => $EF[$i]['id']);
				$current_date_time = date('Y-m-d h:i:s');
				$values = array("mail_send_count" => ($EF[$i]['mail_send_count']+1),"last_cron_runtime" => $currentTime,"next_cron_runtime" => $futureTime);
				$s = $prop->update('enquiry', $values, $t_cond);				
				echo 'Success';
			} catch (Exception $e) {
				$errMsg =  'Caught exception: '. $e->getMessage() ."\n";
				echo $errMsg;
			}
			
			try {
				$Ccode = '1';
				$smsbody = "Update: Your request for: ".$catName." has ".$replyCount." of replies";
				$sid = sendSms($phoneNo, $smsbody, $Ccode);
				
				echo $sid;
			} catch (Exception $e) {
				$errMsg =  'Caught exception: '. $e->getMessage() ."\n";
				echo $errMsg;
			}
		
		}
		
	}
}	
?>