<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
if($_SESSION['U']['user_type'] != 1){
	header('location:dashboard.php');
	exit;
}

$where_filter = ' where status != 2';
$listFilter = $prop->getAll('*',INVENTRY, $where_filter, '', 0, 0);

?>
<!DOCTYPE html>

<html lang="en">

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16"  href="img/logo-sise.jpg">
    <title>Inventory View</title>
    <!-- Bootstrap Core CSS -->
    <link href="bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="plugins/bower_components/bootstrap-extension/css/bootstrap-extension.css" rel="stylesheet">
    <!--alerts CSS -->
    <link href="plugins/bower_components/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
    <!-- Menu CSS -->
    <link href="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.css" rel="stylesheet">
    <!-- Animation CSS -->
    <link href="css/animate.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/custom-style.css" rel="stylesheet">
    <!-- data table css -->
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
	<link href="plugins/bower_components/custom-select/custom-select.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/bootstrap-select/bootstrap-select.min.css" rel="stylesheet" />
    <!--<link href="plugins/bower_components/multiselect/css/multi-select.css" rel="stylesheet" type="text/css" />-->
    <link href="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" type="text/css" />
    <!-- data table css ends-->
    <!-- color CSS you can use different color css from css/colors folder -->
    <!-- We have chosen the skin-blue (blue.css) for this starter
          page. However, you can choose any other skin from folder css / colors .
-->
   <link href="css/colors/default-dark.css" id="theme" rel="stylesheet">
    <!--<link href="css/colors/blue.css" id="theme" rel="stylesheet">-->
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
<style>
#accordion .card{margin-bottom:10px;}
#accordion .card .card-link{font-weight: 700;color:#55616c !important}
.email_alert{max-width:150px;margin-top:5px;padding: 5px 12px; height:34px;}


.multiselect-container.dropdown-menu .checkbox input[type=checkbox]{opacity:1}
.multiselect.dropdown-toggle.btn.btn-default{background: none;box-shadow: none;width: 100%;height: 35px !important;font-weight: 300;}
.multiselect-native-select .btn-group,.open > .dropdown-menu{width:100%}
.dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus{background-color: transparent;
    color: #333;}
input.form-control.multiselect-search{max-width:80%;}
.multiselect-filter .input-group-btn{margin-right: 10px;}	
.multiselect-clear-filter{box-shadow: none;}
.select2.select2-container.select2-container--default{display:none !important;}
.footer{left:0px !important}
</style>
<style>
#myUL {
  list-style-type: none;
}

#myUL {
  margin: 0;
  padding: 0;
}

#myUL .caret {
display:block;
  cursor: pointer;
  -webkit-user-select: none; /* Safari 3.1+ */
  -moz-user-select: none; /* Firefox 2+ */
  -ms-user-select: none; /* IE 10+ */
  user-select: none;
}

#myUL .caret::before {
  content: "\25B6";
  color: black;
  display: inline-block;
  margin-right: 6px;
}

#myUL .caret-down::before {
  -ms-transform: rotate(90deg); /* IE 9 */
  -webkit-transform: rotate(90deg); /* Safari */'
  transform: rotate(90deg);  
}

.nested {
  display: none;
}

.active {
  display: block;
}
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: #ffffff;
    background-color: #0e5589;
    border-color: #0e5589 #0e5589 #0e5589;
}
.nav-tabs {
    border: 1px solid #ecf0f4;
}
ol.auto-checkboxes.bonsai label {
    margin-left: 7px;
}
.nav-tabs>li>a {
    border-radius: 0;
    color: #2b2b2b;
    font-weight: 600;
    font-size:13px;
}
@media (max-width: 766px)
{
.nav{display: block;}
.nav-tabs > li{float:none;border-bottom: 1px solid #f1f1f1;}
.filter-row .col-md-3{margin-bottom:15px;}
}
</style>
<link href="css/colors/gray.css" id="theme" rel="stylesheet">
<link href="css/style-owns.css" id="theme" rel="stylesheet">
<link href="plugins/bower_components/multiSelectCheckbox/bootstrap-multiselect.css" rel="stylesheet" type="text/css"/>
<?php include 'inc/head_tag_script.php';?>
</head>

<body>
<?php include 'inc/after_the_opening_body_tag.php';?>
    <!-- Preloader -->
    <div class="preloader">
        <div class="cssload-speeding-wheel"></div>
    </div>
    <div id="wrapper">
        <!-- include header -->
        <?php include 'header.php';?>
        <!-- header ends-->
        <!-- Left navbar-header -->
        <?php include 'left-sidebar.php';?>
        <!-- Left navbar-header end -->
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row bg-title">
                	<div class="col-md-12">
                    	<ul class="nav nav-tabs" role="tablist">
                          <?php
                            $catsql = 'select * from categories where status = 0 order by ordno';
							$catfet=$prop->getAll_Disp($catsql);
							
							for($c=0; $c<count($catfet); $c++)
							{
						  ?>
                          <li class="nav-item">
                            <a class="nav-link <?php if($c==0){echo "active";}?>" href="#Tab<?php echo $catfet[$c]['id'];?>" role="tab" data-toggle="tab">
                            	<?php echo $catfet[$c]['name'];?>
                            </a>
                          </li>
                          <?php
                          	}
						  ?>
                        </ul>
                    </div>
                </div>    
                <div class="tab-content">
                    <?php 
					//$catsql = 'select * from categories where status = 0';
					//$catfet=$prop->getAll_Disp($catsql);
					for($k=0; $k<count($catfet); $k++)
					{
					?>
               		<div role="tabpanel" class="tab-pane fade <?php if($k==0){echo "in active";}?>" id="Tab<?php echo $catfet[$k]['id'];?>">
                    	<div class="row">
                         <div class="col-md-12">
                            <div class="white-box">   
                                <h3 class="box-title">PPE INVENTORY LIST OF <?php echo $catfet[$k]['name'];?></h3>
                                <div class="row filter-row" style="margin-bottom:20px;">
                                        <div class="col-md-3">
                                            <label>Search</label>
                                              
                                            <div class="input-group md-form form-sm form-2 pl-0">
                                              <input type="text" name="filterComp" id="filterComp<?php echo $catfet[$k]['id'];?>" placeholder="Search by Company" class="form-control">
                                              </div>
                                        </div>    
                                        <div class="col-md-3">
                                        <label>Amount</label>
                                        <select class="form-control select2" id="filterAmount<?php echo $catfet[$k]['id'];?>" multiple>
                                            <?php
                                            $options = $catfet[$k]['options'];
											$tot_options = explode('|',$options);
											foreach($tot_options as $opt)
											{
												$val = explode('-',$opt);
												$amt = $catfet[$k]['id']."~".$val['0'];
												echo '<option value="'.$amt.'">'.$val[0].'</option>';
											}
											?>
                                        </select>
                                        </div>
                                        <div class="col-md-3">
                                             <label>State</label>
                                            <select class="form-control select2" id="filterState<?php echo $catfet[$k]['id'];?>" multiple>
                                                <?php
												$state_sql = 'select DISTINCT state from '.INVENTRY.' where status != 2 group by state';
												$statefet=$prop->getAll_Disp($state_sql);
												
												for($i=0; $i<count($statefet); $i++){
                                                	$state_name = $prop->getName('State','state_list','id='.$statefet[$i]['state']);
                                                    echo '<option value="'.$statefet[$i]['state'].'">'.$state_name.'</option>';
                                                }
                                                ?>
                                              </select>
                                              
                                        </div>
                                        <div class="col-md-3" style="padding-top:25px;">
                                            <button type="button" id="search<?php echo $catfet[$k]['id'];?>" name="search"  class="btn btn-success waves-effect waves-light pull-left m-r-10">
                                             <i class="fa fa-filter"></i> Filter Now
                                            </button>
                                            &nbsp;&nbsp;&nbsp;<button type="reset" id="reset<?php echo $catfet[$k]['id'];?>" name="reset"  class="btn btn-success waves-effect waves-light pull-left m-r-10"><i class="fa fa-refresh"></i> RESET</button>
                                      </div>
                                        <div class="clearfix"></div>
                                        </div>
                                <div class="table-responsive dash-table">
                                    <table id="myTable<?php echo $catfet[$k]['id'];?>" class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th>Last Updated </th>
                                                <th>Company </th>
                                                <th>Amount </th>
                                                <th>Address </th>
                                                <th>City </th>
                                                <th>State </th>
                                                <th width="100px" class="text-center" data-toggle="true" data-breakpoints="all">Details Link</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        
    
    
                                        </tbody>
                                    </table>
                                </div>
                                
                                </div>
                        </div>
                    </div>
                    </div>
                    
                    <?php
						}
					  ?>
                </div>
                

            </div>
            <!-- /.container-fluid -->
            <?php include "footer.php" ?>
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="plugins/bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bootstrap/dist/js/tether.min.js"></script>
    <script src="bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="plugins/bower_components/bootstrap-extension/js/bootstrap-extension.min.js"></script>
    <!-- Menu Plugin JavaScript -->
    <script src="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js"></script>
    <!--slimscroll JavaScript -->
    <script src="js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="js/waves.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="js/custom.min.js"></script>
	  <script src="js/validator.js"></script>
    <!-- Sweet-Alert  -->
    <script src="plugins/bower_components/sweetalert/sweetalert.min.js"></script>
    <script src="plugins/bower_components/sweetalert/jquery.sweet-alert.custom.js"></script>
	<script src="plugins/bower_components/custom-select/custom-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-select/bootstrap-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.js" type="text/javascript"></script>
    <!--<script type="text/javascript" src="plugins/bower_components/multiselect/js/jquery.multi-select.js"></script>-->
	<script>
	// For select 2
        $(".select2").select2();
		$("#cName").select2();
	</script>
    
    <!--Style Switcher -->
    <script src="plugins/bower_components/styleswitcher/jQuery.style.switcher.js"></script>
    <!-- data table -->
    <script src="plugins/bower_components/datatables/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/plug-ins/1.10.21/sorting/date-uk.js"></script>
    <!--multiselect Dropdown-->
    <script type="text/javascript" src="plugins/bower_components/multiSelectCheckbox/bootstrap-multiselect.js"></script>
	<script>
    $(document).ready(function() {
		
	
        <?php 
			if($_COOKIE['err'] !='')
			{
				echo 'swal("'.$_COOKIE['status'].'", "'.$_COOKIE['title'].'", "'.$_COOKIE['err'].'");';
				?>
				setTimeout(function() {
					$(".confirm").trigger('click');
				}, 3000);
			   <?php
				setcookie('status', $_COOKIE['status'], time()-100);
				setcookie('title', $_COOKIE['title'], time()-100);
				setcookie('err', $_COOKIE['err'], time()-100);
			}
		?>
		
		<?php 
		
		for($sc=0; $sc<count($catfet); $sc++){?>
		$(document).on('click', '#search<?php echo $catfet[$sc]['id'];?>', function() {
			$('#myTable<?php echo $catfet[$sc]['id'];?>').DataTable().ajax.reload();
		} );
		$(document).on('click', '#reset<?php echo $catfet[$sc]['id'];?>', function() {
			location.reload();
		} );
		
		$('#filterAmount<?php echo $catfet[$sc]['id'];?>').multiselect({
			numberDisplayed: 1,
			includeSelectAllOption: true,
			selectAllValue: 'filterAmount-all<?php echo $catfet[$sc]['id'];?>',
			enableCaseInsensitiveFiltering: true
		});
		$('#filterState<?php echo $catfet[$sc]['id'];?>').multiselect({
			numberDisplayed: 1,
			includeSelectAllOption: true,
			selectAllValue: 'filterState-all<?php echo $catfet[$sc]['id'];?>',
			enableCaseInsensitiveFiltering: true
		});
		
		$('#myTable<?php echo $catfet[$sc]['id'];?>').DataTable( {
			"bFilter": false,
			"bInfo" : true,
			"paging":   true,
			"info":     false,
			"lengthMenu": [ [50, 10, 150, 5000000], [50, 100, 150, "All"] ],
			"processing": true,
			"serverSide": true,
			"displayLength": 50,
			"ajax":{
				url :"invetry-data.php", 
				type: "post",  
				"data": function ( data ) {
					var medicalGrade = '';
					if($("#medicalGrade<?php echo $catfet[$sc]['id'];?>").is(':checked')){
						medicalGrade = '<?php echo $catfet[$sc]['id'];?>-1';
					}
					data.company = $("#filterComp<?php echo $catfet[$sc]['id'];?>").val();
					data.amount = $("#filterAmount<?php echo $catfet[$sc]['id'];?>").val();
					data.state = $("#filterState<?php echo $catfet[$sc]['id'];?>").val();
					data.medicalGrade = medicalGrade;
					data.catID = <?php echo $catfet[$sc]['id'];?>;
				},
				complete: function() {
					$('[data-toggle="tooltip"]').tooltip();
				},
				error: function(){ 
					$(".form-grid-error").html("");
					$("#form-grid").append('<tbody class="form-grid-error"><tr><th colspan="3">No data found in the server</th></tr></tbody>');
					$("#form-grid_processing").css("display","none");
				}
			}
		});
		<?php }?>
	});
	
	
    </script>
    
</body>

</html>