<?php
function BuyerRequestLeadAlertAutomationScript($buyer_detail,$prop,$lastID,$endpoint)
{
	//$API_KEY = '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';
	$API_KEY = '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';
	$from = $buyer_detail['email'];
	$name = $buyer_detail['name'];
	$cname = $buyer_detail['cname'];
	$phone = $buyer_detail['phone'];
	$stateID = $buyer_detail['state'];
	$stateName = $prop->getName('State','state_list','id = '.$stateID);	
	$message = $buyer_detail['message'];
	$newFileName = $buyer_detail['attachment'];
	
	$catID = $buyer_detail['category'];
	$catName = $prop->getName('name','categories','id = '.$catID);	
	$imgData = '';
	if($newFileName != '')
	{
		$imgData = '<p>Customer supplied image:<br><br>
        	<img src="https://ppe.siseusa.org/buyerThumbnail/'.$newFileName.'" alt="Customer supplied image" width="100px" height="100px;">
        </p>';
	}
	
	$Email_Template = $prop->get('*','Email_Template', array('status'=>0));
	$subject			=	$Email_Template['vendor_subject'];
	$vendorFromName		=	$Email_Template['vendorFromName'];
	$vendorFromEmail	=	$Email_Template['vendorFromEmail'];
	$Emailbody			=	base64_decode( $Email_Template['vendor_body'] );
	$vendor_session = base64_encode('https://ppe.siseusa.org/vendor-reply.php?id='.$lastID);
	$url_link = 'https://ppe.siseusa.org/vendor-reply.php?id='.$lastID.'&VS='.$vendor_session;
	$edit_icon = '<img src="https://ppe.siseusa.org/img/edit-icon.png" alt="EDIT ICON" style="margin-left:15px; position:absolute;margin-top:-10px; width:30px;">';
	//$logo_img = '<img src="https://ppe.siseusa.org/img/ahclogo.png" alt="SISE LOGO"/>';
	$token = array(
		'LOGO_URL'  => 'https://ppe.siseusa.org/img/ahclogo.png',
		'URL_LINK' => $url_link,
		'CATEGORY_NAME' => $catName,
		'STATE_NAME'=> $stateName,
		'MESSAGE'=> $message,
		'EDIT_ICON'=> $edit_icon	
	);
	$pattern = '[%s]';
	foreach($token as $key=>$val){
		$varMap[sprintf($pattern,$key)] = $val;
	}
	
	$body = strtr($Emailbody,$varMap);
	$body = '<!DOCTYPE html><html><head><title>'.$catName.' Requested</title><meta content="utf-8" name="charset" /></head><body>'.$body.'[COMPANY_FULL_ADDRESS]<br><br><a href="[UNSUBSCRIBE_URL]"><strong>[ UNSUBSCRIBE ]</strong></a></body>';
	
	$setting_val = $prop->get('*','setting', array('id'=>1));
	date_default_timezone_set("America/New_York");
	$curr_date = date('Y-m-d H:i:s');
	if($setting_val['status'] == 0)
	{		
		$response = $endpoint->create(array(
			'name'          => $catName.' is requested', // required
			'type'          => 'regular', // optional: regular or autoresponder
			'from_name'     => $vendorFromName, // required
			'from_email'    => $vendorFromEmail, // required
			'subject'       => 'Preview Another PPE Request', // required
			'reply_to'      => 'support@ahcusa.org', // required
			'send_at'       => $curr_date, // required, this will use the timezone which customer selected
			'list_uid'      => 'xe0893eksn6f7', // required this one is test list id of Vendors
			
			'options' => array(
				'url_tracking'      => 'no', // yes | no
				'json_feed'         => 'no', // yes | no
				'xml_feed'          => 'no', // yes | no
				'plain_text_email'  => 'yes',// yes | no
				'email_stats'       => null, // a valid email address where we should send the stats after campaign done
			),
		
			'template' => array(
				'content'           => $body,
				'inline_css'        => 'no', // yes | no
				'plain_text'        => null, // leave empty to auto generate
				'auto_plain_text'   => 'yes', // yes | no
			),
		));
	}
	else
	{
		if($setting_val['options'] == 0) //Registered + Prospect Seedlist {in order}
		{
			/*First Campagion start*/
			$response = $endpoint->create(array(
				'name'          => $catName.' is requested, Registered Vendors', // required
				'type'          => 'regular', // optional: regular or autoresponder
				'from_name'     => $vendorFromName, // required
				'from_email'    => $vendorFromEmail, // required
				'subject'       => 'Preview Another PPE Request', // required
				'reply_to'      => 'ppe-support@ahcusa.zendesk.com', // required
				'send_at'       => $curr_date, // required, this will use the timezone which customer selected
				'list_uid'      => 'vr152tyxoh94b', // required this one is Registered Vendors List ID
				
				'options' => array(
					'url_tracking'      => 'no', // yes | no
					'json_feed'         => 'no', // yes | no
					'xml_feed'          => 'no', // yes | no
					'plain_text_email'  => 'yes',// yes | no
					'email_stats'       => null, // a valid email address where we should send the stats after campaign done
				),
			
				'template' => array(
					'content'           => $body,
					'inline_css'        => 'no', // yes | no
					'plain_text'        => null, // leave empty to auto generate
					'auto_plain_text'   => 'yes', // yes | no
				),
			));
			/*Second Campagion start*/
			$response = $endpoint->create(array(
				'name'          => $catName.' is requested, Prospect Seedlist Vendors', // required
				'type'          => 'regular', // optional: regular or autoresponder
				'from_name'     => $vendorFromName, // required
				'from_email'    => $vendorFromEmail, // required
				'subject'       => 'Preview Another PPE Request', // required
				'reply_to'      => 'ppe-support@ahcusa.zendesk.com', // required
				'send_at'       => $curr_date, // required, this will use the timezone which customer selected
				'list_uid'      => 'sl976e5wss508', // required this one is Prospect Seedlist Vendors list
				
				'options' => array(
					'url_tracking'      => 'no', // yes | no
					'json_feed'         => 'no', // yes | no
					'xml_feed'          => 'no', // yes | no
					'plain_text_email'  => 'yes',// yes | no
					'email_stats'       => null, // a valid email address where we should send the stats after campaign done
				),
			
				'template' => array(
					'content'           => $body,
					'inline_css'        => 'no', // yes | no
					'plain_text'        => null, // leave empty to auto generate
					'auto_plain_text'   => 'yes', // yes | no
				),
			));
			/*Second Campagion  End*/
		}
		else //Registered Vendor ONLY
		{
			$response = $endpoint->create(array(
				'name'          => $catName.' is requested, Only Registered Vendor', // required
				'type'          => 'regular', // optional: regular or autoresponder
				'from_name'     => $vendorFromName, // required
				'from_email'    => $vendorFromEmail, // required
				'subject'       => 'Preview Another PPE Request', // required
				'reply_to'      => 'ppe-support@ahcusa.zendesk.com', // required
				'send_at'       => $curr_date, // required, this will use the timezone which customer selected
				'list_uid'      => 'vr152tyxoh94b', // required this one is Registered Vendors List ID
				
				'options' => array(
					'url_tracking'      => 'no', // yes | no
					'json_feed'         => 'no', // yes | no
					'xml_feed'          => 'no', // yes | no
					'plain_text_email'  => 'yes',// yes | no
					'email_stats'       => null, // a valid email address where we should send the stats after campaign done
				),
			
				'template' => array(
					'content'           => $body,
					'inline_css'        => 'no', // yes | no
					'plain_text'        => null, // leave empty to auto generate
					'auto_plain_text'   => 'yes', // yes | no
				),
			));
		}	
	}	
	
}

/*Request Close Template*/
function BuyerRequestCloseAlertScript($prop,$lastID)
{
	$API_KEY = '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';
	
	$buyer_detail = $prop->get('*','enquiry', array('id'=>$lastID));
	$from = $buyer_detail['email'];
	$name = $buyer_detail['name'];
	$cname = $buyer_detail['cname'];
	$phone = $buyer_detail['phone'];
	$stateID = $buyer_detail['state'];
	$stateName = $prop->getName('State','state_list','id = '.$stateID);	
	$message = $buyer_detail['message'];
	$newFileName = $buyer_detail['attachment'];
	
	$catID = $buyer_detail['category'];
	$catName = $prop->getName('name','categories','id = '.$catID);	
	$imgData = '';
	if($newFileName != '')
	{
		$imgData = '<img src="https://ppe.siseusa.org/buyerThumbnail/'.$newFileName.'" width="100px" height="100px;">';
	}
	
	$Email_Template = $prop->get('*','Email_Template', array('status'=>0));
	$subject		=	$Email_Template['requestCloseSubject'];
	$requestCloseFromName		=	$Email_Template['requestCloseFromName'];
	$requestCloseFromEmail	=	$Email_Template['requestCloseFromEmail'];
	
	$Emailbody		=	base64_decode( $Email_Template['requestCloseBody'] );
	$token = array(
		'LOGO_URL'  => 'https://ppe.siseusa.org/img/ahclogo.png',
		'REGISTER_URL'  => 'https://ppe.siseusa.org/register.php',
		'CATEGORY' => $catName,
		'LOCATION' => $stateName,
		'MESSAGE'=> $message,
		'IMAGE'=> $imgData
	);
	$pattern = '[%s]';
	foreach($token as $key=>$val){
		$varMap[sprintf($pattern,$key)] = $val;
	}
	
	$Emailbody = strtr($Emailbody,$varMap);

	$buyer_data = $Emailbody;
	
	$body			=	$buyer_data;	
	$email			= new \SendGrid\Mail\Mail();
	$email->setFrom($requestCloseFromEmail, $requestCloseFromName);
	$email->setSubject($subject);
	
	$catsql = "SELECT  * from venderReply where enquiryID =".$lastID;
    $catfet=$prop->getAll_Disp($catsql);
	for($i=0; $i<count($catfet); $i++)
	{
		$Vid = $catfet[$i]['vendorID'];
		$VendorData = $prop->get('*','appuser', array('id'=>$Vid));
		$email->addTo($VendorData['email'], $VendorData['fname'].' '.$VendorData['lname']);
	}
	
	$email->addContent(
		"text/html", $body
	);
	$keyval = $Email_Template['apiKey_requestClose'];
	$sendgrid = new \SendGrid($keyval);
	try {
		$response = $sendgrid->send($email);
		return 'Success';
	} catch (Exception $e) {
		$errMsg =  'Caught exception: '. $e->getMessage() ."\n";
		return $errMsg;
	}

}


function afterVenderReplySendBuyerEmail($reply_details,$prop,$lastID)
{
	$API_KEY = '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';
	$message = $reply_details['message'];
	$quantity = $reply_details['quantity'];
	$costPerUnit = $reply_details['costPerUnit'];
	$shippingOrigin = $reply_details['shippingOrigin'];
	$shippingDate = $reply_details['shippingDate'];
	$payMethod = $reply_details['payMethod'];
	
	$enquiryID = $reply_details['enquiryID'];
	$vendorID = $reply_details['vendorID'];
	$buyerID = $prop->getName('uid','enquiry','id = '.$enquiryID);
	$buyerData = $prop->get('*','appuser', array('id'=>$buyerID,'status'=>0));
	$buyerEmail = $buyerData['email'];
	$buyerName = $buyerData['fname']." ".$buyerData['lname'];
	
	
	$Email_Template = $prop->get('*','Email_Template', array('status'=>0));
	$subject		=	$Email_Template['buyer_subject'];
	$buyerFromName		=	$Email_Template['buyerFromName'];
	$buyerFromEmail		=	$Email_Template['buyerFromEmail'];
	$Emailbody		=	base64_decode( $Email_Template['buyer_body'] );
	$buyer_session = base64_encode('https://ppe.siseusa.org/buyer-chat-view.php?id='.$lastID.'&enquiryID='.$enquiryID.'&venderID='.$vendorID);
	$viewUrl = 'https://ppe.siseusa.org/buyer-chat-view.php?id='.$lastID.'&enquiryID='.$enquiryID.'&venderID='.$vendorID.'&BS='.$buyer_session;
	$logo_img = '<img src="https://ppe.siseusa.org/img/ahclogo.png"/>';
	$edit_icon = '<img src="https://ppe.siseusa.org/img/edit-icon.png" alt="Edit Icon" style="margin-left:15px; position:absolute;margin-top:-10px; width:30px;">';
	
	$token = array(
		'LOGO_URL'  => 'https://ppe.siseusa.org/img/ahclogo.png',
		'VIEW_URL' => $viewUrl,
		'QUANTITY' => $quantity,
		'COST_PER_UNIT'=> $costPerUnit,
		'SHIPPING_ORIGIN'=> $shippingOrigin,
		'SHIPPING_DATE'=> $shippingDate,
		'PAY_METHOD'=> $payMethod,
		'EDIT_ICON'=> $edit_icon,
		'MESSAGE'=> $message	
	);
	$pattern = '[%s]';
	foreach($token as $key=>$val){
		$varMap[sprintf($pattern,$key)] = $val;
	}
	
	$Emailbody = strtr($Emailbody,$varMap);

	$body = $Emailbody;
	
	
	$email			= new \SendGrid\Mail\Mail();
	$email->setFrom($buyerFromEmail, $buyerFromName);
	$email->setSubject($subject);
	
	$email->addTo($buyerEmail, $buyerName);
	//$email->addTo('yadav.pravesh26@gmail.com', 'Pravesh');
	
	$email->addContent(
		"text/html", $body
	);
	$keyval = $Email_Template['apiKey_buyer'];
	$sendgrid = new \SendGrid($keyval);
	try {
		$response = $sendgrid->send($email);
	} catch (Exception $e) {
		$errMsg =  'Caught exception: '. $e->getMessage() ."\n";
	}
}
?>