<?php
function configDate(){	
	return date('Y-m-d H:i:s');
}
//Filter input data to sql attacks
function safe_str($value) {
	return mysql_real_escape_string($value);
}
//Escape special characters of DB data, used for array output from query(edb functions) result
function stripslashes_array(&$arr) {
	foreach ($arr as $k => &$v) 
	{
		$nk = stripslashes($k);
		if ($nk != $k) 
		{
			$arr[$nk] = &$v;
			unset($arr[$k]);
		}
		if(is_array($v)) 
			stripslashes_array($v);
		else 
			$arr[$nk] = stripslashes($v);
	}
}	
//Convert user date format to DB format
function date_db($date){
	if($date!="")
		return date("Y-m-d",strtotime($date));
	else
		return null;
}
//Convert DB date format to user format
function date_user($date){
	if($date!="")
		return date("d-m-Y",strtotime($date));
	else
		return null;
}
//Convert user date & time format to DB format
function date_time_db($date){
	if($date!="")
		return date("Y-m-d H:i",strtotime($date));
	else
		return null;
}
//Convert DB date & time format to user format
function date_time_user($date){
	if($date!="" && $date != "0000-00-00 00:00:00")
		return date("d-m-Y H:i",strtotime($date));
	else
		return null;
}
//Captcha for forms
function captcha(){
	$digit1 = mt_rand(1,9);
    $digit2 = mt_rand(1,9);
    if($digit2>=$digit1) 
		$math = "$digit1 + $digit2";
	else 
		$math = "$digit1 - $digit2";
	$_SESSION['captcha'] = $math;
	return $math.' = <input class="input-small focused required" style="width:30px; height:15px; margin-bottom:3px;" name="answer" id="answer" type="text" value="" maxlength="2" >';
}
//User password encryption
function pswd_enc($value) {
	return sha1($value);
}
//file size converter
function formatSizeUnits($bytes){
	if ($bytes >= 1073741824)
	{
		$bytes = number_format($bytes / 1073741824, 2) . ' GB';
	}
	elseif ($bytes >= 1048576)
	{
		$bytes = number_format($bytes / 1048576, 2) . ' MB';
	}
	elseif ($bytes >= 1024)
	{
		$bytes = number_format($bytes / 1024, 2) . ' KB';
	}
	elseif ($bytes > 1)
	{
		$bytes = $bytes . ' bytes';
	}
	elseif ($bytes == 1)
	{
		$bytes = $bytes . ' byte';
	}
	else
	{
		$bytes = '0 byte';
	}
	return $bytes;
}
function gender($id=""){
	$out ='<select class="form-control" name="gender" id="gender">
			<option value="">Select Gender</option>
			<option value="1"';
	$out .=$id==1?' selected="selected"':""; 
	$out .='>Male</option>
			<option value="2"';
	$out .=$id==2?' selected="selected"':""; 
	$out .='>Female</option>
			<option value="3"';
	$out .=$id==3?' selected="selected"':""; 
	$out .='>Other</option>
		  </select>';
	return $out;
}
function genderName($id=''){	
	$out1 = array(1 => "Male","Female","Other");
	$out = "";	
	foreach($out1 as $key=>$val){		
		$out .=  $key==$id?$val:"";	
	}	
	return $out;
}
function notify($f, $msg){
	$out = '<div class="';
	if($f == 0)
		$out .= 'notification notification-success';
	elseif($f == 1)
		$out .= 'notification notification-error';
	elseif($f == 2)
		$out .= 'notification notification-warning';
	else
		$out .= 'notification-empty';
	$out .= '">
			<button type="button" class="close" aria-hidden="true">×</button>'.$msg.'</div>';
	return $out;
}
function empStatus($id=""){
	$out = array(1 => "Address Change",
				"Competitive Adjustment",
				"Full Time to Part Time",
				"Part Time to Full Time",
				"Merit Review",
				"New Hire - Full Time",
				"New Hire - Part Time",
				"New Hire - Temporary",
				"Promotion",
				"Termination",
				"Transfer",
				"Salary Step Advancement",
				"Other see below");
	$out1 ='<option value="">Select Status</option>';			
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function empStatusName($id=""){
	$out1 = array(1 => "Address Change",
				"Competitive Adjustment",
				"Full Time to Part Time",
				"Part Time to Full Time",
				"Merit Review",
				"New Hire - Full Time",
				"New Hire - Part Time",
				"New Hire - Temporary",
				"Promotion",
				"Termination",
				"Transfer",
				"Salary Step Advancement",
				"Other see below");
	foreach($out1 as $key=>$val){
		$out .=  $key==$id?$val:"";
	}	
	return $out;
}
function ticketStatus($id=""){
	$out ='<select class="form-control" name="ticket_status" id="ticket_status">
	<option value="">Select Status</option>
	<option value="1"';
	$out .=$id==1?' selected="selected"':""; 
	$out .='>Open</option>
	<option value="2"';
	$out .=$id==2?' selected="selected"':""; 
	$out .='>Closed</option>
	</select>';
	return $out;
}
function ticketStatusName($id=""){	
	if($id == 0)
		$out = ' - ';
	elseif($id == 1)
		$out .= '<div class="btn btn-xs btn-success">Open</div>';	
	else
	$out .= '<div class="btn btn-xs btn-danger">Closed</div>';
	return $out;
}
function chkDuplicatesAND($db, $tname, $b) {		
	$count = count($b);
	$where = " 1=1 AND";
	$i = 1;
	foreach ($b as $v=>$k) {
		$where .= " `$v`='$k' ";
		$where .= $i == $count ? '' : 'AND';
		$i++;
	}
	$rs = $db->countWhere($tname, $where);
	return $rs > 0 ?  TRUE : FALSE;
}		
function chkDuplicatesOR($db, $tname, $b) {		
	$count = count($b);
	$where = " 1=1 AND";
	$i = 1;
	foreach ($b as $v=>$k) {
		$where .= " `$v`='$k' ";
		$where .= $i == $count ? '' : 'OR';
		$i++;
	}
	$rs = $db->countWhere($tname, $where);
	return $rs > 0 ?  TRUE : FALSE;
}
function getCommIDofFiles($db, $tname, $forcol, $incol, $file_id){
	$img_sql = "SELECT ".$forcol." FROM ".$tname." WHERE ".$incol."=".$file_id;
	$img_res = $db->line($img_sql);
	return $img_res[$forcol];
}
function homeGalleryCatList($id=""){
	$out = array(1 => "Elevation (900X900)",
				"Floor Plans (900X900)",
				"Photos (900X900)",
				"Interior Photos (900X900)");
	$out1 ='<option value="">Select Category</option>';			
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function homeCommunitiesCatList($id=""){
	$out = array(1 => "Fact Sheet(900x1150)",
				"Subdivision Map(1100x900)",
				"Photos(900x900)");
	$out1 ='<option value="">Select Category</option>';			
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function homeCommunitiesCatName($id=""){
	$out1 = array(1 => "Fact Sheet",
				"Subdivision Map",
				"Photos");
	foreach($out1 as $key=>$val){
		$out .=  $key==$id?$val:"";
	}	
	return $out;
}
function homeGalleryCatName($id=""){
	$out1 = array(1 => "Elevation",
				"Floor Plans",
				"Photos",
				"Interior Photos");
	foreach($out1 as $key=>$val){
		$out .=  $key==$id?$val:"";
	}	
	return $out;
}
function homePlanType($name,$id=0){
	//$out = array(1 => "Standard","Adavantage");
	$out = array(1 => "Standard");		
	foreach($out as $key=>$val){
		$out1 .= '<input type="radio" class="icheck-blue" value="'.$key.'" '.($id==$key?"checked":"").' name="'.$name.'"/>'.$val;
	}		
	return $out1;
}
function homePlanTypeName($id=0){
	$out1 = array(1 => "Standard","Adavantage");	
	foreach($out1 as $key=>$val){
		$out .=  $key==$id?$val:"";
	}		
	return $out;
}
function homeLevelType($name,$id=0){
	$out = array(1 => "Rambler","Two-story","Multi Level");	
	foreach($out as $key=>$val){
		$out1 .= '<input type="radio" class="icheck-blue" value="'.$key.'" '.($id==$key?"checked":"").' name="'.$name.'"/>'.$val;
	}		
	return $out1;
}
function homeLevelTypeList($id=0){
	$out = array(1 => "Rambler","Two-story","Multi Level");	
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function homeLevelTypeName($id=0){
	
	$out1 = array(1 => "Rambler","Two-story","Multi Level");	
	foreach($out1 as $key=>$val){
		$out .=  $key==$id?$val:"";
	}		
	return $out;
}
function homePlanStyleList($id=0){
	$out = array(1 => "Estate Home","Town Home","Condo","Loft","Villa","Caista");	
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function homePlanStyle($name,$id=0){
	$out = array(1 => "Estate Home","Town Home","Condo","Loft","Villa","Caista");	
	foreach($out as $key=>$val){
		$out1 .= '<input type="radio" class="icheck-blue" value="'.$key.'" '.($id==$key?"checked":"").' name="'.$name.'"/>'.$val;
	}		
	return $out1;
}
function homePlanStyleName($id=0){
	$out1 = array(1 => "Estate Home","Town Home","Condo","Loft","Villa","Caista");
	foreach($out1 as $key=>$val){
		$out .=  $key==$id?$val:"";
	}		
	return $out;
}
function clientPriceRange($id=''){
	$arr 	= array(1 => "$175,000","$175,000-200,000","$200,000-250,000","$250,000-300,000","$300,000-400,000","$400,000-500,000", "$500,000-600,000", "$600,000+", "Don't Know");
	$out	.= '<select id="pricerange" class="form_textbox" name="pricerange">';
	$out	.= '<option value="">-- Select --</option>';
	foreach ($arr as $key=>$val) {
		$out	.= '<option value="' . $key . '"';
			if ($key == $id) {
				$out	.= ' selected="selected"';
			}
			$out	.= '>' . $val . '</option>';
	}
	$out	.= '</select>';
	return $out;
}
function clientIntrestLevel($id=''){
	$arr 	= array("A" => "A - High", "B" => "B - Medium", "C" => "C - Low", "D" => "D - Hide", "T" =>  "T - Transferred");
	$out	.= '<select id="intrest" class="form_textbox" name="intrest">';
	$out	.= '<option value="">-- Select --</option>';
	foreach ($arr as $key=>$val) {
		$out	.= '<option value="' . $key . '"';
			if ($key == $id) {
				$out	.= ' selected="selected"';
			}
			$out	.= '>' . $val . '</option>';
	}
	$out	.= '</select>';
	return $out;
}
function getClientIntrestLevel($id=''){
	$arr 	= array("A" => "A - High", "B" => "B - Medium", "C" => "C - Low", "D" => "D - Hide", "T" =>  "T - Transferred");
	foreach ($arr as $key=>$val) {
			if ($key == $id) {
				return $val;
			}
	}
	
}
function homeBought($id=''){
	$arr 	= array(1 => "0","1","2","3","4","5","6","7","8","9","10+");
	$out	.= '<select id="homebought" class="form_textbox" name="homebought">';
	$out	.= '<option value="">-- Select --</option>';
	foreach ($arr as $key=>$val) {
		$out	.= '<option value="' . $key . '"';
			if ($key == $id) {
				$out	.= ' selected="selected"';
			}
			$out	.= '>' . $val . '</option>';
	}
	$out	.= '</select>';
	return $out;
}
function buy_when($date='') {	
	$today = time();
	$out	= '';	
	$out	.= '<select name="buy_when" id="buy_when">';
	$out	.= '<option value="0"> --Not Sure -- </option>';
	for ($i = 0; $i <= 13; $i++) {
		$later	= $i == 13 ? ' or Later' : '';
		$minc 	= strtotime("+$i months", $today);
		$disp	= date('M Y', $minc);
		$val	= date('Y-m-d', $minc);
		$out	.= '<option value="' . $val . '"';
				if ($today == $date) {
					$out	.= ' selected="selected"';
				}
				$out	.= '>' . $disp . $later. '</option>';
	}
	$out	.= '</select>';
	return $out;
}
function bedroom($id=''){
	$arr 	= array(1 => "1","2","3","4","5","6","7","8+");
	$out	.= '<select id="bedroom" class="form_textbox" name="bedroom">';
	$out	.= '<option value="">-- Select --</option>';
	foreach ($arr as $key=>$val) {
		$out	.= '<option value="' . $key . '"';
			if ($key == $id) {
				$out	.= ' selected="selected"';
			}
			$out	.= '>' . $val . '</option>';
	}
	$out	.= '</select>';
	return $out;
}
function lotsize($id=''){
	$arr 	= array(1 => "1/4 acre","1/3 acre","1/2 acre","2/3 acre","3/4 acre","1 acre","1.5 acre","2 acre","5 acre","10 acre","20 acre");
	$out	.= '<select id="lotsize" class="form_textbox" name="lotsize">';
	$out	.= '<option value="">-- Select --</option>';
	foreach ($arr as $key=>$val) {
		$out	.= '<option value="' . $key . '"';
			if ($key == $id) {
				$out	.= ' selected="selected"';
			}
			$out	.= '>' . $val . '</option>';
	}
	$out	.= '</select>';
	return $out;
}
function age($id=''){
	$arr 	= array(1 => "< 25","25-34","35-44","45-54","55+");
	$out	.= '<select id="age" class="form_textbox" name="age">';
	$out	.= '<option value="">-- Select --</option>';
	foreach ($arr as $key=>$val) {
		$out	.= '<option value="' . $key . '"';
			if ($key == $id) {
				$out	.= ' selected="selected"';
			}
			$out	.= '>' . $val . '</option>';
	}
	$out	.= '</select>';
	return $out;
}
function houseIncome($id=''){
	$arr 	= array(1 => "&lt; $15,000","$15,000 - $24,999","$25,000 - $34,999","$35,000 - $49,999","$50,000 - $74,999", "$75,000 - $99,999","$100,000 - $149,999","$150,000+");
	$out	.= '<select id="house_income" class="form_textbox" name="house_income">';
	$out	.= '<option value="">-- Select --</option>';
	foreach ($arr as $key=>$val) {
		$out	.= '<option value="' . $key . '"';
			if ($key == $id) {
				$out	.= ' selected="selected"';
			}
			$out	.= '>' . $val . '</option>';
	}
	$out	.= '</select>';
	return $out;
}
function houseHold($id=''){
	for ($i = 1; $i <= 20; $i++){
		$array[] = $i==20 ? $i.'+' : $i;
	}
	$arr 	= $array;
	$out	.= '<select id="household" class="form_textbox" name="household">';
	$out	.= '<option value="">-- Select --</option>';
	foreach ($arr as $key=>$val) {
		$out	.= '<option value="' . $key . '"';
			if ($key == $id) {
				$out	.= ' selected="selected"';
			}
			$out	.= '>' . $val . '</option>';
	}
	$out	.= '</select>';
	return $out;
}
function contactType($sl, $id=''){
	$arr 	= array(1 => "C - Call","M - Meeting/Be Back","P - Postal Mail","E - Email","O - Other");
	$out	.= '<select id="'.$sl.'" class="form_textbox" name="'.$sl.'">';
	$out	.= '<option value="">-- Select --</option>';
	foreach ($arr as $key=>$val) {
		$out	.= '<option value="' . $key . '"';
			if ($key == $id) {
				$out	.= ' selected="selected"';
			}
			$out	.= '>' . $val . '</option>';
	}
	$out	.= '</select>';
	return $out;
}

function getContactType($id=''){
	$arr 	= array(1 => "C - Call","M - Meeting/Be Back","P - Postal Mail","E - Email","O - Other");
	foreach ($arr as $key=>$val) {
		if ($key == $id) {
			$out	.= substr($val,0,1);
		}
	}
	return $out;
}

function emailReminder($id=''){
	$arr 	= array(1 => "Same Day","1 Day Before","2 Day Before","3 Day Before");
	$out	.= '<select id="email_reminder" class="form_textbox" name="email_reminder">';
	$out	.= '<option value="">-- Select --</option>';
	foreach ($arr as $key=>$val) {
		$out	.= '<option value="' . $key . '"';
			if ($key == $id) {
				$out	.= ' selected="selected"';
			}
			$out	.= '>' . $val . '</option>';
	}
	$out	.= '</select>';
	return $out;
}

function msgReminder($id=''){
	$arr 	= array(1 => "15 min before","30 min before","45 min before","1 hour before","1.5 hour before","2 hour Before","3 hour Before", "4 hour Before");
	$out	.= '<select id="msg_reminder" class="form_textbox" name="msg_reminder">';
	$out	.= '<option value="">-- Select --</option>';
	foreach ($arr as $key=>$val) {
		$out	.= '<option value="' . $key . '"';
			if ($key == $id) {
				$out	.= ' selected="selected"';
			}
			$out	.= '>' . $val . '</option>';
	}
	$out	.= '</select>';
	return $out;
}

function chkDuplicates($db, $tname, $b) {		
	$count = count($b);
	$where = " 1=1 AND";
	$i = 1;
	foreach ($b as $v=>$k) {
		$where .= " `$v`='$k' ";
		$where .= $i == $count ? '' : 'OR';
		$i++;
	}
	$rs = $db->countWhere($tname, $where);
	return $rs > 0 ?  TRUE : FALSE;
	}
/*yaseer*/
function LotAvailHome($name,$id=0){
	$out = array(1 => "Built As","Currently Is Available");	
	foreach($out as $key=>$val){
		$out1 .= '<input type="checkbox" class="icheck-blue" value="'.$key.'" '.(in_array($key,explode(",",$id))==$key?"checked":"").' name="'.$name.'"/>'.$val;
	}		
	return $out1;
}
function LotHomeModel($name,$id=0){
	$out = array(1 => "Built As","Currently Is Model");	
	foreach($out as $key=>$val){
		$out1 .= '<input type="checkbox" class="icheck-blue" value="'.$key.'" '.(in_array($key,explode(",",$id))==$key?"checked":"").' name="'.$name.'"/>'.$val;
	}		
	return $out1;
}
function LotIsInvestor($name,$id=0){
	$out = array(1 => "Yes","Sale is Pending");	
	foreach($out as $key=>$val){
		$out1 .= '<input type="checkbox" class="icheck-blue" value="'.$key.'" '.(in_array($key,explode(",",$id))==$key?"checked":"").' name="'.$name.'"/>'.$val;
	}		
	return $out1;
}
function LotSMA($name,$id=0){
	$out = array(1 => "Sell through","Lease through");	
	foreach($out as $key=>$val){
		$out1 .= '<input type="checkbox" class="icheck-blue" value="'.$key.'" '.(in_array($key,explode(",",$id))==$key?"checked":"").' name="'.$name.'"/>'.$val;
	}		
	return $out1;
}
function LotLandscaping($id=""){
$out = array(1 => "Half","Full");
	$out1 ='<option value="">None</option>';			
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function LotResidence($id=""){
$out = array(1 => "Primary Residence","Second Home","Investment Property");
	$out1 ='<option value="">None</option>';			
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function LotHomes($id="-1"){
for($i=0;$i<=10;$i++){
	$res[] .= $i.($i==10?'+':'');
}
$out = $res;			
	$out1 ='<option value="">-- Select --</option>';			
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function LotAge($id=""){
$out = array(1 => "< 25","25 - 34","35 - 44","45 - 54","55+");
	$out1 ='<option value="">-- Select --</option>';			
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function LotHouseIncome($id=""){
$out = array(1 => "$15,000","$15,000 - $24,999","$25,000 - $34,999","$35,000 - $49,999","$50,000 - $74,999","$75,000 - $99,999","$100,000 - $149,999","$150,000+");
	$out1 ='<option value="">-- Select --</option>';			
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function LotHouseHold($id="-1"){
	for($i=0;$i<=20;$i++){
		$res[] .= $i.($i==20?'+':'');
	}
	$out = $res;			
	$out1 ='<option value="">-- Select --</option>';			
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function LotLoanType($id=""){
$out = array(1 => "Conventional","Jumbo","FHA","UHC","USDA","VA");
	$out1 ='<option value="">-- Select --</option>';			
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
/*
function LotLoanLender($name,$id=0){
	$out = array(1 => "Veritas Lending",3=>"Outside Lender",4=>'Cash');
	$out1 .= '<input type="radio" class="icheck-blue" value="" '.($id==0?"checked":"").' name="'.$name.'"/>None';
	
	foreach($out as $key=>$val){
		$out1 .= '<input type="radio" class="icheck-blue" value="'.$key.'" '.($id==$key?"checked":"").' name="'.$name.'"/>'.$val;
	}
	return $out1;
}
*/
function LotLoanLender($name,$id=0){
	/*$out = array(1 => "Veritas Lending","Ivory Mortgage","Outside Lender");*/
	$out = array(2 => "Veritas Lending",0=>"Outside Lender",1=>'Cash');
	$out1 .= '<input type="radio" class="icheck-blue" value="" '.($id==''?"checked":"").' name="'.$name.'"/>None';
	
	foreach($out as $key=>$val){
		$out1 .= '<input type="radio" class="icheck-blue" value="'.$key.'" '.($id==$key?"checked":"").' name="'.$name.'"/>'.$val;
	}
	return $out1;
}
function lot_dates($date){
	if($date!="")
		return date("m/d/Y",strtotime($date));
	else
		return null;
}
function lot_price_round($price){
	if($price!="")
		return round($price);
	else
		return null;
}
function lot_price_number_format($price){
	if($price!="")
		return number_format($price);
	else
		return null;
}
function AppRemainder($id=""){
	//$out = array(1 => "Before 1 hour","Before 2 hour","Before 1 day","Before 5 days","Before 1 week");
	$out = array(1 => "Before 10 mins","Before 15 mins","Before 30 mins","Before 45 mins","Before 1 hour","Before 2 hour","Before 1 day","Before 5 days","Before 1 week");
	
	$out1 ='<option value="">-- Select --</option>';			
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function AppTimeHour($id=""){
	for($i=1;$i<=12;$i++){
		$res[] .= $i;
	}
	$out = $res;			
	$out1 ='';			
	foreach($out as $val){
		$out1 .= '<option value="'.$val.'" '.($id==$val?"selected='selected'":"").' '.($id!=''?"disabled":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function AppTimeHourNew($id=""){
	for($i=1;$i<=12;$i++){
		$res[] .= $i;
	}
	$out = $res;			
	$out1 ='';			
	foreach($out as $val){
		$out1 .= '<option value="'.$val.'" '.($id==$val?"selected='selected'":"").' >'.$val.'</option>';
	}		
	return $out1;
}
function DepositType($id=""){
	$out = array(1 => "Initial/Earnest","Pre-construction","Option Deposit","Other");
	$out1 ='<option value="">-- Select --</option>';			
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function DepositTypeName($id=0){
	$out1 = array(1 => "Initial/Earnest","Pre-construction","Option Deposit","Other");
	foreach($out1 as $key=>$val){
		$out .=  $key==$id?$val:"";
	}		
	return $out;
}
function Garages($id=""){
	$out = array(1 => "No Garage","1 Car","2 Cars","3 Cars","4 Cars","5 Cars","6 Cars","7 Cars","8 Cars","9 Cars");
	$out1 ='<option value="">-- Select --</option>';			
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}		
	return $out1;
}
function ShowBy($id=""){	
	$out = array(25 => "25",50 =>"50",75 =>"75",100 =>"100",200 =>"200",'All' =>"All");
	$out1 ='';	
	foreach($out as $key=>$val){	
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';	
	}		
	return $out1;
}
function GaragesName($id=0){
	$out1 = array(1 => "No Garage","1 Car","2 Cars","3 Cars","4 Cars","5 Cars","6 Cars","7 Cars","8 Cars","9 Cars");
	foreach($out1 as $key=>$val){
		$out .=  $key==$id?$val:"";
	}		
	return $out;
}
function dispNoImage(){
	return LIVE_SITE.'images/home_gallery/thumb/noimage_ivory.jpg';
}
function HomeFloorPlanCat($id=""){
	$out = array(1 => "Ivory Floor Plans","California Collection","Daybreak","Garden Park","Park City","St. George","Custom");
	$out1 ='<option value="">-- Select --</option>';
	foreach($out as $key=>$val){
		$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
	}
	return $out1;
}
function HomeFloorPlanFront($id=""){
	$out = array(1 => "Ivory Floor Plans","California Collection","Daybreak","Garden Park","Park City","St. George");
	$class=$id==''?"hom-mod-active" : "";
	$out1 = '<a class="'.$class.'" href='.MAIN_SITE . 'home_designs/> All Plans</a>';
	foreach($out as $key=>$val){
		//$out1 .= '<option value="'.$key.'" '.($id==$key?"selected='selected'":"").'>'.$val.'</option>';
		//$out1 .= '<a class="'.$key.' == "" ? "hom-mod-active" : "";" href='.MAIN_SITE . 'home_designs/';'> '.$val.'</a>';
		$class=$id==$key?"hom-mod-active" : "";
		$out1 .= '<a class="'.$class.'" href='.MAIN_SITE . 'home_designs/'.$key.'/>'.$val.'</a>';
	}
	return $out1;
}

function HomeFloorPlanCatName($id=""){
	$out1 = array(1 => "Ivory Floor Plans","California Collection","Daybreak","Garden Park","Park City","St. George","Custom");
	foreach($out1 as $key=>$val){
		$out .=  $key==$id?$val:"";
	}
	return $out;
}
function CalenderMonths($id=0){
	for($i=1;$i<=12;$i++){
		$res[] .= $i;
	}
	$out = $res;			
	$out1 ='';			
	foreach($out as $val){
		$out1 .= '<option value="'.$val.'" '.($id==$val?"selected='selected'":"").'>'.date('F', mktime(0, 0, 0, $val, 10)).'</option>';
	}		
	return $out1;
}
function CalenderYears($id=0){	
	for($i=$id;$i<=$id+5;$i++){
		$res[] .= $i;
	}
	for($j=$id-5;$j<$id;$j++){
		$res1[] .= $j;
	}
	$out = $res;			
	$out1 ='';	
	foreach($res1 as $val1){
		if($val1!=$id)
		$out1 .= '<option value="'.$val1.'" '.($id==$val1?"selected='selected'":"").'>'.$val1.'</option>';
	}
	foreach($out as $val){
		$out1 .= '<option value="'.$val.'" '.($id==$val?"selected='selected'":"").'>'.$val.'</option>';
	}	
	return $out1;
}

function insertNL($db, $name, $email){
	$val	= array(
				"name" => safe_str($name),
				"email" => safe_str($email)					
				);
	$db->insert('iv_newsletter', $val);
}

class Others {
	
	public $errors = array();
	
	public function __construct() {
		
		
	}

	public function checkDuplicates($db, $column, $tbl_name, $values) {
		
		foreach ($values as $field => $value) {

			$field == $column ? $val=$value : NULL;
				
		}
		
		$where = " 1 AND $column='".$val."'";
		$rs = $db->countWhere($tbl_name, $where);
		//echo $rs;exit;
		return $rs <> 0 ? TRUE : FALSE; 
	}
	
	public function errorMessage($msg) {
		echo '<div class="alert alert-error">
							<button data-dismiss="alert" class="close" type="button">'.utf8_encode('×').'</button>
							'.$msg.'.
						</div>';
	}
	
	public function successMessage($msg) {
		echo '<div class="alert alert-success">
							<button data-dismiss="alert" class="close" type="button">'.utf8_encode('×').'</button>
							<strong>Well done!</strong> '.$msg.'.
						</div>';
	}
	
	// Validation part
	
	public function validate($data, $rules) {
		$valid = TRUE;
		
		foreach ($rules as $fieldname => $rule) {
			$callbacks = explode('|', $rule);
			
			foreach ($callbacks as $callback) {
				$value = isset($data[$fieldname]) ? $data[$fieldname] : NULL;
				if($this->$callback($value, $fieldname) == FALSE) $valid = FALSE;
			}
		}
		
		return $valid;
	}
	
	public function email($value, $fieldname) {
		$valid = filter_var($value, FILTER_VALIDATE_EMAIL);
		if ($valid == FALSE) {
			$this->errors[] = "The $fieldname needs to be a valid E-mail";
		}
		return $valid;
	}
	
	public function required($value, $fieldname) {
		$valid = !empty($value);
		if ($valid == FALSE) {
			$this->errors[] = "The $fieldname is required";
		}
		return $valid;
	}
	
}

$lib = new Others();
function ReportPage($id='')
{
    $out = '<div class="pull-right" >
        <select onchange = "if (this.value) window.location.href=this.value" style="border:1px solid #C6CED0; border-radius:4px;font-size:14px;
  line-height:50px; height:25px;">
            <option value = "" > Select your report </option >
			<option value = "available_homes.php" '.($id=='available_homes.php'?"selected='selected'":"").'> Available Homes </option >
            <option value = "agent_closing.php" '.($id=='agent_closing.php'?"selected='selected'":"").'> Agent Closing </option >
            <option value = "agent_volume.php" '.($id=='agent_volume.php'?"selected='selected'":"").'> Agent Volume </option >
			<option value = "closing_report.php" '.($id=='closing_report.php'?"selected='selected'":"").'> Closings</option >
			<option value = "comps_report.php" '.($id=='comps_report.php'?"selected='selected'":"").'> Comps Report </option >
			<option value = "close_super.php" '.($id=='close_super.php'?"selected='selected'":"").'> Close Super </option >
			<option value = "dig.php" '.($id=='dig.php'?"selected='selected'":"").'> Dig Report </option >
			<option value = "delivery_commitment.php" '.($id=='delivery_commitment.php'?"selected='selected'":"").'> Delivery Commitment </option >
			<option value = "gross_sale.php" '.($id=='gross_sale.php'?"selected='selected'":"").'> Gross Sales </option >
			<option value = "hoa_closing.php" '.($id=='hoa_closing.php'?"selected='selected'":"").'> HOA Closing </option >
			<option value = "homes_underconstruction.php" '.($id=='homes_underconstruction.php'?"selected='selected'":"").'> Homes Under Construction </option >
			<option value = "lot-inventory.php" '.($id=='lot-inventory.php'?"selected='selected'":"").'> Lot Inventory </option >
			<option value = "meeting_held.php" '.($id=='meeting_held.php'?"selected='selected'":"").'> Meetings Held </option >
			<option value = "mls.php" '.($id=='mls.php'?"selected='selected'":"").'> MLS Report </option >
			<option value = "net_sales.php" '.($id=='net_sales.php'?"selected='selected'":"").'> Net Sales Report </option >
			<option value = "net_sales_ext.php" '.($id=='net_sales_ext.php'?"selected='selected'":"").'> Net Sales Ext </option >
			<option value = "project_closing.php" '.($id=='project_closing.php'?"selected='selected'":"").'> Project Closing </option >
			<option value = "pre_con_aging.php" '.($id=='pre_con_aging.php'?"selected='selected'":"").'> Pre - Con Aging </option >
            <option value = "sales_agent.php?aid='.$_SESSION['login_id'].'" '.($id=='sales_agent.php'?"selected='selected'":"").'> Sales Agent Report </option >
            <option value = "survey.php" '.($id=='survey.php'?"selected='selected'":"").'> Survey Report </option >
            <option value = "townhomes_status.php" '.($id=='townhomes_status.php'?"selected='selected'":"").'> Townhomes Report </option >
            <option value = "townhomes_held.php" '.($id=='townhomes_held.php'?"selected='selected'":"").'> Townhomes Held </option >
        </select >
    </div >';
    return $out;
}

function ReportPageagent($id='')
{
    $out = '<div class="pull-right" >
        <select onchange = "if (this.value) window.location.href=this.value" style="border:1px solid #C6CED0; border-radius:4px;font-size:14px;
  line-height:50px; height:25px;">
            <option value = "" > Select your report </option >
			<option value = "agent_closing.php" '.($id=='agent_closing.php'?"selected='selected'":"").'> Agent Closing </option >
			<option value = "available_homes.php" '.($id=='available_homes.php'?"selected='selected'":"").'> Available Homes </option >
			<option value = "homes_underconstruction.php" '.($id=='homes_underconstruction.php'?"selected='selected'":"").'> Homes Under Construction </option >
			<option value = "lot-inventory.php" '.($id=='lot-inventory.php'?"selected='selected'":"").'> Lot Inventory </option >
			<option value = "net_sales_ext.php" '.($id=='net_sales_ext.php'?"selected='selected'":"").'> Net Sales Ext </option >
			<option value = "sales_agent.php" '.($id=='sales_agent.php'?"selected='selected'":"").'> Sales Agent Report </option >
        </select >
    </div >';
    return $out;
}

function clientstate($st){
	$arr 	= array("AB" => "AB - Alberta", 
	                "AK" => "AK - Alaska", 
					"AL" => "AL - Alabama", 
					"AR" => "AR - Arkansas",
					"AZ" => "AZ - Arizona",
					"BC" => "BC - British Columbia",
					"CA" => "CA - California",
					"CO" => "CO - Colorado",
					"CT" => "CT - Connecticut",
					"DC" => "DC - District of Columbia",
					"DE" => "DE - Delaware",
					"FL" => "FL - Florida",
					"GA" => "GA - Georgia",
					"HI" => "HI - Hawaii",
					"IA" => "IA - Iowa",
					"ID" => "ID - Idaho",
					"IL" => "IL - Illinois",
					"IN" => "IN - Indiana",
					"KS" => "KS - Kansas",
					"KY" => "KY - Kentucky",
					"LA" => "LA - Louisiana",
					"MA" => "MA - Massachusetts",
					"MB" => "MB - Manitoba",
					"MD" => "MD - Maryland",
					"ME" => "ME - Maine",
					"MI" => "MI - Michigan",
					"MN" => "MN - Minnesota",
					"MO" => "MO - Missouri",
					"MS" => "MS - Mississippi",
					"MT" => "MT - Montana",
					"NB" => "NB - New Brunswick",
					"NC" => "NC - North Carolina",
					"ND" => "ND - North Dakota",
					"NE" => "NE - Nebraska",
					"NH" => "NH - New Hampshire",
					"NJ" => "NJ - New Jersey",
					"NL" => "NL - Newfoundland and Labrador",
					"NM" => "NM - New Mexico",
					"NS" => "NS - Nova Scotia",
					"NT" => "NT - Northwest Territories",
					"NU" => "NU - Nunavut",
					"NV" => "NV - Nevada",
					"NY" => "NY - New York",
					"OH" => "OH - Ohio",
					"OK" => "OK - Oklahoma",
					"ON" => "ON - Ontario",
					"OR" => "OR - Oregon",
					"PA" => "PA - Pennsylvania",
					"PE" => "PE - Prince Edward Island",
					"QC" => "QC - Québec",
					"RI" => "RI - Rhode Island",
					"SC" => "SC - South Carolina",
					"SD" => "SD - South Dakota",
					"SK" => "SK - Saskatchewan",
					"TN" => "TN - Tennessee",
					"TX" => "TX - Texas",
					"UT" => "UT - Utah",
					"VA" => "VA - Virginia",
					"VT" => "VT - Vermont",
					"WA" => "WA - Washington",
					"WV" => "WV - West Virginia",
					"WY" => "WY - Wyoming",
					"YT" => "YT - Yukon",
					"AA" => "AA - Armed Forces Americas",
					"AE" => "AE - Armed Forces EMEA",
					"AP" => "AP - Armed Forces Pacific",
					"XX" => "Outside US/Canada");
	$out	.= '';
	$out	.= '<option value="">-- Select --</option>';
	foreach ($arr as $key=>$val) {
		$out	.= '<option value="' . $key . '"';
			if ($key == $st) {
				$out	.= ' selected="selected"';
			}
			$out	.= '>' . $val . '</option>';
	}
	$out	.= '</select>';
	return $out;
}

function chkDuplicatesOR_cladd($db, $tname, $b) {		
	$count = count($b);
	$where = " 1=1 AND is_delete=0 AND";
	$i = 1;
	foreach ($b as $v=>$k) {
		$where .= " `$v`='$k' ";
		$where .= $i == $count ? '' : 'OR';
		$i++;
	}
	$rs = $db->countWhere($tname, $where);
	return $rs > 0 ?  TRUE : FALSE;
}

function countrylist()
{
		 $catsql = "SELECT `country_id`,`country_name`, `country_status` FROM  ".COUNTRY." WHERE `country_status` NOT IN(1,2)";
        $catfet=$prop->getAll_Disp($catsql); 
		$output		 = '<select name="Country_List" id="Country_List" class="select2 form-control" data-validate="required">
				<option value="">Select Country</option>';
		for($i=0; $i<count($catfet); $i++)
					                    {  
			$output .= '<option value="'.$catfet[$i]['country_id'].'" '.($catfet[$i]['country_id'] == $selected ? "selected":"").' >'.$catfet[$i]['country_name'].'</option>';
		}
		$output .= '</select>';
		return $output;
}


?>
