<?php
ob_start();
error_reporting(0);
session_start();
//date_default_timezone_set("Asia/Kolkata");
date_default_timezone_set('US/Eastern');
$date = date('Y-m-d H:i:s');
define('TEMP_PATH',"https://$_SERVER[HTTP_HOST]/");
define('LIVE_SITE',TEMP_PATH);
define('ADMIN_SITE',TEMP_PATH);

define('DOC_CONFIG',$_SERVER['DOCUMENT_ROOT'].'/');

define("DB_HOST", "localhost");
define("DB_USER", "ahcusame_PPE");
define("DB_PASS", "00uOe^e[Wa~)");
define("DB_NAME", "ahcusame_ppeapp");
define("TABLE_PREFIX", "");


define("MAIL_ADD", "info@siseusa.org");
define("USERS", TABLE_PREFIX . "appuser");
define("DATALIST", TABLE_PREFIX . "medical_supplies");
define("INVENTRY", TABLE_PREFIX . "inventry");
define("MEDICAL", TABLE_PREFIX . "MedicalCSV");
define("CONSTRUCTION", TABLE_PREFIX . "ConstructionCSV");
define("CLEANING", TABLE_PREFIX . "CleaningCSV");

//define("IP",get_client_ip());
define("DB_DATE",date('Y-m-d H:i:s'));

$session_user_id = $_SESSION['U']['id'];
$session_user_email = $_SESSION['U']['email'];
$session_user_name = $_SESSION['U']['name'];
$session_user_type = $_SESSION['U']['user_type'];
$session_vender_level = $_SESSION['U']['vender_level'];


class DB
{
	private $db;

	public function __construct()
	{
		try
		{
			$this->db = new PDO('mysql:host='.DB_HOST.';dbname='.DB_NAME.';', DB_USER, DB_PASS);
			$this->db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$this->db->setAttribute(PDO::ATTR_EMULATE_PREPARES, false);
		}
		catch (PDOException $err)
		{
			echo "Unable to make DB connect.";
			$err->getMessage() . "<br/>";
			file_put_contents('PDOErrors.txt',$err, FILE_APPEND);  // write some details to an error-log outside public_html
			die();
		}
	}
	public function getDb() {
		if ($this->db instanceof PDO)
			return $this->db;
	}
}

function get_client_ip()
{
    $ipaddress = '';
    if ($_SERVER['HTTP_CLIENT_IP'])
        $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
    else if ($_SERVER['HTTP_X_FORWARDED_FOR'])
        $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
    else if ($_SERVER['HTTP_X_FORWARDED'])
        $ipaddress = $_SERVER['HTTP_X_FORWARDED'];
    else if ($_SERVER['HTTP_FORWARDED_FOR'])
        $ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
    else if ($_SERVER['HTTP_FORWARDED'])
        $ipaddress = $_SERVER['HTTP_FORWARDED'];
    else if ($_SERVER['REMOTE_ADDR'])
        $ipaddress = $_SERVER['REMOTE_ADDR'];
    else
        $ipaddress = 'UNKNOWN';
    return $ipaddress;
}

function bckPermission($type){
	$res = TRUE;
	if($type===0)
		$res = FALSE;
	return $res;		
}
function bckPermissionAdmin($type){
	$res = TRUE;
	if($type===1)
		$res = FALSE;
	return $res;		
}
function bckPermissionVendor($type){
	$res = TRUE;
	if($type===2)
		$res = FALSE;
	return $res;		
}
function bckPermissionBuyer($type){
	$res = TRUE;
	if($type===3)
		$res = FALSE;
	return $res;		
}
?>
