<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
require_once('inc/apiFunctions.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
if($_SESSION['U']['user_type'] != 1){
	header('location:dashboard.php');
	exit;
}

$inventryID = $_REQUEST['id'];
$curr_val = $prop->get('*',INVENTRY, array('id'=>$inventryID,'status'=>0));
$compName = $curr_val['compName'];
$updated_date = $curr_val['updated_date'];
$catID = $curr_val["catID"];
$catIDs = explode('|',$catID);
$cat_name='';
foreach($catIDs as $catID)
{
	$cat_name .= $prop->getName('name','categories','status=0 AND id='.$catID).", ";
}
$paymentMethod = '';
$paymentMethodData = $curr_val["payment_type"];
$paymentMethodData = explode('|',$paymentMethodData);
$paymentMethod = '';
$PM = array();
foreach($paymentMethodData as $method)
{
	if($method == 'CC')
	array_push($PM,"Credit Cards");
	else if($method == 'PO')
	array_push($PM,"Purchase Order");
	else if($method == 'BW')
	array_push($PM,"Bank Wire");
	else if($method == 'PP')
	array_push($PM,"Paypal");
}
if(count($PM)>0)
$paymentMethod = implode(',', $PM);
else
$paymentMethod = 'None';

$msg  = '';

if(isset($_REQUEST['action']) and ($_REQUEST['action'] == 'add'))
{
	$address = str_replace(" ", "+", $curr_val['address'].",usa");
	$address = str_replace("#", "", $address);
	$json = file_get_contents("https://maps.google.com/maps/api/geocode/json?address=$address&key=AIzaSyArAHdsKsSdwUeP90TJBoVJlOVJTHJqDeE");
	$json = json_decode($json, true); 
	$lat = $json['results'][0]['geometry']['location']['lat'];
	$long = $json['results'][0]['geometry']['location']['lng'];	
	$address = str_replace("+", " ", $address);
	
	$action          = "adds"; //adds,updates,deletes
	$jsondata        = '[{"geometry" : {"x": '.$long.',"y": '.$lat.',"spatialReference": {"wkid": 4326}},"attributes" : {"LastUpdate" : "'.$updated_date.'", "Company" : "'.$compName.'", "AvailabelProducts" : "'.$cat_name.'", "Address" : "'.$address.'", "PaymentMethod" : "'.$paymentMethod.'", "DetailsLink" : "https://ppe.siseusa.org/view-single-inventry.php?id='.$inventryID.'"}}]';
	
	$msg =  applyEdits($client_id,$client_secret,$services_url,$action,$jsondata);
	$msg = json_decode($msg, true); 
	$status = $msg['addResults'][0]['success'];
	$objectId = $msg['addResults'][0]['objectId'];
	//$uniqueId =$msg['addResults'][0]['uniqueId'];
	if($status)
	{
		$input  = array(
			'inventory_id'	=>$inventryID,
			'map_id'		=>$objectId
			
		);
		$result = $prop->add('added_on_map', $input);
		if ($result) {
			$msg = 'Successfully added, MAP object Id is '.$objectId;
			setcookie('status', 'Success', time()+10);
			setcookie('title', $msg, time()+10);
			setcookie('err', 'success', time()+10);
			header('Location: map-data.php');
			exit;
		}	
	}
	else
	{
		$msg = $msg['error']['message'];
		setcookie('error', 'Error', time()+10);
		setcookie('title', $msg, time()+10);
		setcookie('err', 'error', time()+10);
		header('Location: map-data.php');
		exit;
	}
}
else if(isset($_REQUEST['action']) and ($_REQUEST['action'] == 'edit'))
{
	
	$map_id = $prop->getName('map_id','added_on_map','status=0 AND inventory_id='.$inventryID);
	$address = str_replace("#", "", $curr_val['address'].",usa");	
	$action          = "updates"; //adds,updates,deletes
	$jsondata        = '[{"attributes" : {"objectId": '.$map_id.', "LastUpdate" : "'.$updated_date.'", "Company" : "'.$compName.'", "AvailabelProducts" : "'.$cat_name.'", "Address" : "'.$address.'", "PaymentMethod" : "'.$paymentMethod.'", "DetailsLink" : "https://ppe.siseusa.org/view-single-inventry.php?id='.$inventryID.'"}}]';
	
	$msg =  applyEdits($client_id,$client_secret,$services_url,$action,$jsondata);
	$msg = json_decode($msg, true); 
	
	$status = $msg['updateResults'][0]['success'];
	$objectId = $msg['updateResults'][0]['objectId'];
	//$uniqueId =$msg['updateResults'][0]['uniqueId'];
	if($status)
	{
		$msg = 'Successfully Updated, MAP object Id is '.$objectId;
		setcookie('status', 'Success', time()+10);
		setcookie('title', $msg, time()+10);
		setcookie('err', 'success', time()+10);
		header('Location: map-data.php');
		exit;
	}
	else
	{
		$msg = $msg['error']['message'];
		setcookie('error', 'Error', time()+10);
		setcookie('title', $msg, time()+10);
		setcookie('err', 'error', time()+10);
		header('Location: map-data.php');
		exit;
	}
}?>