<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
if(bckPermissionVendor($_SESSION['U']['user_type'])){
	header('location:dashboard.php');
	exit;
}

if(isset($_POST['btnUpdate']))
{

	$t_cond = array("id" =>  $_SESSION['U']['id']);
	$insdata   = array(
             'fname'           =>$_POST['fname'],
			 'lname'           =>$_POST['lname'],
			 'cName'           =>$_POST['cName'],
			 'phone'           =>$_POST['phone'],
			 'address'         =>$_POST['address'],
			 'city'            =>$_POST['city'],
			 'state'           =>$_POST['state'],
			 'zip'             =>$_POST['zip'],
			 'Vcat'            =>json_encode($_POST['categories']),
			 'vendor_options'  =>json_encode($_POST['vendor_options'])
	);
		if($prop->update(USERS, $insdata, $t_cond))
		 {
			setcookie("status", "Success", time()+10);
			setcookie("title", "Profile Updated Successfully", time()+10);
			setcookie("err", "success", time()+10);
			header('Location: vendor-profile.php');
		 }
}

$curr_val = $prop->get('*',USERS, array('id'=>$_SESSION['U']['id']));

?>
<!DOCTYPE html>

<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16"  href="img/logo-sise.jpg">
    <title>Update Profile</title>
    <!-- Bootstrap Core CSS -->
    <link href="bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="plugins/bower_components/bootstrap-extension/css/bootstrap-extension.css" rel="stylesheet">
    <!-- Menu CSS -->
    <link href="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.css" rel="stylesheet">
	    <link href="plugins/bower_components/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
    <!-- Animation CSS -->
    <link href="css/animate.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/style.css" rel="stylesheet">
    <!-- color CSS you can use different color css from css/colors folder -->
    <!-- We have chosen the skin-blue (blue.css) for this starter
          page. However, you can choose any other skin from folder css / colors .
-->
   <link href="css/colors/default-dark.css" id="theme" rel="stylesheet">
    <!--<link href="css/colors/blue.css" id="theme" rel="stylesheet">-->
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
<style>
.ul_options li{display:block; list-style:none;}
</style>
<?php include 'inc/head_tag_script.php';?>
</head>

<body>
<?php include 'inc/after_the_opening_body_tag.php';?>
    <!-- Preloader -->
    <div class="preloader">
        <div class="cssload-speeding-wheel"></div>
    </div>
    <div id="wrapper">
        <!-- include header -->
        <?php include 'header.php';?>
        <!-- header ends-->
        <!-- Left navbar-header -->
        <?php include 'left-sidebar.php';?>
        <!-- Left navbar-header end -->
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row bg-title">
                    <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12">
                        <h4 class="page-title">Update Profile </h4> </div>
                    <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12">
                        <ol class="breadcrumb">
                            <li><a href="dashboard.php">Dashboard</a></li>
                            <li class="active">Update Profile</li>
                        </ol>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="white-box">
                            <h3 class="box-title">Update Profile</h3>




                            <form method="post">
                                       <div class="row">
                                         <div class="form-group col-md-4">
                                            <label for="exampleInputuname">First Name</label>
                                            <div class="input-group">
                                                <div class="input-group-addon"><i class="fa fa-user" aria-hidden="true"></i></div>
                                                <input type="text" class="form-control" name="fname" placeholder="First name" value="<?php
                                                	echo $curr_val['fname'];
												?>" required>
                                            </div>
											<div class="help-block with-errors"></div>
                                        </div>
                                         <div class="clearfix"></div>
                                         <div class="form-group col-md-4">
                                            <label for="exampleInputuname">Last Name</label>
                                            <div class="input-group">
                                                <div class="input-group-addon"><i class="fa fa-user" aria-hidden="true"></i></div>
                                                <input type="text" class="form-control" name="lname" placeholder="Last name" value="<?php
                                                	echo $curr_val['lname'];
												?>" required>
                                            </div>
											<div class="help-block with-errors"></div>
                                        </div>
                                       	 <div class="clearfix"></div>
                                         <div class="form-group col-md-4">
                                            <label for="exampleInputuname">Company Name</label>
                                            <div class="input-group">
                                                <div class="input-group-addon"><i class="fa fa-building-o" aria-hidden="true"></i></div>
                                                <input type="text" class="form-control" name="cName" placeholder="Full name" value="<?php
                                                	echo $curr_val['cName'];
												?>" required>
                                            </div>
											<div class="help-block with-errors"></div>
                                        </div>
                                       	 <div class="clearfix"></div>
                                         <div class="form-group col-md-4">
                                            <label for="exampleInputuname">Email</label>
                                            <div class="input-group">
                                                <div class="input-group-addon"><i class="fa fa-envelope" aria-hidden="true"></i></div>
                                                <input type="text" class="form-control" name="email" value="<?php
                                                	echo $curr_val['email'];
												?>" disabled >
                                            </div>
											<div class="help-block with-errors"></div>
                                        </div>
                                       	 <div class="clearfix"></div>
                                         <div class="form-group col-md-4">
                                            <label for="exampleInputuname">Mobile Number</label>
                                            <div class="input-group">
                                                <div class="input-group-addon"><i class="fa fa-phone" aria-hidden="true"></i></div>
                                                <input type="text" class="form-control" name="phone" placeholder="Mobile Number" value="<?php
                                                	echo $curr_val['phone'];
												?>" required>
                                            </div>
											<div class="help-block with-errors"></div>
                                        </div>
                                       	 <div class="clearfix"></div>
                                         <div class="form-group col-md-4">
                                            <label for="exampleInputuname">Address</label>
                                            <div class="input-group">
                                                <div class="input-group-addon"><i class="fa fa-map-marker" aria-hidden="true"></i></div>
                                                <input type="text" class="form-control" name="address" placeholder="Address" value="<?php
                                                	echo $curr_val['address'];
												?>" required>
                                            </div>
											<div class="help-block with-errors"></div>
                                        </div>
                                       	 <div class="clearfix"></div>
                                         <div class="form-group col-md-4">
                                            <label for="exampleInputuname">City</label>
                                            <div class="input-group">
                                                <div class="input-group-addon"><i class="fa fa-building" aria-hidden="true"></i></div>
                                                <input type="text" class="form-control" name="city" placeholder="City" value="<?php
                                                	echo $curr_val['city'];
												?>" required>
                                            </div>
											<div class="help-block with-errors"></div>
                                        </div>
                                       	 <div class="clearfix"></div>
                                         <div class="form-group col-md-4">
                                            <label for="exampleInputuname">Select state</label>
                                            <div class="input-group">
                                                <div class="input-group-addon"><i class="fa fa-flag" aria-hidden="true"></i></div>
                                                <select class="form-control" required="" name="state" id="state">
                                                <option value="">Select state</option>
                                                <?php
                                                $state_sql = 'select * from state_list order by id';
                                                $statefet=$prop->getAll_Disp($state_sql);
                                                
                                                for($c=0; $c<count($statefet); $c++)
                                                {
												$check = '';
												if($statefet[$c]['id'] == $curr_val['state'])
												$check = 'selected';
												?>
                                                    <option value="<?php echo $statefet[$c]['id'];?>" <?php echo $check;?>>
														<?php echo $statefet[$c]['State'];?>
                                                    </option>
                                                <?php
                                                }
                                                ?>
                                                </select>
                                            </div>
											<div class="help-block with-errors"></div>
                                        </div>
                                       	 <div class="clearfix"></div>
                                         <div class="form-group col-md-4">
                                            <label for="exampleInputuname">Zip</label>
                                            <div class="input-group">
                                                <div class="input-group-addon"><i class="fa fa-map-pin" aria-hidden="true"></i></div>
                                                <input type="text" class="form-control" name="zip" placeholder="Zip" value="<?php
                                                	echo $curr_val['zip'];
												?>" required>
                                            </div>
											<div class="help-block with-errors"></div>
                                        </div>
                                       	<div class="clearfix"></div>
                                        <div class="form-group col-md-12">
                                           <div class="col-md-12 m-t-15">
                            					<h3 class="box-title">
                                                	<i class="fa fa-list-alt m-r-10" aria-hidden="true"></i> Select the PPE categories and quantity scale that you can service
                                                </h3>
                                           </div>  
                                           <div class="clearfix"></div>   
                                            <?php
											$cat_sql = 'select * from categories order by ordno ASC';
											$catfet=$prop->getAll_Disp($cat_sql);
											
											for($c=0; $c<count($catfet); $c++)
											{
												$checked = '';
												$catIDs = json_decode($curr_val['Vcat'],true);
												if(in_array($catfet[$c]['id'],$catIDs))
												$checked = "checked";
											?>
												 <div class="col-md-3">
                                                     <div style="border:1px dashed #003366; padding:5px; margin-bottom:15px;">
                                                        <div style="margin-bottom:20px">
                                                        <div class="checkbox checkbox-primary pull-left p-t-0">
                                                            <input id="cat-<?php echo $catfet[$c]['id'];?>" name="categories[]" type="checkbox" value="<?php 
                                                            echo $catfet[$c]['id'];?>" <?php echo $checked;?>>
                                                            <label for="cat-<?php echo $catfet[$c]['id'];?>"> <?php 
                                                            echo $catfet[$c]['name'];?> </label>
                                                        </div>
                                                        </div>
                                                        <div style="margin-top: 45px;">
                                                            <ul class="ul_options" id="options<?php echo $catfet[$c]['id'];?>">
                                                                <?php 
                                                                $options = explode('|',$catfet[$c]['options']);
                                                                foreach($options as $option)
                                                                {
                                                                    $vendor_options = json_decode($curr_val['vendor_options'],true);
                                                                    $checked2 = '';
                                                                    if(in_array($catfet[$c]['id']."~".$option,$vendor_options))
                                                                    $checked2 = 'checked';
                                                                ?>
                                                                <li>
                                                                    <div class="checkbox checkbox-primary">
                                                                        <input id="cat-<?php echo $catfet[$c]['id'];?>-option-<?php 
                                                                        echo $option;?>" name="vendor_options[]" type="checkbox" value="<?php 
                                                                        echo $catfet[$c]['id']."~".$option;?>" <?php echo $checked2;?>>
                                                                        <label for="cat-<?php echo $catfet[$c]['id'];?>-option-<?php echo $option;?>"> <?php 
                                                                        echo $option;?> </label>
                                                                    </div>
                                                                
                                                                </li>
                                                                <?php 
                                                                }
                                                                ?>
                                                            </ul>
                                                        </div>
                                                     </div>   
                                                 </div>
											<?php
											}
											?>
                                        </div>

                                        <div class="clearfix"></div>
                                        <div class="col-sm-12" style="margin-top:25px;"><a href="dashboard.php"><button type="button" class="btn btn-inverse waves-effect waves-light pull-right">Cancel</button></a><button type="submit" class="btn btn-success waves-effect waves-light pull-right m-r-10 sub" name="btnUpdate">Submit</button></div>

                                        </div>

                                    </div>
							</form>


                    </div>
                </div>

            </div>
            <!-- /.container-fluid -->
              <?php include "footer.php" ?>
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="plugins/bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bootstrap/dist/js/tether.min.js"></script>
    <script src="bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="plugins/bower_components/bootstrap-extension/js/bootstrap-extension.min.js"></script>
    <!-- Menu Plugin JavaScript -->
    <script src="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js"></script>
    <!--slimscroll JavaScript -->
    <script src="js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="js/waves.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="js/custom.min.js"></script>
    <script src="js/validator.js"></script>
    <!--Style Switcher -->
    <script src="plugins/bower_components/styleswitcher/jQuery.style.switcher.js"></script>
	  <script src="plugins/bower_components/sweetalert/sweetalert.min.js"></script>
    <script src="plugins/bower_components/sweetalert/jquery.sweet-alert.custom.js"></script>
	<script>
		<?php if($_COOKIE[err] =='success')
			{

				echo 'swal("'.$_COOKIE[status].'", "'.$_COOKIE[title].'", "'.$_COOKIE[err].'");';
				?>
				setTimeout(function() {
					$(".confirm").trigger('click');
				}, 3000);
			   <?php
				setcookie("status", $_COOKIE[status], time()-10);
				setcookie("title", $_COOKIE[title], time()-10);
				setcookie("err", $_COOKIE[err], time()-10);
			}
			?>

</script>
</body>

</html>
