<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
$Check = true;

if(isset($_SESSION['MED'])) {
	$Check = false;
}
if(isset($_SESSION['CON'])) {
	$Check = false;
}
if(isset($_SESSION['CLE'])) {
	$Check = false;
}

if($Check)
{
	header('Location: membership-login.php');
}
if(isset($_REQUEST['id']))
{
	$tbl = $_REQUEST['tbl'];
	if($tbl == 'med')
	{
		$table = MEDICAL;
		$page = 'medical-view';
		$title = 'Medical';
	}
	else if($tbl == 'con')
	{
		$table = CONSTRUCTION;
		$page = 'construction-view';
		$title = 'Construction';
	}
	else if($tbl == 'clr')
	{
		$table = 'CleaningCSV';
		$page = 'cleaning-view';
		$title = 'Cleaning';
	}
	$ID = $_REQUEST['id'];
	$curr_val = $prop->get('*',$table, array('id'=>$ID));
}

?>
<!DOCTYPE html>

<html lang="en">

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16"  href="img/logo-sise.jpg">
    <title><?php echo $title; ?> Single View</title>
    <!-- Bootstrap Core CSS -->
    <link href="bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="plugins/bower_components/bootstrap-extension/css/bootstrap-extension.css" rel="stylesheet">
    <!--alerts CSS -->
    <link href="plugins/bower_components/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
    <!-- Menu CSS -->
    <link href="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.css" rel="stylesheet">
    <!-- Animation CSS -->
    <link href="css/animate.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/custom-style.css" rel="stylesheet">
    <!-- data table css -->
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
	<link href="plugins/bower_components/custom-select/custom-select.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/bootstrap-select/bootstrap-select.min.css" rel="stylesheet" />
    <link href="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" type="text/css" />
    <!-- data table css ends-->
    <!-- color CSS you can use different color css from css/colors folder -->
    <!-- We have chosen the skin-blue (blue.css) for this starter
          page. However, you can choose any other skin from folder css / colors .
-->
   <link href="css/colors/default-dark.css" id="theme" rel="stylesheet">
    <!--<link href="css/colors/blue.css" id="theme" rel="stylesheet">-->
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
<style>
#accordion .card{margin-bottom:10px;}
#accordion .card .card-link{font-weight: 700;color:#55616c !important}
.email_alert{max-width:150px;margin-top:5px;padding: 5px 12px; height:34px;}
#page-wrapper{margin:0px;}
.main_cate_checkbox {margin-top: 0px !important;
    background: #f1f1f1;
    padding: 10px;}
.cat-box{border:1px solid #f1f1f1; margin-bottom:20px !important; padding:0px;}
.cat-box p,.cat-box .upload-btn-wrapper{padding:0px 10px;}
.upload-btn-wrapper {
  position: relative;
  overflow: hidden;
  display: inline-block;
}

.upload-btn-wrapper .btn {
  border: 1px solid gray;
  color: gray;
  background-color: white;
  padding: 8px 20px;
  border-radius: 8px;
  font-size: 16px;
  font-weight: bold;
}

.upload-btn-wrapper input[type=file] {
  font-size: 100px;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
}
.icon-setup{color: #2196f3;font-size: 24px;vertical-align: middle;}
.btn-download{width:100%; padding:7px !important;}
.btn-outOfStock{width:100%;}
.info-icons{color:#2196f3;}
.comapny-info p{margin-left:15px;}
.footer{left:0px !important}
.bottom_checkbox1	{
	margin-top: 0px !important;
	margin-bottom: 0px !important;
	background: #f9f9f9;
    padding: 10px 10px;
	font-size:18px
}
.bottom_checkbox1 .off{color:red;}
.bottom_checkbox1 .on{color:green;}
@media (min-width: 768px){
.cat-box{max-width: 23.50% !important; margin:7.5px;}
.comp-col-2{padding-top:35px;}
}
</style>
<link href="css/colors/gray.css" id="theme" rel="stylesheet">
<link href="css/style-owns.css" id="theme" rel="stylesheet">
<link href="plugins/bower_components/multiSelectCheckbox/bootstrap-multiselect.css" rel="stylesheet" type="text/css"/>
</head>

<body>
    <!-- Preloader -->
    <div class="preloader">
        <div class="cssload-speeding-wheel"></div>
    </div>
    <div id="wrapper">
        <!-- include header -->
        <?php //include 'header.php';?>
        <!-- header ends-->
        <!-- Left navbar-header -->
        <?php //include 'left-sidebar.php';?>
        <!-- Left navbar-header end -->
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row bg-title">
                    <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12">
                       <div style="float:left; width:65px; margin-right:15px;"><img src="img/logo-sise.jpg" width="65px"></div><div style="float:left;"> <h4 class="page-title"><?php echo $title; ?> View</h4></div>
                    </div>
                    <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12">
                        <h4 class="page-title pull-right" style="font-size: 15px;">Single <?php echo $title; ?> View </h4>
                    </div>
                    <div class="clearfix"></div>
                    <!-- /.col-lg-12 -->
                </div>
				
                <div class="row">
                	 <div class="col-md-12">
                        <div class="white-box">   
                        	<h3 class="box-title">Single <?php echo $title; ?> View</h3>
                            <?php if($title == 'Medical') {?>	
                            	<div class="col-md-4 comapny-info">
                                 	<h4 class="form-label">Company Info:</h4>
                                    <p><label class="form-label"><i class="fa fa-industry" aria-hidden="true"></i>
                                    Company Name: <span class="info-icons"><?php echo $curr_val['COMPANYNAME'];?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-user" aria-hidden="true"></i>
                                    Name: <span class="info-icons"><?php echo $curr_val['FIRSTNAME']." ".$curr_val['LASTNAME'];?></span></label></p>						
                                    <p><label class="form-label"><i class="fa fa-calendar"></i>
                                    Contact Title: <span class="info-icons"><?php echo $curr_val['CONTACTTITLE'];?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-phone" aria-hidden="true"></i>
                                    Phone Number: <span class="info-icons"><?php echo $curr_val['PHONENUMBER'];?></span></label></p>
                                    
                                </div>
                                <div class="col-md-4 comapny-info comp-col-2">    
                                    
                                    
                                    <p><label class="form-label"><i class="fa fa-map-marker" aria-hidden="true"></i>
                                    Address: <span class="info-icons"><?php echo $curr_val['ADDRESS'];?></span></label>,</p>
                                    <p><label class="form-label">
                                    City: <span class="info-icons"><?php echo $curr_val['CITY'];?></span>, State: <span class="info-icons"><?php echo $curr_val['STATE'];?></span>, Zipcode: <span class="info-icons"><?php echo $curr_val['ZIPCODE'];?></span></label></p>
                                    <p><label class="form-label">
                                    Country: <span class="info-icons"><?php echo $curr_val['COUNTY'];?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-globe" aria-hidden="true"></i>
                                    Web Address: <span class="info-icons"><?php echo $curr_val['WEBADDRESS'];?></span></label></p>
                                    
                                </div>
                                <div class="col-md-4 comapny-info"></div>
                                <div class="clearfix"></div>
                                 <div class="col-md-12 " style="border-top:1px solid #f1f1f1"></div>
                                <div class="clearfix"></div>
                                <div class="col-md-4 comapny-info">
                                 	<h4 class="form-label">Other Info:</h4>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('MAILING CARRIER ROUTE'));?>: <span class="info-icons">
											<?php echo $curr_val['MAILINGCARRIERROUTE'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('MAILING DELIVERY POINT BAR CODE'));?>: <span class="info-icons">
											<?php echo $curr_val['MAILINGDELIVERYPOINTBARCODE'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('LOCATION ADDRESS'));?>: <span class="info-icons">
											<?php echo $curr_val['LOCATIONADDRESS'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('LOCATION ADDRESS CITY'));?>: <span class="info-icons">
											<?php echo $curr_val['LOCATIONADDRESSCITY'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('LOCATION ADDRESS STATE'));?>: <span class="info-icons">
											<?php echo $curr_val['LOCATIONADDRESSSTATE'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('LOCATION ADDRESS ZIP'));?>: <span class="info-icons">
											<?php echo $curr_val['LOCATIONADDRESSZIP'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('LOCATION ADDRESS DELIVERY POINT BAR CODE'));?>: <span class="info-icons">
											<?php echo $curr_val['LOCATIONADDRESSDELIVERYPOINTBARCODE'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('LOCATION ADDRESS CARRIER ROUTE'));?>: <span class="info-icons">
											<?php echo $curr_val['LOCATIONADDRESSCARRIERROUTE'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('COUNTY'));?>: <span class="info-icons">
											<?php echo $curr_val['COUNTY'];?></span>
                                        </label>
                                    </p>
                                    
                                    
                                </div>                                
                                <div class="col-md-3 comapny-info comp-col-2">
                                	<p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('HEADQUARTERS/BRANCH'));?>: <span class="info-icons">
											<?php echo $curr_val['HEADQUARTERSBRANCH'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('YEAR 1ST APPEARED'));?>: <span class="info-icons">
											<?php echo $curr_val['YEAR1STAPPEARED'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('OFFICE SIZE'));?>: <span class="info-icons">
											<?php echo $curr_val['OFFICESIZE'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('SQUARE FOOTAGE'));?>: <span class="info-icons">
											<?php echo $curr_val['SQUAREFOOTAGE'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('FIRM/INDIVIDUAL'));?>: <span class="info-icons">
											<?php echo $curr_val['FIRMINDIVIDUAL'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('PUBLIC/PRIVATE FLAG'));?>: <span class="info-icons">
											<?php echo $curr_val['PUBLICPRIVATEFLAG'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('Fleet size'));?>: <span class="info-icons">
											<?php echo $curr_val['Fleetsize'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('INDUSTRY SPECIFIC CODES'));?>: <span class="info-icons">
											<?php echo $curr_val['INDUSTRYSPECIFICCODES'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('METRO AREA'));?>: <span class="info-icons">
											<?php echo $curr_val['METROAREA'];?></span>
                                        </label>
                                    </p>
                                </div>
                                <div class="col-md-5 comapny-info comp-col-2">    
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('EMPLOYEE SIZE RANGE'));?>: <span class="info-icons">
											<?php echo $curr_val['EMPLOYEESIZERANGE'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('ACTUAL SALES VOLUME'));?>: <span class="info-icons">
											<?php echo $curr_val['ACTUALSALESVOLUME'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('SALES VOLUME RANGE'));?>: <span class="info-icons">
											<?php echo $curr_val['SALESVOLUMERANGE'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('PRIMARY SIC'));?>: <span class="info-icons">
											<?php echo $curr_val['PRIMARYSIC'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('PRIMARY SIC DESCRIPTION'));?>: <span class="info-icons">
											<?php echo $curr_val['PRIMARYSICDESCRIPTION'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('SECONDARY SIC #1'));?>: <span class="info-icons">
											<?php echo $curr_val['SECONDARYSIC1'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('SECONDARY SIC DESCRIPTION #1'));?>: <span class="info-icons">
											<?php echo $curr_val['SECONDARYSICDESCRIPTION1'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('CREDIT ALPHA SCORE'));?>: <span class="info-icons">
											<?php echo $curr_val['CREDITALPHASCORE'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('CREDIT NUMERIC SCORE'));?>: <span class="info-icons">
											<?php echo $curr_val['CREDITNUMERICSCORE'];?></span>
                                        </label>
                                    </p>
                                    
                                </div>
                                <div class="clearfix"></div>
                             <?php }
							 else if($title == 'Construction') {
							 ?>
							 	<div class="col-md-4 comapny-info">
                                 	<h4 class="form-label">Company Info:</h4>
                                    <p><label class="form-label"><i class="fa fa-industry" aria-hidden="true"></i>
                                    Company Name: <span class="info-icons"><?php echo $curr_val['COMPANYNAME'];?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-user" aria-hidden="true"></i>
                                    Name: <span class="info-icons"><?php echo $curr_val['FIRSTNAME']." ".$curr_val['LASTNAME'];?></span></label></p>						
                                    <p><label class="form-label"><i class="fa fa-calendar"></i>
                                    Contact Title: <span class="info-icons"><?php echo $curr_val['CONTACTTITLE'];?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-phone" aria-hidden="true"></i>
                                    Phone Number: <span class="info-icons"><?php echo $curr_val['PHONENUMBER'];?></span></label></p>
                                    
                                </div>
                                <div class="col-md-4 comapny-info comp-col-2">    
                                    
                                    
                                    <p><label class="form-label"><i class="fa fa-map-marker" aria-hidden="true"></i>
                                    Address: <span class="info-icons"><?php echo $curr_val['ADDRESS'];?></span></label>,</p>
                                    <p><label class="form-label">
                                    City: <span class="info-icons"><?php echo $curr_val['CITY'];?></span>, State: <span class="info-icons"><?php echo $curr_val['STATE'];?></span>, Zipcode: <span class="info-icons"><?php echo $curr_val['ZIPCODE'];?></span></label></p>
                                    <p><label class="form-label">
                                    Country: <span class="info-icons"><?php echo $curr_val['COUNTY'];?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-globe" aria-hidden="true"></i>
                                    Web Address: <span class="info-icons"><?php echo $curr_val['WEBADDRESS'];?></span></label></p>
                                    
                                </div>
                                <div class="col-md-4 comapny-info"></div>
                                <div class="clearfix"></div>
                                 <div class="col-md-12 " style="border-top:1px solid #f1f1f1"></div>
                                <div class="clearfix"></div>
                                <div class="col-md-4 comapny-info">
                                 	<h4 class="form-label">Other Info:</h4>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('EMPLOYEE SIZE RANGE'));?>: <span class="info-icons">
											<?php echo $curr_val['EMPLOYEESIZERANGE'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('SALES VOLUME RANGE'));?>: <span class="info-icons">
											<?php echo $curr_val['SALESVOLUMERANGE'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('CREDIT ALPHA SCORE'));?>: <span class="info-icons">
											<?php echo $curr_val['CREDITALPHASCORE'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('HEADQUARTERS/BRANCH'));?>: <span class="info-icons">
											<?php echo $curr_val['HEADQUARTERSBRANCH'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('SQUARE FOOTAGE'));?>: <span class="info-icons">
											<?php echo $curr_val['SQUAREFOOTAGE'];?></span>
                                        </label>
                                    </p>
                                    
                                    
                                </div>                                
                                <div class="col-md-4 comapny-info comp-col-2">
                                	<p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('PRIMARY SIC'));?>: <span class="info-icons">
											<?php echo $curr_val['PRIMARYSIC'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('PRIMARY SIC DESCRIPTION	SECONDARY SIC #1'));?>: <br><span class="info-icons">
											<?php echo $curr_val['PRIMARYSICDESCRIPTION'];?></span>
                                        </label>
                                    </p>
                                	
                                   
                                </div>
                                <div class="col-md-4 comapny-info comp-col-2">
                                	<p>
                                    	<label class="form-label">
                                        	<?php echo ucwords(strtolower('SECONDARY SIC #1	'));?>: <span class="info-icons">
											<?php echo $curr_val['SECONDARYSIC1'];?></span>
                                        </label>
                                    </p>
                                    <p>
                                    	<label class="form-label">
                                        <?php echo ucwords(strtolower('SECONDARY SIC DESCRIPTION #1	'));?>: <br><span class="info-icons">
										<?php echo $curr_val['SECONDARYSICDESCRIPTION1'];?></span>
                                        </label>
                                    </p>
                                </div>
                                <div class="clearfix"></div>
							 <?php
							 }
							 else if($title == 'Cleaning') {
							 ?>
							 	<div class="col-md-5 comapny-info">
                                 	<h4 class="form-label">Company Info:</h4>
                                    <p><label class="form-label"><i class="fa fa-industry" aria-hidden="true"></i>
                                    Company Name: <span class="info-icons"><?php echo $curr_val['Company'];?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-phone" aria-hidden="true"></i>
                                    Phone Number: <span class="info-icons"><?php echo $curr_val['Phone'];?></span></label></p>
                                    <p><label class="form-label"><i class="fa fa-globe" aria-hidden="true"></i>
                                    Web Address: <span class="info-icons"><?php echo $curr_val['Website'];?></span></label></p>
                                    
                                </div>
                                <div class="col-md-5 comapny-info comp-col-2">    
                                    
                                    
                                    <p><label class="form-label"><i class="fa fa-map-marker" aria-hidden="true"></i>
                                    Address: <span class="info-icons"><?php echo $curr_val['Address'];?></span></label>,</p>
                                    <p><label class="form-label">
                                    City: <span class="info-icons"><?php echo $curr_val['City'];?></span>, State: <span class="info-icons"><?php echo $curr_val['State'];?></span>, Zipcode: <span class="info-icons"><?php echo $curr_val['ZipCode'];?></span></label></p>
                                    <p><label class="form-label"><?php
                                    	$string = $curr_val['LocationLat'];
										$string = str_replace("'", 'S', $string);
										$string = str_replace('"', 'D', $string);
										$string  = preg_replace('/[^A-Za-z0-9\-]/', ' ',$string );
										$string = str_replace('S', "' ", $string);
										$string = str_replace('D', '" ', $string);
										$string = substr_replace($string, '°', 2, 0);
									?>
                                    Latitute: <span class="info-icons"><?php echo $string;?></span></label></p>
                                    <p><label class="form-label"><?php
                                    	$string = $curr_val['LocationLong'];
										$string = str_replace("'", 'S', $string);
										$string = str_replace('"', 'D', $string);
										$string  = preg_replace('/[^A-Za-z0-9\-]/', ' ',$string );
										$string = str_replace('S', "' ", $string);
										$string = str_replace('D', '" ', $string);
										$string = substr_replace($string, '°', 2, 0);
									?>
                                    Longitute: <span class="info-icons"><?php echo $string;?></span></label></p>
                                    
                                    
                                </div>
                                <div class="col-md-2 comapny-info"></div>
                                <div class="clearfix"></div>
							 <?php
							 }
							 ?>   
                                <div class="clearfix"></div>
                            </div>
                        <div class="clearfix"></div>
					</div>
                </div>

            </div>
            
            
            <!-- /.container-fluid -->
           
        </div>
         <?php include "footer.php" ?>
        <!-- /#page-wrapper -->
    </div>
    
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="plugins/bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bootstrap/dist/js/tether.min.js"></script>
    <script src="bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="plugins/bower_components/bootstrap-extension/js/bootstrap-extension.min.js"></script>
    <!-- Menu Plugin JavaScript -->
    <script src="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js"></script>
    <!--slimscroll JavaScript -->
    <script src="js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="js/waves.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="js/custom.min.js"></script>
	  <script src="js/validator.js"></script>
    <!-- Sweet-Alert  -->
    <script src="plugins/bower_components/sweetalert/sweetalert.min.js"></script>
    <script src="plugins/bower_components/sweetalert/jquery.sweet-alert.custom.js"></script>
	<script src="plugins/bower_components/custom-select/custom-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-select/bootstrap-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.js" type="text/javascript"></script>
    <!--<script type="text/javascript" src="plugins/bower_components/multiselect/js/jquery.multi-select.js"></script>-->
	<script>
	// For select 2
        $(".select2").select2();
		$("#cName").select2();
	</script>
    
    <!--Style Switcher -->
    <script src="plugins/bower_components/styleswitcher/jQuery.style.switcher.js"></script>
    <!-- data table -->
    <script src="plugins/bower_components/datatables/jquery.dataTables.min.js"></script>
    
    
</body>

</html>