<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
require_once('vendor/autoload.php');
require_once 'vendor/twisted1919/mailwizz-php-sdk/examples/setup.php';
require_once('inc/PhpScripts.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
extract($_REQUEST);

if($meth=="ajaxsaveVideo")
{
		$table_name = "docs";
		$insdata = array(
					'doc_cat'		=>$_POST['cat_id'],
					'doc_scat'		=>$_POST['subcat_id'],
					'doc_name'		=>$_POST['video_title'],
					'doc_file'		=>$_POST['video_url'],
					'doc_type'		=>3
			);
		$msg = 'Video Creation Error';
		$lastId = $prop->addID($table_name, $insdata);
		
		if ($lastId != 0) {
			$msg = 'Video Creation Success';
			echo json_encode(array('lastId'=>$lastId,'videoTitle'=>$_POST['video_title'],'err'=>0,'msg'=>$msg)); exit;
			
		}else{
			echo json_encode(array('err'=>1,'msg'=>$msg)); exit;
        }
}
if($meth=="ajaxsaveHand")
{
	$table_name = "handouts";
	$insdata = array(
					//'doc_cat'		=>$_POST['catId'],
					//'doc_scat'		=>$_POST['subCatID'],
					'doc_name'		=>$_POST['document_name'],
					'doc_type'		=>1,
					
			);
		$result = 1;
		$msg = 'Hand outs Creation Error';
		if(isset($_FILES['file']['name']) && $_FILES['file']['name']!=''){
			$result = 0;
			$allowedExtensions = array('doc', 'docx', 'pdf', 'docx');
			
			
			$extension = end(explode('.',strtolower($_FILES['file']['name'])));
			$msg = 'File invalid format';
			if(in_array($extension, $allowedExtensions)){
				$doc_file = rand(10,100).time().'.'.$extension;
				if (move_uploaded_file($_FILES['file']['tmp_name'], '../images/docs/'.$doc_file)) {
					$insdata['doc_file'] = $doc_file;
					$result = 1;
				}else{
					$msg = 'File not upload';
				}
			}
		}
		if($result)
		$lastId = $prop->addID($table_name, $insdata);
		
		if ($lastId == 0)
		$msg = 'Hand outs Creation Faild';
		
        if ($lastId != 0) {
			$msg = 'Hand outs Creation Success';
			echo json_encode(array('lastId'=>$lastId,'handTitle'=>$_POST['document_name'],'err'=>0,'msg'=>$msg)); exit;
		}
	    else{
			echo json_encode(array('err'=>1,'msg'=>$msg)); exit;
		}
}

if($meth=="ajaxsaveQuiz")
{
	$table_name = "dynamic_form";
	$insdata = array(
					'cat_id'		=>$_POST['catId'],
					'scat_id'		=>$_POST['subCatID'],
					'd_template_name'		=>$_POST['quiz_name'],
					'quiz_url'		=>$_POST['quiz_url'],
					'form_type'		=>0,
					
			);
		
		$msg = 'Quiz Creation Error';
		$lastId = $prop->addID($table_name, $insdata);
		
		if ($lastId == 0)
		$msg = 'Quiz Creation Faild';
		
        if ($lastId != 0) {
			$msg = 'Quiz Creation Success';
			echo json_encode(array('lastId'=>$lastId,'quizTitle'=>$_POST['quiz_name'],'err'=>0,'msg'=>$msg)); exit;
		}
	    else{
			echo json_encode(array('err'=>1,'msg'=>$msg)); exit;
		}
}

if($meth=="ajaxSubmitRequest")
{
	$uid 			= $_POST['uid'];
	$name 			= $_POST['name'];
	$cname 			= $_POST['cname'];
	$email 			= $_POST['email'];
	$phone 			= $_POST['phone'];
	$state_list		= $_POST['state_list'];
	$category_list  = $_POST['category_list'];
	$amount 		= implode("|",array_filter($_POST['amount']));
	$medicalGrade 	= implode("|",array_filter($_POST['medical_grade']));
	$message 		= $_POST['message'];
	$exist 			= $prop->getName('tot_request_token','wallet_table',"user_provider_id='".$_SESSION['U']['id']."'");
	$status 		= 'error';
	$msg 			= 'You Don\'t have sufficient token balance on your wallet';
	
	if($exist != 0)
	{
		if(isset($_FILES['attachment']['name']) and $_FILES['attachment']['name'] != '')
		{
			$fileName=$_FILES["attachment"]["name"];
			$fileSize=$_FILES["attachment"]["size"]/1024;
			$fileType=$_FILES["attachment"]["type"];
			$fileTmpName=$_FILES["attachment"]["tmp_name"];
			$allowedExtensions = array('png', 'jpg', 'jpeg');
			$extension = end(explode('.',strtolower($_FILES['attachment']['name'])));
			if(in_array($extension, $allowedExtensions)){
				if($fileSize<=10240){				
				  $random=rand(1111,9999);
				  $newFileName=$random.$fileName;
				  $uploadPath="buyerThumbnail/".$newFileName;
				  if(move_uploaded_file($fileTmpName,$uploadPath)){
					$msg = "Successful"; 
					$error = 0;
				  }
				}
				else{
				  $msg = "Maximum upload file size limit is 10 mb";
				  $error = 1;
				}
			}
			else{
				$msg =  "You can only upload a jpg and png.";
				$error = 1;
			}  
			if($error == 0)
			{
				$input  = array(
					'uid'			=>$uid,
					'name'			=>$name,
					'cname'			=>$cname,
					'email'			=>$email,
					'phone'			=>$phone,
					'state'			=>$state_list,
					'category'		=>$category_list,
					'amount'		=>$amount,
					'medicalGrade'	=>$medicalGrade,
					'message'		=>$message,
					'attachment'	=>$newFileName,
					'requestDateTime'		=>date('Y-m-d h:i:s'),
					'status'		=>0
				);

			}
		}
		else
		{
			$input  = array(
				'uid'			=>$uid,
				'name'			=>$name,
				'cname'			=>$cname,
				'email'			=>$email,
				'phone'			=>$phone,
				'state'			=>$state_list,
				'category'		=>$category_list,
				'amount'		=>$amount,
				'medicalGrade'	=>$medicalGrade,
				'message'		=>$message,
				'requestDateTime'		=>date('Y-m-d h:i:s'),
				'status'		=>0
			);
		}
		
		$lastID = $prop->addID('enquiry', $input);
		if ($lastID != 0) {
		
			/*update Wallet Amount*/
			$walletamount = 0;
			$walletdata = $prop->get('*','wallet_table', array('user_provider_id'=>$_SESSION['U']['id']));
			
			if(!empty($walletdata))
				$walletamount = $walletdata['tot_request_token'];
			$walletamount = $walletamount - 1;
			
			$update_token  = array(
				'tot_request_token'	=>$walletamount,
				'updated_on'		=>date('Y-m-d h:i:s')
			); 
        	$prop->update('wallet_table', $update_token, array("user_provider_id" =>$_SESSION['U']['id']));
			
			/*Add history of Wallet Amount*/
			$input_token  = array(
				'user_id'			=>$_SESSION['U']['id'],
				'credit_token'		=>0,
				'debit_token'		=>1,
				'where_from'		=>'New Request: '.$prop->getName('name','categories',"id=".$category_list). ' is created',
				'created'			=>date('Y-m-d')
			);  
    		$requestedID = $prop->addID('request_token_history', $input_token);
			$status = 'success';
			$msg = 'Your Request is send successfully';
			$endpoint = new MailWizzApi_Endpoint_Campaigns();
			BuyerRequestLeadAlertAutomationScript($input,$prop,$lastID,$endpoint);
		}
	}
	if($status == 'success')
	$url = 'buyer-request-list.php';
	else
	$url = 'Location: buyer-requests-form.php';	
	echo json_encode(array('status'=>$status,'title'=>$msg,'err'=>$status,'url'=>$url)); exit;
}
?>