<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
require_once('vendor/autoload.php');
require_once('inc/PhpScripts.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
$meth = (isset($_REQUEST['meth'])?$_REQUEST['meth']:'');

if($meth=='company-status')
{
	$id = $_POST["id"];
	$status = $_POST['status'];
	$output = array('status'=>'Error','msg'=>'Updated Failed','err'=>'error');
	if($id>0){
		$t_cond = array("id" => $id);
		$values = array("status" => $status);
		$s = $prop->update(USERS, $values, $t_cond);
		if($s){
			$output = array('status'=>'Status','msg'=>'Updated Successfully','err'=>'success','result'=>1);
		}
	}
	echo json_encode($output); exit;
}

if($meth=='company-delete')
{
	$id = $_POST["id"];
	$status = 2;
	$output = array('status'=>'Error','msg'=>'Updated Failed','err'=>'error');
	if($id>0){
		//$t_cond = array("id" => $id);
		//$values = array("status" => $status);
		$s = $prop->DeleteSingle(USERS, 'id', $id);
		if($s){
			$output = array('status'=>'Delete','msg'=>'Deleted Successfully','err'=>'success','result'=>1);
		}
	}
	echo json_encode($output); exit;
}

if($meth=="enquiry-status")
{
	$id = $_POST["id"];
	$status = $_POST['status'];
	$output = array('status'=>'Error','msg'=>'Status Updated Failed','err'=>'error');
	$t_cond = array("id" => $id);
	$values = array("status" => $status);
	$s = $prop->update('enquiry', $values, $t_cond);
	if($s){
		BuyerRequestCloseAlertScript($prop,$id);
		$output = array('status'=>'Success','msg'=>'Status Updated Successfully','err'=>'success','result'=>1);
	}
	echo json_encode($output); exit;
}

if($meth=="settiing-status")
{
	$id = $_POST["id"];
	$status = $_POST['status'];
	$output = array('status'=>'Error','msg'=>'Mode Updated Failed','err'=>'error');
	$t_cond = array("id" => 1);
	$values = array("status" => $status);
	$s = $prop->update('setting', $values, $t_cond);
	if($s){
		$output = array('status'=>'Success','msg'=>'Mode Updated Successfully','err'=>'success','result'=>1);
	}
	echo json_encode($output); exit;
}

if($meth=="vendor-meth")
{
	$emailID = $_POST["email"];
	
	$Email_Template = $prop->get('*','Email_Template', array('status'=>0));
	$subject			=	$Email_Template['vendor_subject'];
	$vendorFromName		=	$Email_Template['vendorFromName'];
	$vendorFromEmail	=	$Email_Template['vendorFromEmail'];
	$Emailbody			=	base64_decode( $Email_Template['vendor_body'] );
	$vendor_session = base64_encode('https://ppe.siseusa.org/vendor-reply.php');
	$url_link = 'https://ppe.siseusa.org/vendor-reply.php';
	$edit_icon = '<img src="https://ppe.siseusa.org/img/edit-icon.png" alt="Edit Icon" style="margin-left:15px; position:absolute;margin-top:-10px; width:30px;">';
	$token = array(
		'LOGO_URL'  => 'https://ppe.siseusa.org/img/ahclogo.png',
		'URL_LINK' => $url_link,
		'CATEGORY_NAME' => 'Test Cat',
		'STATE_NAME'=> 'Test State',
		'MESSAGE'=> 'Testing',
		'EDIT_ICON'=> $edit_icon,
		'IMAGE_DATA'=> $imgData		
	);
	$pattern = '[%s]';
	foreach($token as $key=>$val){
		$varMap[sprintf($pattern,$key)] = $val;
	}
	
	$Emailbody = strtr($Emailbody,$varMap);
	$buyer_data = $Emailbody;
	
	
	$body			=	$buyer_data;	
	$email			= new \SendGrid\Mail\Mail();
	$email->setFrom($vendorFromEmail, $vendorFromName);
	$email->setSubject($subject);
	
	$email->addTo($emailID, 'TEST MAIL');
	
	$email->addContent(
		"text/html", $body
	);
	$keyval = $Email_Template['apiKey_vendor'];
	$sendgrid = new \SendGrid($keyval);
	try {
		$response = $sendgrid->send($email);
		$output = array('status'=>'Success','msg'=>'Email send Successfully','err'=>'success','result'=>1);
	} catch (Exception $e) {
		$errMsg =  'Caught exception: '. $e->getMessage() ."\n";
		$output = array('status'=>'Error','msg'=>'Error sending email','err'=>'error','result'=>1);
	}	
	echo json_encode($output); exit;
}

if($meth=="buyer-meth")
{
	$emailID = $_POST["email"];
	
	$Email_Template = $prop->get('*','Email_Template', array('status'=>0));
	$subject		=	$Email_Template['buyer_subject'];
	$buyerFromName		=	$Email_Template['buyerFromName'];
	$buyerFromEmail		=	$Email_Template['buyerFromEmail'];
	$Emailbody		=	base64_decode( $Email_Template['buyer_body'] );
	$buyer_session = base64_encode('https://ppe.siseusa.org/buyer-chat-view.php');
	$viewUrl = 'https://ppe.siseusa.org/buyer-chat-view.php';
	$edit_icon = '<img src="https://ppe.siseusa.org/img/edit-icon.png" alt="Edit Icon" style="margin-left:15px; position:absolute;margin-top:-10px; width:30px;">';
	
	$token = array(
		'LOGO_URL'  => 'https://ppe.siseusa.org/img/ahclogo.png',
		'VIEW_URL' => $viewUrl,
		'QUANTITY' => '12',
		'COST_PER_UNIT'=> '$12',
		'SHIPPING_ORIGIN'=> 'Test',
		'SHIPPING_DATE'=> date('D M Y'),
		'PAY_METHOD'=> 'TESTING',
		'EDIT_ICON'=> $edit_icon,
		'MESSAGE'=> 'TESTING'	
	);
	$pattern = '[%s]';
	foreach($token as $key=>$val){
		$varMap[sprintf($pattern,$key)] = $val;
	}
	
	$Emailbody = strtr($Emailbody,$varMap);

	$body			=	$Emailbody;	
	$email			= new \SendGrid\Mail\Mail();
	$email->setFrom($buyerFromEmail, $buyerFromName);
	$email->setSubject($subject);
	
	$email->addTo($emailID, 'TEST MAIL');
	
	$email->addContent(
		"text/html", $body
	);
	$keyval = $Email_Template['apiKey_buyer'];
	$sendgrid = new \SendGrid($keyval);
	try {
		$response = $sendgrid->send($email);
		$output = array('status'=>'Success','msg'=>'Email send Successfully','err'=>'success','result'=>1);
	} catch (Exception $e) {
		$errMsg =  'Caught exception: '. $e->getMessage() ."\n";
		$output = array('status'=>'Error','msg'=>'Error sending email','err'=>'error','result'=>1);
	}	
	echo json_encode($output); exit;
}


if($meth=="requestClose-meth")
{
	$emailID = $_POST["email"];
	
	$Email_Template = $prop->get('*','Email_Template', array('status'=>0));
	$subject		=	$Email_Template['requestCloseSubject'];
	$requestCloseFromName		=	$Email_Template['requestCloseFromName'];
	$requestCloseFromEmail	=	$Email_Template['requestCloseFromEmail'];
	
	$Emailbody		=	base64_decode( $Email_Template['requestCloseBody'] );
	$token = array(
		'LOGO_URL'  => 'https://ppe.siseusa.org/img/ahclogo.png',
		'REGISTER_URL'  => 'https://ppe.siseusa.org/register.php',
		'CATEGORY' => 'TEST CAT',
		'LOCATION' => 'TEST STATE',
		'MESSAGE'=> 'TESTING',
		'IMAGE'=> ''
	);
	$pattern = '[%s]';
	foreach($token as $key=>$val){
		$varMap[sprintf($pattern,$key)] = $val;
	}
	
	$Emailbody = strtr($Emailbody,$varMap);

	$buyer_data = $Emailbody;

	$body			=	$Emailbody;	
	$email			= new \SendGrid\Mail\Mail();
	$email->setFrom($requestCloseFromEmail, $requestCloseFromName);
	$email->setSubject($subject);
	
	$email->addTo($emailID, 'TEST MAIL');
	
	$email->addContent(
		"text/html", $body
	);
	$keyval = $Email_Template['apiKey_requestClose'];
	$sendgrid = new \SendGrid($keyval);
	try {
		$response = $sendgrid->send($email);
		$output = array('status'=>'Success','msg'=>'Email send Successfully','err'=>'success','result'=>1);
	} catch (Exception $e) {
		$errMsg =  'Caught exception: '. $e->getMessage() ."\n";
		$output = array('status'=>'Error','msg'=>'Error sending email','err'=>'error','result'=>1);
	}	
	echo json_encode($output); exit;
}


if($meth=="requestStatus-meth")
{
	$emailID = $_POST["email"];
	
	$Email_Template = $prop->get('*','Email_Template', array('status'=>0));
	$subject_data		=	$Email_Template['requestStatusSubject'];
	$requestStatusFromName		=	$Email_Template['requestStatusFromName'];
	$requestStatusFromEmail	=	$Email_Template['requestStatusFromEmail'];
	$catName = 'TEST CAT';
	$phoneNo = '';
	$token_sub = array(
		'CATEGORY'  => $catName
	);
	$pattern_sub = '[%s]';
	foreach($token_sub as $keySub=>$valSub){
		$varMapSub[sprintf($pattern_sub,$keySub)] = $valSub;
	}
	$subject = strtr($subject_data,$varMapSub);
	
	/*Body*/
	$Emailbody	=	base64_decode( $Email_Template['requestStatusBody'] );
	
	$token = array(
		'CATEGORY'  => $catName,
		'LOGO_URL'  => 'https://ppe.siseusa.org/img/ahclogo.png',
		'REQUEST_LINK'  => 'https://ppe.siseusa.org/buyer-single-details.php'
	);
	$pattern = '[%s]';
	foreach($token as $key=>$val){
		$varMap[sprintf($pattern,$key)] = $val;
	}
	$Emailbody = strtr($Emailbody,$varMap);

	$body			=	$Emailbody;	
	$email			= new \SendGrid\Mail\Mail();
	$email->setFrom($requestStatusFromEmail, $requestStatusFromName);
	$email->setSubject($subject);
	
	$email->addTo($emailID, 'TEST MAIL');
	
	$email->addContent(
		"text/html", $body
	);
	$keyval = $Email_Template['apiKey_requestStatus'];
	$sendgrid = new \SendGrid($keyval);
	try {
		$response = $sendgrid->send($email);
		$output = array('status'=>'Success','msg'=>'Email send Successfully','err'=>'success','result'=>1);
	} catch (Exception $e) {
		$errMsg =  'Caught exception: '. $e->getMessage() ."\n";
		$output = array('status'=>'Error','msg'=>'Error sending email','err'=>'error','result'=>1);
	}	
	echo json_encode($output); exit;
}

if($meth=='Update-tokenVal')
{
	$buyer_id = $_POST["buyer_id"];
	$tokenval = $_POST['tokenVal'];
	$created = date("Y-m-d H:i:s");
	$output = array('status'=>'Error','msg'=>'Tokens added Failed'.$buyer_id,'err'=>'error');
	if($buyer_id > 0){
		
		//$currentwalletamount = $prop->getName('wallet_amt','wallet_table', array('user_provider_id'=> $buyer_id));		
		//$current_tot_request_token = $prop->getName('tot_request_token','wallet_table', 'user_provider_id = '.$buyer_id );
		$exist = $prop->getName('count(user_provider_id)','wallet_table', 'user_provider_id = '.$buyer_id );
		if($exist != 0)
		{
		    $tot_request_token = $tokenval;			
		    $input  = array(
			    'token'				=>'Manually added by admin',
			    'tot_request_token'	=>$tokenval,
			    'updated_on'		=>$created
		    ); 			
		    $result = $prop->update('wallet_table', $input, array("user_provider_id" =>$buyer_id));
		}
		else
		{
			$tot_request_token = $tokenval;			
		    $input  = array(
			    'token'				=>'Manually added by admin',
			    'tot_request_token'	=>$tokenval,
			    'user_provider_id' => $buyer_id,
			    'updated_on'		=>$created
		    ); 			
		    $result = $prop->add('wallet_table', $input);
		
		}
		/*Add On Token History */
		$input_token  = array(
			'user_id'			=>$buyer_id,
			'credit_token'		=>$tokenval,
			'debit_token'		=>0,
			'where_from'		=>'Manually Updates Tokens to '.$tokenval.' by admin',
			'created'			=>$created	
		);  
		$result1 = $prop->add('request_token_history', $input_token);
		if($result == 1 and $result1 == 1)
		$output = array('status'=>'Status','msg'=>'Tokens Updated Successfully','err'=>'success','result'=>1);
	}
	echo json_encode($output); exit;
}
?>
