<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
require_once('vendor/autoload.php');
require_once('inc/smsFunction.php');

$method = $_REQUEST['method']!=''?$_REQUEST['method']:'';

function randomPassword() {
    $alphabet = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890';
    $pass = array(); //remember to declare $pass as an array
    $alphaLength = strlen($alphabet) - 1; //put the length -1 in cache
    for ($i = 0; $i < 8; $i++) {
        $n = rand(0, $alphaLength);
        $pass[] = $alphabet[$n];
    }
    return implode($pass); //turn the array into a string
}	
switch($method)
{
	case 'register':
	   
		$msg = 'Enter Your Email';
		if($_POST['cEmail']!=''){
			$msg = 'Email already exits';
			$cEmail = $_POST['cEmail'];
			$exits = $prop->getName('count(id)', USERS, "status!=2 AND email='".$cEmail."'");
			if($exits===0){
				$msg = 'Company Created Failed';
				
				$name = $_POST['fullname'];	
				$name = explode(' ',$name);
				$fname = $name[0];
				$lname = $name[1];	
								
				$cName = $_POST['cName'];
				$cEmail = $_POST['cEmail'];
				$phoneNo = $_POST['phoneNo'];
				$passRand = randomPassword();
				$cPass = md5($passRand);
				$address = $_POST['address'];
				$city = $_POST['city'];
				$state = $_POST['state'];
				$zip = $_POST['zip'];
				
				
				$input  = array(
					'fname'		=>$fname,
					'lname'		=>$lname,
					'cName'		=>$cName,
					'email'		=>$cEmail,
					'phone'		=>$phoneNo,
					'password'	=>$cPass,
					'address'	=>$address,
					'city'	=>$city,
					'state'	=>$state,
					'zip'	=>$zip,
					'type'	=>3,
					'status'	=>0
				);
				$result = $prop->add(USERS, $input);
				if ($result) {
				
					/*Send Email Alert start*/
					$Email_Template = $prop->get('*','Email_Template', array('status'=>0));
					$to		=	$cEmail;
					$subject=	$Email_Template['buyer_register_subject'];
					$email = new \SendGrid\Mail\Mail();
					$FromName		=	$Email_Template['buyerRegisterFromName'];
					$FromEmail		=	$Email_Template['buyerRegisterFromEmail'];
					$email->setFrom($FromEmail, $FromName);
					$email->setSubject($subject);
					$email->addTo($to, $_POST['fullname']);
					$Emailbody		=	base64_decode( $Email_Template['buyer_register_body'] );
					
					$logo_url 		= 'https://ppe.siseusa.org/img/ahclogo.png';
					$token = array(
						'LOGO_URL'  => $logo_url,
						'LOGIN_EMAIL'  => $to,
						'LOGIN_PASSWORD' => $passRand	
					);
					$pattern = '[%s]';
					foreach($token as $key=>$val){
						$varMap[sprintf($pattern,$key)] = $val;
					}
					
					$body = strtr($Emailbody,$varMap);
					$email->addContent(
						"text/html", $body
					);
					$keyval = $Email_Template['apiKey_buyer_register'];
					$sendgrid = new \SendGrid($keyval);
					try {
						$response = $sendgrid->send($email);
					} catch (Exception $e) {
						$errMsg =  'Caught exception: '. $e->getMessage() ."\n";
					}
					
					/*Send Email Alert End*/
					/*Call Zapier webhook*/
					$url = 'https://hooks.zapier.com/hooks/catch/2282216/ozgc5qo/';
					foreach($input as $key=>$value) { $fields_string .= $key.'='.$value.'&'; }
					rtrim($fields_string, '&');
					
					$ch = curl_init();
					curl_setopt($ch,CURLOPT_URL, $url);
					curl_setopt($ch,CURLOPT_POST, count($fields));
					curl_setopt($ch,CURLOPT_POSTFIELDS, $fields_string);
					$result = curl_exec($ch);
					curl_close($ch);
					/*Call Zapier webhook END*/
					
					/*Send SMS*/ //for new line %0a
					$Ccode = '1';
					//$Ccode = '91';
					$smsbody = "AHC PPE  Account Details: \n" . "Password: " . $passRand;
					$sid = sendSms($phoneNo, $smsbody, $Ccode);
					/*Send SMS END*/
					
					setcookie('status', 'Success', time()+10);
					setcookie('buyerRegTitle', '**Check Your Email & Text for Login Details**', time()+10);
					setcookie('err', 'success', time()+10);
					header('Location:  index.php');
					break;
				}
			}
		}
		setcookie('status', 'Error', time()+10);
		setcookie('title', $msg, time()+10);
		setcookie('err', 'success', time()+10);
		header('Location: buyer-register.php');
		break;
}
if(isset($_SESSION['U']['id'])){header('Location: dashboard.php'); exit;}

?>
<!DOCTYPE html>
<html lang="en">

<head>
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" type="image/png" sizes="16x16"  href="img/logo-sise.jpg">
    <title>PPE Buyer Registration </title>
    <!-- Bootstrap Core CSS -->
    <link href="bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="plugins/bower_components/bootstrap-extension/css/bootstrap-extension.css" rel="stylesheet">
    <!-- animation CSS -->
    <link href="css/animate.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/style.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/custom-style.css" rel="stylesheet">
    <!-- color CSS -->
    <link href="css/colors/blue.css" id="theme" rel="stylesheet">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
<style>
@media (min-width: 766px)
{
.login-box {
    background: #fff;
    width: 500px !important;
    margin: 2% auto 0 !important;
}
}
</style>
</head>

<body>
    <!-- Preloader -->
    <div class="preloader">
        <div class="cssload-speeding-wheel"></div>
    </div>
    <section id="wrapper" class="login-register">

        <div class="login-box ">
            <div class="white-box">

                <form class="form-horizontal form-material" id="loginform" action="buyer-register.php?method=register" method="post">
                   <div class="text-center"><img src="img/logo-sise.jpg" width="100px">
                   <h3 class="box-title m-b-20">PPE Buyer</h3>
                   </div>
				    		<?php  	if($_COOKIE["err"] !='' and $_COOKIE["status"] =='Error')
							{
								echo '<div class="col-md-12 text-center alert alert-danger" role="alert">'.$_COOKIE["title"].'</div>';
							}
							?>
							<?php if($_COOKIE["err"] !='' and $_COOKIE["status"] =='Success')
							{
								echo '<div class="col-md-12 text-center alert alert-success" role="alert">'.$_COOKIE["title"].'</div>';
							}
							?>
                    <h3 class="box-title m-b-20">Sign Up</h3>
                    <div class="form-group col-md-6">
                        <div class="col-xs-12">
                            <input class="form-control" type="text" required="" name="fullname" id="fullname" placeholder="Full Name">
                        </div>
                    </div>
                    <div class="form-group col-md-6">
                        <div class="col-xs-12">
                            <input class="form-control" type="text" id="cName" name="cName" required="" placeholder="Company Name">
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div class="form-group  col-md-12" style="max-width: 97%;">
                        <div class="col-xs-12">
                            <input class="form-control" type="email" required="" name="cEmail" id="cEmail" placeholder="Email">
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div class="form-group  col-md-12" style="max-width: 97%;">
                        <div class="col-xs-12">
                            <input class="form-control" type="text" required="" name="phoneNo" id="phoneNo" placeholder="mobile: (555-555-5555) required for login">
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div class="form-group col-md-6">
                        <div class="col-xs-12">
                            <input class="form-control" type="text" required="" name="address" id="address" placeholder="Address">
                        </div>
                    </div>
                    <div class="form-group col-md-6">
                        <div class="col-xs-12">
                            <input class="form-control" type="text" required="" name="city" id="city" placeholder="City">
                        </div>
                    </div>
                    <div class="form-group col-md-6">
                        <div class="col-xs-12">
                        	<select class="form-control" required="" name="state" id="state">
                            <option value="">Select state</option>
                        	<?php
                            $state_sql = 'select * from state_list order by id';
							$statefet=$prop->getAll_Disp($state_sql);
							
							for($c=0; $c<count($statefet); $c++)
							{?>
								<option value="<?php echo $statefet[$c]['id'];?>"><?php echo $statefet[$c]['State'];?></option>
							<?php
							}
							?>
                            </select>
                           <!-- <input class="form-control" type="text" required="" name="state" id="state" placeholder="State">-->
                        </div>
                    </div>
                    <div class="form-group col-md-6">
                        <div class="col-xs-12">
                            <input class="form-control" type="text" required="" name="zip" id="zip" placeholder="Zip">
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div class="form-group text-center m-t-20">
                        <div class="col-xs-12">
                            <button class="btn btn-info btn-lg btn-block text-uppercase waves-effect waves-light" type="submit"  name="login">Register</button>

                        </div>
                        <div class="col-xs-12 m-t-10">
                             <a href="http://ppe.siseusa.org" id="alreday_have_login" class="text-dark text-center"><i class="fa fa-user m-r-5"></i> Already have account click here </a>
                             </div>
                    </div>


                </form>
                <form class="form-horizontal" id="recoverform" method="POST" action="index.php?method=forget">
                    <div class="form-group ">
                        <div class="col-xs-12">
                            <h3>Recover Password</h3>
                            <p class="text-muted">Enter your Email and instructions will be sent to you! </p>
                        </div>
                    </div>
                    <div class="form-group ">
                        <div class="col-xs-12">
                            <input class="form-control" type="email" name="formail" required="" placeholder="Email">
                        </div>
                    </div>
                    <div class="form-group text-center m-t-20">
                        <div class="col-xs-12">
                            <button class="btn btn-primary btn-lg btn-block text-uppercase waves-effect waves-light" type="submit">Reset</button>
                        </div>
                        
                    </div>
                </form>
            </div>
        </div>
    </section>
    <!-- jQuery -->
    <script src="plugins/bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bootstrap/dist/js/tether.min.js"></script>
    <script src="bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="plugins/bower_components/bootstrap-extension/js/bootstrap-extension.min.js"></script>
    <!-- Menu Plugin JavaScript -->
    <script src="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js"></script>
    <!--slimscroll JavaScript -->
    <script src="js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="js/waves.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="js/custom.min.js"></script>
    <!--Style Switcher -->
    <script src="plugins/bower_components/styleswitcher/jQuery.style.switcher.js"></script>
    <script>
    	$( document ).ready(function() {
			$("input[type=email]").keyup(function() {
			  $(this).val($(this).val().toLowerCase());
			});
		});
    </script>
</body>
</html>