<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
require_once('vendor/autoload.php');
require_once('inc/PhpScripts.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
if(bckPermissionBuyer($_SESSION['U']['user_type'])){
	header('location:dashboard.php');
	exit;
}

$where_filter = ' where status != 2';
$listCate = $prop->getAll('*','categories', $where_filter, '', 0, 0);

$where_state = '';
$listState = $prop->getAll('*','state_list', $where_state, '', 0, 0);

$curr_val = $prop->get('*',USERS, array('id'=>$_SESSION['U']['id'],'status'=>0));
?>
<!DOCTYPE html>

<html lang="en">

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16"  href="img/logo-sise.jpg">
    <title>Buyer Requests</title>
    <!-- Bootstrap Core CSS -->
    <link href="bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="plugins/bower_components/bootstrap-extension/css/bootstrap-extension.css" rel="stylesheet">
    <!--alerts CSS -->
    <link href="plugins/bower_components/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
    <!-- Menu CSS -->
    <link href="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.css" rel="stylesheet">
    <!-- Animation CSS -->
    <link href="css/animate.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/custom-style.css" rel="stylesheet">
    <!-- data table css -->
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
	<link href="plugins/bower_components/custom-select/custom-select.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/bootstrap-select/bootstrap-select.min.css" rel="stylesheet" />
    <!--<link href="plugins/bower_components/multiselect/css/multi-select.css" rel="stylesheet" type="text/css" />-->
    <link href="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" type="text/css" />
    <!-- data table css ends-->
    <!-- color CSS you can use different color css from css/colors folder -->
    <!-- We have chosen the skin-blue (blue.css) for this starter
          page. However, you can choose any other skin from folder css / colors .
-->
   <link href="css/colors/default-dark.css" id="theme" rel="stylesheet">
    <!--<link href="css/colors/blue.css" id="theme" rel="stylesheet">-->
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->

<style>
#accordion .card{margin-bottom:10px;}
#accordion .card .card-link{font-weight: 700;color:#55616c !important}
.email_alert{max-width:150px;margin-top:5px;padding: 5px 12px; height:34px;}


.multiselect-container.dropdown-menu .checkbox input[type=checkbox]{opacity:1}
.multiselect.dropdown-toggle.btn.btn-default{background: none;box-shadow: none;width: 100%;height: 35px !important;font-weight: 300;}
.multiselect-native-select .btn-group,.open > .dropdown-menu{width:100%}
.dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus{background-color: transparent;
    color: #333;}
input.form-control.multiselect-search{max-width:80%;}
.multiselect-filter .input-group-btn{margin-right: 10px;}	
.multiselect-clear-filter{box-shadow: none;}

.footer{left:0px !important}
.main_cate_checkbox {margin-top: 0px !important;
    background: #f1f1f1;
    padding: 10px 25px;}
.bottom_checkbox	{
	margin-top: 0px !important;
	margin-bottom: 0px !important;
    background: #f9f9f9;
    padding: 10px 10px;
	height:90px;
}
.bottom_checkbox1	{
	margin-top: 0px !important;
	margin-bottom: 2px !important;
    background: #f9f9f9;
    padding: 10px 10px;
}
.cat-box{border:1px solid #f1f1f1; margin-bottom:20px !important; padding:0px; height:auto;margin-top:2px}
.cat-box p,.cat-box .upload-btn-wrapper{padding:0px 10px;}
.main_cate_checkbox {margin-top: 0px !important;
    background: #f1f1f1;
    padding: 10px 25px;}
.bottom_checkbox	{
	margin-top: 0px !important;
	margin-bottom: 0px !important;
    background: #f9f9f9;
    padding: 10px 10px;
	height:90px;
}
.bottom_checkbox1	{
	margin-top: 0px !important;
	margin-bottom: 2px !important;
    background: #f9f9f9;
    padding: 10px 10px;
}
.cat-box{border:1px solid #f1f1f1; margin-bottom:20px !important; padding:0px; height:auto;margin-top:2px}
.cat-box p,.cat-box .upload-btn-wrapper{padding:0px 10px;}
@media (min-width: 768px){
.cat-box{max-width: 23.50% !important; margin:7.5px;}
.help-block.with-errors{height:1px;}
.modal-dialog{ max-width: 750px;}
}
</style>
<style>
#myUL {
  list-style-type: none;
}

#myUL {
  margin: 0;
  padding: 0;
}

#myUL .caret {
display:block;
  cursor: pointer;
  -webkit-user-select: none; /* Safari 3.1+ */
  -moz-user-select: none; /* Firefox 2+ */
  -ms-user-select: none; /* IE 10+ */
  user-select: none;
}

#myUL .caret::before {
  content: "\25B6";
  color: black;
  display: inline-block;
  margin-right: 6px;
}

#myUL .caret-down::before {
  -ms-transform: rotate(90deg); /* IE 9 */
  -webkit-transform: rotate(90deg); /* Safari */'
  transform: rotate(90deg);  
}

.nested {
  display: none;
}

.active {
  display: block;
}
.nav{display:block;}
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: #ffffff;
    background-color: #0e5589;
    border-color: #0e5589 #0e5589 #0e5589;
}
.nav-tabs {
    border: 1px solid #ecf0f4;
}
ol.auto-checkboxes.bonsai label {
    margin-left: 7px;
}
.nav-tabs>li>a {
    border-radius: 0;
    color: #2b2b2b;
    font-weight: 600;
}
.mybtnFont{font-size:13px !important; margin-bottom:5px;}

@media (min-width: 992px)
{
.col-md-2.twohalf{width:20%; max-width:20%; min-width:20%}

}
@media (max-width: 766px)
{
.nav{display: block;}
.nav-tabs > li{float:none;border-bottom: 1px solid #f1f1f1;}
.filter-row .col-md-3,.filter-row .col-md-2{margin-bottom:15px;}
}
</style>
<style>
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
.dataTables_length{display:none}
.orange-bg{
	background:#ffb470;
	margin-bottom:30px; 
	padding:15px;
	border-radius:5px;
}
.orange-bg .col-md-4.form-group h3{
	color:#FFFFFF; font-size:24px; font-weight:bold;
}
</style>
<link href="css/colors/gray.css" id="theme" rel="stylesheet">
<link href="css/style-owns.css" id="theme" rel="stylesheet">
<link href="plugins/bower_components/multiSelectCheckbox/bootstrap-multiselect.css" rel="stylesheet" type="text/css"/>
</head>

<body>
    <!-- Preloader -->
    <div class="preloader">
        <div class="cssload-speeding-wheel"></div>
    </div>
    <div id="wrapper">
        <!-- include header -->
        <?php include 'header.php';?>
        <!-- header ends-->
        <!-- Left navbar-header -->
        <?php include 'left-sidebar.php';?>
        <!-- Left navbar-header end -->
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row bg-title">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <h4 class="page-title">Buyer Request</h4>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
				 <div class="row">
                     <div class="col-md-12">
                     <form method="post" enctype="multipart/form-data" id="submitRequest">
                        <div class="white-box">   
                            <h3 class="box-title">I Need ....</h3>
                            <div class="orange-bg">
                                 <div class="col-md-4 form-group">
                                    <h3>Select Categories</h3>
                                    <select class="form-control select2" id="category_list" name="category_list" required>
                                        <option value="" >Select a category</option>
                                        <?php
                                        for($k=0; $k<count($listCate); $k++)
                                        {
                                           echo '<option value="'.$listCate[$k]['id'].'">'.$listCate[$k]['name'].'</option>';
                                        }
        
                                        ?>
                                    </select>                                        
                                </div>                            
                                <div class="clearfix"></div>
                                <div class="col-md-12">
                                    <div class="clearfix"></div>
                                         <?php
                                            $catsql = 'select * from categories where status = 0 order by ordno';
                                            $catfet=$prop->getAll_Disp($catsql);
                                            $catIDs = explode('|',$curr_val['catID']);
                                            $amount = explode('|',$curr_val['amount']);
                                            $medicalGrade = explode('|',$curr_val['medicalGrade']);
                                            $k=55;
                                            $all_ids = array();
                                            for($i=0; $i<count($catfet); $i++)
                                            {
                                            $all_ids[] = $catfet[$i]['id'];
                                         ?>
                                         <div class="col-md-3 cat-box all-cats" id="cat-box-<?php echo $catfet[$i]['id'];?>" style="display:none; background:#ffdead">
                                            <div class="checkbox checkbox-success main_cate_checkbox" id="cate_masks_checkbox">
                                              <input id="cate_<?php echo $catfet[$i]['id'];?>" class="main_cat cat-checked" name="categories[]" type="checkbox" value="<?php echo $catfet[$i]['id'];?>" checked disabled>
                                              <label class="category-label" for="cate_<?php echo $catfet[$i]['id'];?>"> <?php echo $catfet[$i]['name'];?></label>
                                            </div>
                                            <p>
                                                <div class="form-group" style="min-height: 125px;">
                                                <?php
                                                $options = $catfet[$i]['options'];
                                                $tot_options = explode('|',$options);
                                                $amt = '';
                                                foreach($tot_options as $opt)
                                                {
                                                    $amt = $catfet[$i]['id']."~".$opt;
                                                ?>
                                                
                                                <div class="radio radio-success" style="margin-left:15px;">
                                                    <input id="opt-<?php echo $amt;?>" name="option-<?php echo $catfet[$i]['id'];?>" type="radio" value="<?php echo $amt;?>" data-id="amount_<?php echo $catfet[$i]['id'];?>" class="amt_option" >
                                                    <label class="category-label" for="opt-<?php echo $amt;?>">
                                                        <b> <?php 
                                                        if($catfet[$i]['name'] == 'Disinfectant' || $catfet[$i]['name'] == 'Disinfectant Sprayers')
                                                        echo "Describe your quantity needed in the message area below";
                                                        else
                                                        echo $opt ;?></b>
                                                    </label>
                                                </div>
                                                
                                                <?php
                                                }
                                                if($catfet[$i]['name'] == 'Gloves' || $catfet[$i]['name'] == 'Gowns')
                                                {?>
                                                <div class="radio radio-success" style="margin-left:15px;">
                                                    <input id="opt-over<?php echo $k;?>" name="option-<?php echo $catfet[$i]['id'];?>" type="radio" value="<?php echo $amt;?>" data-id="amount_<?php echo $catfet[$i]['id'];?>" class="amt_option" >
                                                    <label class="category-label" for="opt-over<?php echo $k;?>">
                                                        <b> <?php echo 'Over 10,000+' ;?></b>
                                                    </label>
                                                </div>
                                                
                                                <?php 
                                                $amt = $catfet[$i]['id']."~Over 10,000+";
                                                $k++;
                                                }
                                                if($catfet[$i]['name'] == 'Face Shields' || $catfet[$i]['name'] == 'Hand Sanitizer')
                                                {?>
                                                <div class="radio radio-success" style="margin-left:15px;">
                                                    <input id="opt-over<?php echo $k;?>" name="option-<?php echo $catfet[$i]['id'];?>" type="radio" value="<?php echo $amt;?>" data-id="amount_<?php echo $catfet[$i]['id'];?>" class="amt_option" >
                                                    <label class="category-label" for="opt-over<?php echo $k;?>">
                                                        <b> <?php echo 'Over 1000+' ;?></b>
                                                    </label>
                                                </div>
                                                
                                                <?php 
                                                $amt = $catfet[$i]['id']."~Over 1000+";
                                                $k++;
                                                }
                                                ?>
                                                <!--<div class="help-block with-errors"></div>  -->
                                                </div>
                                                <input type="hidden" name="amount[]" id="amount_<?php echo $catfet[$i]['id'];?>" <?php if (in_array($catfet[$i]['id'], $catIDs)){?>value="<?php echo $amt;?>"<?php } ?> >
                                              </p>
                                            <div class="form-group bottom_checkbox1">
                                                <div class="checkbox checkbox-success" id="medical_grade_checkbox">
                                                  <input id="medical_<?php echo $catfet[$i]['id'];?>" class="main_cat" name="medical_grade[]" type="checkbox" <?php if (in_array($catfet[$i]['id']."-1", $medicalGrade)){echo 'checked';} ?>  value="<?php if (in_array($catfet[$i]['id']."-1", $medicalGrade)){echo $catfet[$i]['id']."-1";}else{echo $catfet[$i]['id']."-0";}?>" onClick="medical_grade_fun(<?php echo $catfet[$i]['id'];?>,this)">
                                                  <label class="category-label" for="medical_<?php echo $catfet[$i]['id'];?>">
                                                    <span style="font-size:12px; font-weight:300;">Medical Grade with certificate</span>
                                                  </label>
                                                </div>
                                                <div class="help-block with-errors" style="height:auto; font-size:12px; margin-left:25px; color:red"></div>  
                                            </div>
                                            <div class="form-group bottom_checkbox">
                                                <div class="checkbox checkbox-success" id="cate_masks_checkbox">
                                                  <input id="ship_<?php echo $catfet[$i]['id'];?>" class="main_cat" name="checkbox_masks" type="checkbox" value="ship_<?php echo $catfet[$i]['id'];?>" data-error="Confirm Requirment" <?php if (in_array($catfet[$i]['id'], $catIDs)){echo '';}?> >
                                                  <label class="category-label" for="ship_<?php echo $catfet[$i]['id'];?>">
                                                    <span style="font-size:12px; font-weight:300;">Ready for immediate shipment</span>
                                                  </label>
                                                </div>
                                                <div class="help-block with-errors" style="height:auto; font-size:12px; margin-left:25px; color:red"></div>  
                                            </div>
                                         </div>
                                         <?php
                                            }
                                         ?>
    
                                        <div class="clearfix"></div>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                            <div class="col-md-8 form-group">
                                <label style="font-weight:bold">Message <span style="color:red;">[ Required* ]</span></label>
                                <textarea class="form-control" style="height:120px !important" id="message" name="message" placeholder="This is your opportunity to communicate directly with a supplier. Be as detailed as possible in your message. Describe the detail the details of your request such as sizes, quantity, strength, certificates, specs, delivery, special notes, etc." required></textarea>                            </div>
                           <div class="col-md-4 form-group m-t-30 p-20">
                                <label>Add image (optional)</label>
                                <input type="file" name="attachment" id="attachment" accept="image/*">              
                            </div>  
                           <div class="clearfix"></div>
                            <div class="col-md-4 form-group">
                                <label>Full Name</label>
                                 <input type="hidden" name="meth" value="ajaxSubmitRequest" />
                                 <input type="hidden" name="uid" value="<?php echo $curr_val['id'];?>" />
                                <input type="text" name="name" id="name" class="form-control" value="<?php echo $curr_val['fname']." ".$curr_val['lname'];?>" required/>                            
                            </div>
                            <div class="col-md-4 form-group">
                                <label>Company Name</label>
                                <input type="text" name="cname" id="cname" class="form-control" value="<?php echo $curr_val['cName'];?>" required/>                            </div>
                            <div class="col-md-4 form-group">
                                <label>Email</label>
                                <input type="email" name="email" id="email" class="form-control" value="<?php echo $curr_val['email'];?>" required/>                            </div>                            
                            <div class="clearfix"></div>
                            <div class="col-md-4 form-group">
                                <label>Phone Number</label>
                                <input type="text" name="phone" id="phone" class="form-control" value="<?php echo $curr_val['phone'];?>" required/>                            </div>
                            <div class="col-md-4 form-group">
                                <label>Select State</label>
                                <select class="form-control select2" id="state_list" name="state_list" required>
                                	<option value="" >Select state</option>
                                	<?php
                                    for($i=0; $i<count($listState); $i++)
									{
									   $check = '';
									   if($curr_val['state'] == $listState[$i]['id'])
									   $check = 'selected';
									   echo '<option value="'.$listState[$i]['id'].'" '.$check.'>'.$listState[$i]['State'].'</option>';
                                    }    
                                    ?>
                                </select>                                        
                            </div>
                            <div class="clearfix"></div>
                           <div class="form-group text-center m-t-20">
                                <div class="col-xs-12">
                                  <button class="btn btn-info waves-effect pull-right" type="submit" name="btnSubmit" id="btnSubmit">
                                  	Submit
                                  </button>
        						</div>
                            </div>
                           <div class="clearfix"></div>
                        </div>    
                     </form>   
                	</div>
                </div>
				
            </div>
            <!-- /.container-fluid -->
            <?php include "footer.php" ?>
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="plugins/bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bootstrap/dist/js/tether.min.js"></script>
    <script src="bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="plugins/bower_components/bootstrap-extension/js/bootstrap-extension.min.js"></script>
    <!-- Menu Plugin JavaScript -->
    <script src="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js"></script>
    <!--slimscroll JavaScript -->
    <script src="js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="js/waves.js"></script>
   
    <!-- Sweet-Alert  -->
    <script src="plugins/bower_components/sweetalert/sweetalert.min.js"></script>
    <script src="plugins/bower_components/sweetalert/jquery.sweet-alert.custom.js"></script>
	<script src="plugins/bower_components/custom-select/custom-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-select/bootstrap-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.js" type="text/javascript"></script>
    <!--<script type="text/javascript" src="plugins/bower_components/multiselect/js/jquery.multi-select.js"></script>-->
	<script>
		// For select 2
		$('#category_list').select2();
        $('#state_list').select2();
	</script>
    <!--Style Switcher -->
    <script src="plugins/bower_components/styleswitcher/jQuery.style.switcher.js"></script>
    <!-- data table -->
    <script src="plugins/bower_components/datatables/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/plug-ins/1.10.21/sorting/date-uk.js"></script>
    <!--multiselect Dropdown-->
     <!-- Custom Theme JavaScript -->
    <script src="js/custom.min.js"></script>
	<script src="js/validator.js"></script>
	<script>
    $(document).ready(function() {
		$('#category_list').change(function(){
			$('.all-cats').css('display','none');
			$('.cat-checked').attr("required", false);
			
			id = $(this).val();
			$('#cat-box-'+ id).css('display','block');
			$('#cate_'+ id ).attr("required", true);
		});
		<?php 
			if($_COOKIE['err'] !='')
			{
				echo 'swal("'.$_COOKIE['status'].'", "'.$_COOKIE['title'].'", "'.$_COOKIE['err'].'");';
				?>
				setTimeout(function() {
					$(".confirm").trigger('click');
				}, 3000);
			   <?php
				setcookie('status', $_COOKIE['status'], time()-100);
				setcookie('title', $_COOKIE['title'], time()-100);
				setcookie('err', $_COOKIE['err'], time()-100);
			}
		?>
		/*Submit*/
		$('#submitRequest').submit(function(e) {
			e.preventDefault();
			var title_text = 'Request Submit \n Fee: 1-Token'
			var formdata = $(this).serializeArray();
			swal({
					title: title_text,
					text: "Are You Sure You Are Ready?",
					type: "warning",
					showCancelButton: true,
					confirmButtonColor: "#DD6B55",
					confirmButtonText: "Yes, Submit it!",
					cancelButtonText: "Cancel",
					closeOnConfirm: false,
					closeOnCancel: false
				}, function(isConfirm){
					if (isConfirm) {
						$.ajax({
							url: "ajax-functions.php",
							type: 'POST',
							data: formdata,
							dataType:'json',
							success: function (response) {
								if(response.status == 'success')
								{
									swal(response.status, response.title, response.err);
									window.location.href = response.url;
								}
								else
								{
									swal(response.status, response.title, response.err);
								}
							}
						});
					}
					else
					{
						swal("Cancelled", "", "error");
					}
				});	
		})
		/*Submit END*/
	});
	
    </script>
    <script>
	function medical_grade_fun(catId,that)
	{
		if ($(that).is(':checked'))
		{
			$(that).val(catId+'-1');
		}
	}
$(document).ready(function() {
	$('.main_cat').click(function(){
		var id = $(this).val();
		checkboxID = '#ship_'+id;
		if ($(this).is(':checked'))
		{
			$(checkboxID).attr("required", true);
			$('input[name="option-'+id+'"]').attr("required", true);
			
			$('#cat-box-'+ id + ' .amt_option').attr('disabled', false);
			$(checkboxID).attr("disabled", false);
			$('#medical_'+ id).attr('disabled', false);
		}
		else
		{
			$(checkboxID).attr("required", false);
			$(checkboxID).attr("disabled", true);
			$('#medical_'+ id).attr('disabled', true);
			$('#medical_'+ id).prop('checked', false);
			$('input[name="option-'+id+'"]').attr("required", false);
			$('#cat-box-'+ id + ' .amt_option').prop('checked', false);
			$('#cat-box-'+ id + ' .amt_option').attr('disabled', true);
			$(checkboxID).prop('checked', false);
			$('#cat-box-'+ id + ' #amount_'+ id).val('');
			
		}
	})
	$('.amt_option').click(function(){
		var optionID = $(this).attr('data-id');
		if ($(this).is(':checked'))
		$('#'+optionID).val(this.value);
		else
		$('#'+optionID).val('');
	})
});
	
	
    </script>
    
</body>
</html>