<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
require_once('vendor/autoload.php');
$API_KEY = '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';
$FROM_EMAIL = 'support@siseusa.org';
$table_name = 'Email_Template';
if($_SESSION['U']['user_type'] != 1){
	header('location:dashboard.php');
	exit;
}
if(isset($_POST['btnVendor']))
{
	$vendor_subject  = $_POST['vendor_subject'];
	$vendor_body	 = base64_encode( $_POST['vendor_body'] );
	$t_cond = array("id" => 1);
	$value  = array();
	$value['vendor_subject'] 	= $vendor_subject;
	$value['vendor_body']		= $vendor_body;
	$res = $prop->update($table_name, $value, $t_cond);
	if($res)
	{
		setcookie("status", "Success", time()+10);
		setcookie("title", "Vender Email Template Updated Successfully", time()+10);
		setcookie("err", "success", time()+10);
		header('Location: buyer-requests.php?tab=3');
		exit;
	}
}
if(isset($_POST['btnBuyer']))
{
	$buyer_subject  = $_POST['buyer_subject'];
	$buyer_body	 =  base64_encode( $_POST['buyer_body'] );
	$t_cond = array("id" => 1);
	$value  = array();
	$value['buyer_subject'] 	= $buyer_subject;
	$value['buyer_body']		= $buyer_body;
	$res = $prop->update($table_name, $value, $t_cond);
	if($res)
	{
		setcookie("status", "Success", time()+10);
		setcookie("title", "Buyer Email Template Updated Successfully", time()+10);
		setcookie("err", "success", time()+10);
		header('Location: buyer-requests.php?tab=4');
		exit;
	}
}
$tab = 1;
if(isset($_REQUEST['tab']))
$tab = $_REQUEST['tab'];

$Email_Template = $prop->get('*',$table_name, array('status'=>0));

?><!DOCTYPE html>

<html lang="en">

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16"  href="img/logo-sise.jpg">
    <title>Buyer Requests</title>
    <!-- Bootstrap Core CSS -->
    <link href="bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="plugins/bower_components/bootstrap-extension/css/bootstrap-extension.css" rel="stylesheet">
    <!--alerts CSS -->
    <link href="plugins/bower_components/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
    <!-- Menu CSS -->
    <link href="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.css" rel="stylesheet">
    <!-- Animation CSS -->
    <link href="css/animate.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/custom-style.css" rel="stylesheet">
    <!-- data table css -->
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
	<link href="plugins/bower_components/custom-select/custom-select.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/bootstrap-select/bootstrap-select.min.css" rel="stylesheet" />
    <link href="plugins/bower_components/multiselect/css/multi-select.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" type="text/css" />
    <!-- data table css ends-->
    <!-- color CSS you can use different color css from css/colors folder -->
    <!-- We have chosen the skin-blue (blue.css) for this starter
          page. However, you can choose any other skin from folder css / colors .
-->
   <link href="css/colors/default-dark.css" id="theme" rel="stylesheet">
    <!--<link href="css/colors/blue.css" id="theme" rel="stylesheet">-->
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
<style>
#accordion .card{margin-bottom:10px;}
#accordion .card .card-link{font-weight: 700;color:#55616c !important}
.email_alert{max-width:150px;margin-top:5px;padding: 5px 12px; height:34px;}

.active {
  display: block;
}
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: #ffffff;
    background-color: #0e5589;
    border-color: #0e5589 #0e5589 #0e5589;
}
.nav-tabs {
    border: 1px solid #ecf0f4;
}
ol.auto-checkboxes.bonsai label {
    margin-left: 7px;
}
.nav-tabs>li>a {
    border-radius: 0;
    color: #2b2b2b;
    font-weight: 600;
	font-size:13px;
}
@media (max-width: 766px)
{
.nav{display: block;}
.nav-tabs > li{float:none;border-bottom: 1px solid #f1f1f1;}
.filter-row .col-md-3{margin-bottom:15px;}
}
</style>
<?php include 'inc/head_tag_script.php';?>
</head>

<body>
<?php include 'inc/after_the_opening_body_tag.php';?>
    <!-- Preloader -->
    <div class="preloader">
        <div class="cssload-speeding-wheel"></div>
    </div>
    <div id="wrapper">
        <!-- include header -->
        <?php include 'header.php';?>
        <!-- header ends-->
        <!-- Left navbar-header -->
        <?php include 'left-sidebar.php';?>
        <!-- Left navbar-header end -->
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row bg-title">
                    <div class="col-md-12">
                    	<ul class="nav nav-tabs" role="tablist">
                        	<li class="nav-item">
                                <a class="nav-link <?php if($tab == 1){echo 'active';}?>" href="#TabBuyerRequest" role="tab" data-toggle="tab">
                                    Buyer Request
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link <?php if($tab == 2){echo 'active';}?>" href="#TabVendorReplies" role="tab" data-toggle="tab">
                                    Vendor Replies
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link <?php if($tab == 3){echo 'active';}?>" href="#TabEmailAlertVendor" role="tab" data-toggle="tab">
                                    Email Alert - Vendor Lead
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link <?php if($tab == 4){echo 'active';}?>" href="#TabEmailAlertBuyer" role="tab" data-toggle="tab">
                                    Email Alert - Buyer Request Answer
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link <?php if($tab == 5){echo 'active';}?>" href="#TabVendorLeadDynamic" role="tab" data-toggle="tab">
                                    Vendor Lead Dynamic Page
                                </a>
                            </li>
                        </ul>
                    </div>    
                    <!-- /.col-lg-12 -->
                </div>
				<div class="tab-content">
                    <div role="tabpanel" class="tab-pane <?php if($tab == 1){echo 'fade in active';}?>" id="TabBuyerRequest">
                        <div class="row">
                         <div class="col-md-12">
                                <div class="white-box">     
                                    <h3 class="box-title">List of Users</h3>
                                    <div class="table-responsive dash-table">
                                        <table id="myTable" class="table table-striped table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>Full Name</th>
                                                    <th>Company Name</th>
                                                    <th>State</th>
                                                    <th>Details Link</th>
                                                    <th>Status</th>
                                                 </tr>
                                            </thead>
                                            <tbody>
                                            <?php
                                                $where = ' ';
                                                $catsql = "SELECT  * from enquiry order by `id` DESC";
                                                
                                                $catfet=$prop->getAll_Disp($catsql);
                                                for($i=0; $i<count($catfet); $i++)
                                                {
                                            ?>
                                                <tr>
                                                    <td><?php echo $catfet[$i]['name'];?> </td>
                                                    <td><?php echo $catfet[$i]['cname'];?> </td>
                                                    <td><?php 
                                                        $stateID = $catfet[$i]['state'];
                                                        $stateName = $prop->getName('State','state_list','id = '.$stateID);
                                                        echo $stateName;?>                                            </td>
                                                    <td><a href="buyer-details.php?id=<?php echo $catfet[$i]['id'];?>">Details Link</a> </td>
                                                    <td><?php echo ($catfet[$i]['status'] = 0 ? 'Acive' : 'Close');?> </td>
                                                </tr>
                                            <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                    <div role="tabpanel" class="tab-pane <?php if($tab == 2){echo 'fade in active';}?>" id="TabVendorReplies">
                        <div class="row">
                         <div class="col-md-12">
                                <div class="white-box">     
                                    <h3 class="box-title">Vendor Replies</h3>
                                    <div class="table-responsive dash-table">
                                        <table id="VendorReplies" class="table table-striped table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>Date</th>
                                                    <th>Vendor Company</th>
                                                    <th>Buyers Request Company Name</th>
                                                    <th>Details Link</th>
                                                 </tr>
                                            </thead>
                                            <tbody>
                                            <?php
                                                $where = ' ';
                                                $catsql = "SELECT  * from venderReply order by `id` DESC";
                                                
                                                $catfet=$prop->getAll_Disp($catsql);
                                                for($i=0; $i<count($catfet); $i++)
                                                {
													$buyerReplyID = $catfet[$i]['buyerRequestID'];
													$buyerRquestData = $prop->get('*','enquiry', array('status'=>0,'id'=>$buyerReplyID));
													$venderID 	  = $catfet[$i]['vendorID'];
													$venderData = $prop->get('*','appuser', array('status'=>0,'id'=>$venderID));
                                            ?>
                                                <tr>
                                                    <td><?php echo date('M, d,Y',strtotime($catfet[$i]['replyDate']) );?> </td>
                                                    <td><?php echo $venderData['cName'];?> </td>
                                                    <td><?php echo $buyerRquestData['cname'];?></td>
                                                    <td><a href="vender-reply-details.php?id=<?php echo $catfet[$i]['id'];?>">Details Link</a> </td>
                                                    </tr>
                                            <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    </div>
                            </div>
                        </div>
                    </div>                    
                    <div role="tabpanel" class="tab-pane <?php if($tab == 3){echo 'fade in active';}?>" id="TabEmailAlertVendor">
                        <div class="row">
                         <div class="col-md-12">
                                <div class="white-box">     
                                    <h3 class="box-title">Email Alert - Vendor Lead</h3>
                                     <form method="post">
                                        <div class="form-group">
                                            <label>Email Subject</label>
                                            <input type="text" name="vendor_subject" id="vendor_subject" class="form-control" value="<?php echo $Email_Template['vendor_subject'];?>" required/>                           					</div>
                                        <div class="form-group">
                                            <label>Email Body</label>
                                            <textarea id="mymce" name="vendor_body"><?php echo base64_decode($Email_Template['vendor_body']);?></textarea>
                                        </div>
                                        <div class="form-group text-center p-t-20">
                                            <button class="btn btn-info waves-effect pull-right" type="submit" name="btnVendor">
                                                Submit
                                            </button>
                                        </div>                                            
                                    </form>               
                                </div>
                            </div>
                        </div>
                    </div>
                    <div role="tabpanel" class="tab-pane <?php if($tab == 4){echo 'fade in active';}?>" id="TabEmailAlertBuyer">
                        <div class="row">
                         <div class="col-md-12">
                                <div class="white-box">     
                                    <h3 class="box-title"> Email Alert - Buyer Request Answer</h3>
                                    <form method="post">
                                        <div class="form-group">
                                            <label>Email Subject</label>
                                            <input type="text" name="buyer_subject" id="buyer_subject" <?php echo $Email_Template['buyer_subject'];?> class="form-control" required/>                           					</div>
                                        <div class="form-group">
                                            <label>Email Body</label>
                                            <textarea id="mymce" name="buyer_body"><?php echo base64_decode($Email_Template['buyer_body']);?></textarea>
                                        </div>
                                        <div class="form-group text-center p-t-20">
                                            <button class="btn btn-info waves-effect pull-right" type="submit" name="btnBuyer">
                                                Submit
                                            </button>
                                        </div>                                            
                                    </form>  
                                    </div>
                            </div>
                        </div>
                    </div>
                    <div role="tabpanel" class="tab-pane <?php if($tab == 5){echo 'fade in active';}?>" id="TabVendorLeadDynamic">
                        <div class="row">
                         <div class="col-md-12">
                                <div class="white-box">     
                                    <h3 class="box-title"> Vendor Lead Dynamic Page</h3>
                                    <form method="post">
                                        <div class="form-group">
                                            <label>Page body</label>
                                            <textarea id="mymce" name="desc"></textarea>
                                        </div>
                                        <div class="form-group text-center p-t-20">
                                            <button class="btn btn-info waves-effect pull-right" type="submit" name="btnSubmit">
                                                Submit
                                            </button>
                                        </div>                                            
                                    </form>  
                                    </div>
                            </div>
                        </div>
                    </div>
                   
                </div>    
            </div>
            <!-- /.container-fluid -->
            <?php include "footer.php" ?>
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="plugins/bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bootstrap/dist/js/tether.min.js"></script>
    <script src="bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="plugins/bower_components/bootstrap-extension/js/bootstrap-extension.min.js"></script>
    <!-- Menu Plugin JavaScript -->
    <script src="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js"></script>
    <!--slimscroll JavaScript -->
    <script src="js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="js/waves.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="js/custom.min.js"></script>
	  <script src="js/validator.js"></script>
    <!-- Sweet-Alert  -->
    <script src="plugins/bower_components/sweetalert/sweetalert.min.js"></script>
    <script src="plugins/bower_components/sweetalert/jquery.sweet-alert.custom.js"></script>
	<script src="plugins/bower_components/custom-select/custom-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-select/bootstrap-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.js" type="text/javascript"></script>
    <script type="text/javascript" src="plugins/bower_components/multiselect/js/jquery.multi-select.js"></script>
	<script>
	// For select 2
        $(".select2").select2();
		$("#cName").select2();
    </script>
    
    <!--Style Switcher -->
    <script src="plugins/bower_components/styleswitcher/jQuery.style.switcher.js"></script>
    <!-- data table -->
    <script src="plugins/bower_components/datatables/jquery.dataTables.min.js"></script>
    /*TinyMCE editor*/
    <script src="plugins/bower_components/tinymce/tinymce.min.js"></script>
    <script>

    $(document).ready(function() {
        $('#myTable').DataTable();
		$('#VendorReplies').DataTable();
		/*TinyMCE editor*/
		tinymce.init({
			selector: "textarea#mymce",
			theme: "modern",
			height: 300,
			plugins: ["advlist autolink link image lists charmap print preview hr anchor pagebreak spellchecker", "searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking", "save table contextmenu directionality emoticons template paste textcolor" ],
			toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | l      ink image | print preview media fullpage | forecolor backcolor emoticons",
			toolbar2: "print preview media | forecolor backcolor emoticons",
			image_advtab: true,
			file_picker_callback: function(callback, value, meta) {
			  if (meta.filetype == 'image') {
				$('#upload').trigger('click');
				$('#upload').on('change', function() {
				  var file = this.files[0];
				  var reader = new FileReader();
				  reader.onload = function(e) {
					callback(e.target.result, {
					  alt: ''
					});
				  };
				  reader.readAsDataURL(file);
				});
			  }
			},

		});
		/*TinyMCE editor END*/
		<?php 
			if($_COOKIE['err'] !='')
			{
				echo 'swal("'.$_COOKIE['status'].'", "'.$_COOKIE['title'].'", "'.$_COOKIE['err'].'");';
				?>
				setTimeout(function() {
					$(".confirm").trigger('click');
				}, 3000);
			   <?php
				setcookie('status', $_COOKIE['status'], time()-100);
				setcookie('title', $_COOKIE['title'], time()-100);
				setcookie('err', $_COOKIE['err'], time()-100);
			}
		?>
	});
	
	
    </script>
<script>
$(document).on('click', '.depart-status', function() {
		var element = $(this);
		var id = element.attr("data-id");
		var status = element.attr("data-status");
		var ms = (status==0?'Publish':'Unpublish');
		swal({
			title: ms,
			text: "Are you sure?",
			type: "warning",
			showCancelButton: true,
			confirmButtonColor: "#DD6B55",
			confirmButtonText: "Yes, "+ms+" it!",
			cancelButtonText: "Cancel",
			closeOnConfirm: false,
			closeOnCancel: false
		}, function(isConfirm){
			if (isConfirm) {
				$.ajax({
					type: "POST",
					url: "ajax-status.php",
					cache:false,
					data: 'id='+id+'&status='+status+'&meth=company-status',
					dataType:'json',
					success: function(response)
					{
						swal(response.status, response.msg,response.err);
						setTimeout(function() {
							$(".confirm").trigger('click');
						}, 3000);
						if(response.result){
							location.reload();
						}
					}
				});
			}
			else
			{
				swal("Cancelled", "", "error");
				setTimeout(function() {
							$(".confirm").trigger('click');
						}, 3000);
			}
		});
	});
	
	$(document).on('click', '.deleteone', function() {
		var element = $(this);
		var id = element.attr("id");
		var status = 2;
		var ms = 'DELETE';
		swal({
			title: ms,
			text: "Are you sure?",
			type: "warning",
			showCancelButton: true,
			confirmButtonColor: "#DD6B55",
			confirmButtonText: "Yes, Delete it!",
			cancelButtonText: "Cancel",
			closeOnConfirm: false,
			closeOnCancel: false
		}, function(isConfirm){
			if (isConfirm) {
				$.ajax({
					type: "POST",
					url: "ajax-status.php",
					cache:false,
					data: 'id='+id+'&status='+status+'&meth=company-delete',
					dataType:'json',
					success: function(response)
					{
						swal(response.status, response.msg,response.err);
						setTimeout(function() {
							$(".confirm").trigger('click');
						}, 3000);
						if(response.result){
							location.reload();
						}
					}
				});
			}
			else
			{
				swal("Cancelled", "", "error");
				setTimeout(function() {
					$(".confirm").trigger('click');
				}, 3000);
			}
		});
	});
</script>
</body>
</html>