<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
require_once('vendor/autoload.php');
//require_once('inc/smsFunction.php');
require_once('inc/PhpScripts.php');

$CornData = $prop->get('*','admin_setting', array('option_name'=>'cron_details'));
//print_r( $CornData );
$CrData = array();
if(!empty($CornData)) {
    $CrData = json_decode($CornData['option_value'],true);
}
//print_r($CrData);
$plusHours = 1;
if(!empty($CrData) and $CrData['auto_close_hours'] != 0)
{
	$plusHours = $CrData['auto_close_hours'];

	$CurrDate = date('Y-m-d h:i:s');
	$enquirysql = "SELECT  * from enquiry where status = 0 and DATE_ADD(requestDateTime, INTERVAL ".$plusHours." HOUR) <= '".$CurrDate."'";
	$EF=$prop->getAll_Disp($enquirysql);
	if(count($EF)>0)
	{
		for($i=0; $i<count($EF); $i++)
		{
			$table_name = 'enquiry';
			$id = $EF[$i]['id'];
			$value = array('status'=>1);
			$t_cond = array("id" => $id);
			$userid = $EF[$i]['uid'];
			$res = $prop->update($table_name, $value, $t_cond);
			
			$replyCount = $prop->getName('count(enquiryID)','venderReply','enquiryID = '.$EF[$i]['id']);
			echo BuyerRequestCloseAlertScript($prop,$id );
			/*Buyer EMail Notification*/
			$subject  = "Auto close request notification";
			$body	  =	'Your request is auto closed:<br> <a href="https://ppe.siseusa.org/buyer-single-details.php?id='.$id.'" target="_blank">View Your Request Link</a>';
			$email	  = new \SendGrid\Mail\Mail();
			$email->setFrom("support@siseusa.org", "PPE Vendor");
			$email->setSubject($subject);
			
			$email->addTo($EF[$i]['email'], $EF[$i]['name']);
			
			$email->addContent(
				"text/html", $body
			);
			$keyval = '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';
			$sendgrid = new \SendGrid($keyval);
			try {
				$response = $sendgrid->send($email);
				echo 'Success'.$EF[$i]['email'].$EF[$i]['name'];
			} catch (Exception $e) {
				$errMsg =  'Caught exception: '. $e->getMessage() ."\n";
				echo $errMsg;
			}
			/*Buyer EMail Notification End*/				
			if($res && $replyCount == 0)
			{
				/*Add On Token History */
				$created = date("Y-m-d H:i:s");
				$input_token  = array(
					'user_id'			=>$userid,
					'credit_token'		=>1,
					'debit_token'		=>0,
					'where_from'		=>'Refund 1 token, because of "Auto Status Close".',
					'created'			=>$created,
				);  
				$requestedID = $prop->addID('request_token_history', $input_token);
				
				$tot_request_token = $prop->getName('tot_request_token','wallet_table', "user_provider_id = ".$userid );
				$input  = array(
					'tot_request_token'	=>$tot_request_token+1,
					'updated_on'		=>$created
				); 				
				$prop->update('wallet_table', $input, array("user_provider_id" =>$userid));
				
				echo $userid."Count<br>";
		
			}
			
		}
	}
}		
?>