<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);

?>
<!DOCTYPE html>
<html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16"  href="img/logo-sise.jpg">
    <title>PPE Dashboard</title>
    <!-- Bootstrap Core CSS -->
	<link href="bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="plugins/bower_components/bootstrap-extension/css/bootstrap-extension.css" rel="stylesheet">
    <!--alerts CSS -->
    <link href="plugins/bower_components/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
    <!-- Menu CSS -->
    <link href="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.css" rel="stylesheet">
    <!-- Animation CSS -->
    <link href="css/animate.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/custom-style.css" rel="stylesheet">
    <!-- data table css -->
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/buttons/1.2.2/css/buttons.dataTables.min.css" rel="stylesheet" type="text/css" />
    <!-- data table css ends-->
    <!-- color CSS you can use different color css from css/colors folder -->
    <!-- We have chosen the skin-blue (blue.css) for this starter
          page. However, you can choose any other skin from folder css / colors .
-->
   <link href="css/colors/default-dark.css" id="theme" rel="stylesheet">
    <!--<link href="css/colors/blue.css" id="theme" rel="stylesheet">-->
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
<style type="text/css">
    .form-group {
    margin-bottom: 15px;
}
.panel-group .panel .panel-heading a[data-toggle=collapse] {
    display: block;
}
.modal-body {
    background: #f5f5f5;
}
.white{
    background: #fff;
}
.btn-dashboard{display:block; width:80%; margin:auto; height:auto; font-size:25px; padding:15px; font-weight:bold; border-radius:5px;}
@media (max-width: 768px){
	.btn-dashboard{display:block; width:100%; margin:auto; height:auto; font-size:18px; padding:7px; font-weight:bold; border-radius:5px;}
}
</style>
<?php include 'inc/head_tag_script.php';?>
</head>

<body>
<?php include 'inc/after_the_opening_body_tag.php';?>
    <!-- Preloader -->
    <!-- <div class="preloader">
        <div class="cssload-speeding-wheel"></div>
    </div> -->
    <div id="wrapper">
        <!-- include header -->
        <?php include 'header.php';?>
        <!-- header ends-->
        <!-- Left navbar-header -->
        <?php include 'left-sidebar.php';?>
        <!-- Left navbar-header end -->
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row bg-title">
                    <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12">
                        <h4 class="page-title">Dashboard </h4> </div>
                    <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12">
                        <ol class="breadcrumb">
                            <li class="active">Dashboard</li>
                        </ol>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>

            <div class="row">
			<?php 
			if($_SESSION['U']['user_type'] === 1){ 
				$totalActUser = $prop->counts('id',USERS, array('status'=>0,'type'=>2));
				$totalInActUser = $prop->counts('id',USERS, array('status'=>1,'type'=>2));
				$totalUser = $totalActUser + $totalInActUser;
			?>
				<div class="col-md-4 col-sm-6">
				  <div class="white-box rd-10">
					<div class="r-icon-stats">
					  <i class="ti-user bg-danger bg1"></i>
					  <div class="bodystate">
						<h4><?php echo $totalUser; ?></h4>
						<a href="#"><span class="text-muted d-txt">Total Company</span></a>					  </div>
					</div>  
				  </div>
				</div>
				<div class="col-md-4 col-sm-6">
				  <div class="white-box rd-10">
					<div class="r-icon-stats">
					  <i class="ti-user bg-info bg2"></i>
					  <div class="bodystate">
						<h4><?php echo $totalActUser; ?></h4>
						<a href="#"><span class="text-muted d-txt">Active Company</span></a>					  </div>
					</div>  
				  </div>
				</div>
				<div class="col-md-4 col-sm-6">
				  <div class="white-box rd-10">
					<div class="r-icon-stats">
					  <i class="ti-user bg-success bg3"></i>
					  <div class="bodystate">
						<h4><?php echo $totalInActUser; ?></h4>
						<a href="#"><span class="text-muted d-txt">Inactive Company</span></a>					  </div>
					</div>  
				  </div>
				</div>
                <div class="col-md-4 col-sm-6">
				  <div class="white-box rd-10">
					<div class="r-icon-stats">
					  <a href="company-csv.php"><i class="fa fa-download bg4" aria-hidden="true"></i></a>
						<div class="bodystate">
                            <h4><a href="company-csv.php"><?php echo $totalUser; ?></a></h4>
                            <a href="company-csv.php"><span class="text-muted d-txt">Download CSV</span></a>
                        </div>
					</div>  
				  </div>
				</div>
			<?php } 
			if($session_user_type===2){ 
			?>
				<div class="col-md-12 col-sm-12">
				  <div class="white-box rd-10">
					<div class="r-icon-stats">
					  <i class="ti-user bg-danger bg1"></i>
					  <div class="bodystate">
						<h4>Welcome to PPE Vendor Portal</h4>
                        <div><iframe src="https://player.vimeo.com/video/440980785" width="640" height="360" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe></div>
						<a href="#"><span class="text-muted"><?php echo $_SESSION['U']['email'];?></span></a>					  </div>
					</div>  
				  </div>
				</div>
				
			<?php }
			else if($session_user_type===3){ 
			?>
				<div class="col-md-12 col-sm-12">
				  <div class="white-box rd-10">
					<div style="max-width:80%; margin:auto; text-align:center">
					  <div class="bodystate">
						  <h2>Welcome to PPE Buyer Portal</h2>
                          <div class="embed-responsive embed-responsive-16by9 p-t-20">
                            <iframe class="embed-responsive-item" src="https://player.vimeo.com/video/440980528"></iframe>
                          </div>
                          <h2>Request For Quote (RFQ)</h2>
                          <div class="m-t-20">
                          	<a href="buyer-requests-form.php" class="btn-danger btn-dashboard"><i class="fa fa-angle-double-left"></i> Find PPE : Start a RFQ</a>
                          </div>
                          <div class="m-t-20">
                          	<a href="buyer-request-list.php" class="btn-primary btn-dashboard"><i class="fa fa-angle-double-left"></i> Track Your RFQ</a>
                          </div>
                          <div class="m-t-20">
                          	<a href="user-wallet.php" class="btn-success btn-dashboard"><i class="fa fa-angle-double-left"></i> Purchase RFQ Credits</a>
                          </div>					  
                      </div>
					</div>  
				  </div>
				</div>
				
			<?php } ?>
			</div>
             </div>
            <!-- /.container-fluid -->
            <?php include "footer.php" ?>
       
        <!-- /#page-wrapper -->
    </div>
	</div>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="plugins/bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bootstrap/dist/js/tether.min.js"></script>
    <script src="bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="plugins/bower_components/bootstrap-extension/js/bootstrap-extension.min.js"></script>
    <!-- Menu Plugin JavaScript -->
    <script src="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js"></script>
    <!--slimscroll JavaScript -->
    <script src="js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="js/waves.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="js/custom.min.js"></script>
    <!-- Sweet-Alert  -->
    <script src="plugins/bower_components/sweetalert/sweetalert.min.js"></script>
    <script src="plugins/bower_components/sweetalert/jquery.sweet-alert.custom.js"></script>

    <!--Style Switcher -->
    <script src="plugins/bower_components/styleswitcher/jQuery.style.switcher.js"></script>
    <!-- data table -->
    <script src="plugins/bower_components/datatables/jquery.dataTables.min.js"></script>
    <script>
    $(document).ready(function() {
        $('#myTable').DataTable({"lengthMenu": [ [50, 10, 150, 50000], [50, 100, 150, "All"] ],"displayLength": 50});
        $(document).ready(function() {
            var table = $('#example').DataTable({
                "columnDefs": [{
                    "visible": false,
                    "targets": 2
                }],
                "order": [
                    [2, 'asc']
                ],
				"lengthMenu": [ [50, 10, 150, 50000], [50, 100, 150, "All"] ],
                "displayLength": 50,
                "drawCallback": function(settings) {
                    var api = this.api();
                    var rows = api.rows({
                        page: 'current'
                    }).nodes();
                    var last = null;
                    api.column(2, {
                        page: 'current'
                    }).data().each(function(group, i) {
                        if (last !== group) {
                            $(rows).eq(i).before('<tr class="group"><td colspan="5">' + group + '</td></tr>');
                            last = group;
                        }
                    });
                }
            });
            // Order by the grouping
            $('#example tbody').on('click', 'tr.group', function() {
                var currentOrder = table.order()[0];
                if (currentOrder[0] === 2 && currentOrder[1] === 'asc') {
                    table.order([2, 'desc']).draw();
                } else {
                    table.order([2, 'asc']).draw();
                }
            });
        });
    });


    </script>
</body>
</html>
