<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
if(bckPermissionVendor($_SESSION['U']['user_type'])){
	header('location:dashboard.php');
	exit;
}
$userID = $prop->getName('id', INVENTRY, "status!=2 AND userID=".$_SESSION['U']['id']);
if($userID == '')
{
	$action = 'Add';
	$user_val = $prop->get('*',USERS, array('id'=>$_SESSION['U']['id'],'status'=>0));
}
else
{
	$action = 'Edit';
	$inventryID =  $userID;
}

$method = $_REQUEST['method']!=''?$_REQUEST['method']:'';
switch($method)
{
	case 'add':
		$msg = 'Enter Company Email';
		$masks='no';$gloves='no';$gowns='no';$face_shields='no';$hand_sanitizer='no';
		$file_masks='emp';$file_gloves='emp';$file_gowns='emp';$file_face_shields='emp';$file_hand_sanitizer='emp';
		if($_POST['compName']!=''){
			$msg = 'Inventry Created Failed';
			$amount = implode("|",array_filter($_POST['amount']));
			$payment_type = implode("|",array_filter($_POST['payment_type']));
			$catIDs = implode("|",array_filter($_POST['categories']));
			$input  = array(
				'userID'				=>$_SESSION['U']['id'],
				'catID'					=>$catIDs,
				'amount'				=>$amount,
				'medicalGrade'			=>$medicalGrade,
				'compName'				=>$_POST['compName'],
				'address'				=>$_POST['address'],
				'city'					=>$_POST['city'],
				'state'					=>$_POST['state'],
				'zip'					=>$_POST['zip'],
				'contactTitle'			=>$_POST['contactTitle'],
				'contactEmail'			=>$_POST['contactEmail'],
				'fname'					=>$_POST['fname'],
				'lname'					=>$_POST['lname'],
				'phoneNumber'			=>$_POST['phoneNumber'],
				'webAddress'			=>$_POST['webAddress'],
				'payment_type'			=>$payment_type,
				'updated_date'			=>date('Y-m-d'),
				'status'				=>0
			);
			$result = $prop->add(INVENTRY, $input);
			if ($result) {
				setcookie('status', 'Success', time()+10);
				setcookie('title', 'Inventory Created Successfully', time()+10);
				setcookie('err', 'success', time()+10);
				header('Location: edit_data.php');
				break;
			}
		}
		setcookie('status', 'Error', time()+10);
		setcookie('title', $msg, time()+10);
		setcookie('err', 'success', time()+10);
		break;
		
	case 'update':
		$msg = 'Enter Company Email';
		if($_POST['compName']!=''){
			$msg = 'Inventory Updated Failed';
			$value  = array();
			$t_cond = array("id" => $_REQUEST['id']);
			$amount = implode("|",array_filter($_POST['amount']));
			$medicalGrade = implode("|",array_filter($_POST['medical_grade']));
			$catIDs = implode("|",array_filter($_POST['categories']));
			$payment_type = implode("|",array_filter($_POST['payment_type']));
			
			$value[userID]		 = $_SESSION['U']['id'];
			$value[catID] 		 = $catIDs;
			$value[amount]		 = $amount;
			$value[medicalGrade] = $medicalGrade;
			$value[compName] 	 = $_POST['compName'];
			$value[address] 	 = $_POST['address'];
			$value[city] 		 = $_POST['city'];
			$value[state] 		 = $_POST['state'];
			$value[zip] 		 = $_POST['zip'];
			$value[contactTitle] = $_POST['contactTitle'];
			$value[contactEmail] = $_POST['contactEmail'];
			$value[fname] 		 = $_POST['fname'];
			$value[lname] 		 = $_POST['lname'];
			$value[phoneNumber]  = $_POST['phoneNumber'];
			$value[webAddress] 	 = $_POST['webAddress'];
			$value[payment_type] = $payment_type;
			$value[updated_date] = date('Y-m-d');
			$result = 1;
			$msg = 'Inventry Updated Error';
			
			
			if($result)
				$res = $prop->update(INVENTRY, $value, $t_cond);
			if($res)
			{
				setcookie("status", "Success", time()+10);
				setcookie("title", "Inventory Updated Successfully", time()+10);
				setcookie("err", "success", time()+10);
				//create_XML($value);
				header('Location: edit_data.php');
				break;
			}
		}
		setcookie('status', 'Error', time()+10);
		setcookie('title', $msg, time()+10);
		setcookie('err', 'success', time()+10);
		break;
}	


	
if(isset($inventryID)){
	$titleTag = 'Edit';
	$curr_val = $prop->get('*',INVENTRY, array('id'=>$inventryID,'status'=>0));
	if($curr_val['status']===2){
		header('Location: dashboard.php');
		exit;
	}
}

?><!DOCTYPE html>





<html lang="en">

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16"  href="img/logo-sise.jpg">
    <title><?php if(isset($inventryID)){echo 'Edit';}else{echo 'Add';}?> Inventory </title>
    <!-- Bootstrap Core CSS -->
    <link href="bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="plugins/bower_components/bootstrap-extension/css/bootstrap-extension.css" rel="stylesheet">
    <!--alerts CSS -->
    <link href="plugins/bower_components/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
    <!-- Menu CSS -->
    <link href="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.css" rel="stylesheet">
    <!-- Animation CSS -->
    <link href="css/animate.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/custom-style.css" rel="stylesheet">
    <!-- data table css -->
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
	<link href="plugins/bower_components/custom-select/custom-select.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/bootstrap-select/bootstrap-select.min.css" rel="stylesheet" />
    <link href="plugins/bower_components/multiselect/css/multi-select.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" type="text/css" />
    <!-- data table css ends-->
    <!-- color CSS you can use different color css from css/colors folder -->
    <!-- We have chosen the skin-blue (blue.css) for this starter
          page. However, you can choose any other skin from folder css / colors .
-->
   <link href="css/colors/default-dark.css" id="theme" rel="stylesheet">
    <!--<link href="css/colors/blue.css" id="theme" rel="stylesheet">-->
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
<style>
#accordion .card{margin-bottom:10px;}
#accordion .card .card-link{font-weight: 700;color:#55616c !important}
.email_alert{max-width:150px;margin-top:5px;padding: 5px 12px; height:34px;}
.main_cate_checkbox {margin-top: 0px !important;
    background: #f1f1f1;
    padding: 10px 25px;}
.bottom_checkbox	{
	margin-top: 0px !important;
	margin-bottom: 0px !important;
    background: #f9f9f9;
    padding: 10px 10px;
	height:90px;
}
.bottom_checkbox1	{
	margin-top: 0px !important;
	margin-bottom: 2px !important;
    background: #f9f9f9;
    padding: 10px 10px;
}
.cat-box{border:1px solid #f1f1f1; margin-bottom:20px !important; padding:0px; height:auto;margin-top:2px}
.cat-box p,.cat-box .upload-btn-wrapper{padding:0px 10px;}
.upload-btn-wrapper {
  position: relative;
  overflow: hidden;
  display: inline-block;
}

.upload-btn-wrapper .btn {
  border: 1px solid gray;
  color: gray;
  background-color: white;
  padding: 8px 20px;
  border-radius: 8px;
  font-size: 16px;
  font-weight: bold;
}

.upload-btn-wrapper input[type=file] {
  font-size: 100px;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
}
.Iframe_container {
  position: relative;
  overflow: hidden;
  width: 100%;
  padding-top: 56.25%; /* 16:9 Aspect Ratio (divide 9 by 16 = 0.5625) */
}



/* Then style the iframe to fit in the container div with full height and width */
.responsive-iframe {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
}
.radio label::before{border: 1px solid rgba(120, 130, 140, 0.48) !important;}
@media (min-width: 768px){
.cat-box{max-width: 23.50% !important; margin:7.5px;}
.help-block.with-errors{height:1px;}
.modal-dialog{ max-width: 750px;}
}
</style>
<?php include 'inc/head_tag_script.php';?>
</head>

<body>
<?php include 'inc/after_the_opening_body_tag.php';?>
    <!-- Preloader -->
    <div class="preloader">
        <div class="cssload-speeding-wheel"></div>
    </div>
    <div id="wrapper">
        <!-- include header -->
        <?php include 'header.php';?>
        <!-- header ends-->
        <!-- Left navbar-header -->
        <?php include 'left-sidebar.php';?>
        <!-- Left navbar-header end -->
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row bg-title">
                    <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12">
                        <h4 class="page-title"><?php if(isset($inventryID)){echo 'Edit';}else{echo 'Add';}?> Inventory </h4> </div>
                    <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12">
                        <ol class="breadcrumb">
                            <li><a href="dashboard.php">Dashboard</a></li>
                            <li class="active"><?php if(isset($inventryID)){echo 'Edit';}else{echo 'Add';}?> Inventory</li>
                        </ol>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
				
                <div class="row">
                 <div class="col-md-12">
                        <div class="white-box">
                            <h3 class="box-title"><?php if(isset($inventryID)){echo 'Edit';}else{echo 'Add';}?> Inventory</h3>
                            <div>
                            	<?php $foraction = $inventryID ==''?'add':'update&id='.$inventryID;?>
                            	  <form data-toggle="validator" method="post" action="edit_data.php?method=<?php echo $foraction; ?>"  enctype="multipart/form-data">
                					
                                    <div class="form-group col-md-3">
                                     <label class="form-label">Company Name</label>
                                      <span class="help"></span>
                                      <div class="input-with-icon  right">
                                        <input type="text" name="compName" required value="<?php if(isset($user_val)){echo $user_val['cName'];}else{ echo $curr_val['compName']; } ?>" id="compName" class="form-control">                                        
                                      </div>
                                      <div class="help-block with-errors"></div>
                                    </div>
                                    <div class="form-group col-md-3">
                                      <label class="form-label">First Name </label>
                                      <span class="help"></span>
                                      <div class="input-with-icon  right">
                                        <input type="text" name="fname" required value="<?php if(isset($user_val)){echo $user_val['fname'];}else{ echo $curr_val['fname'];}?>" id="fname" class="form-control">                                       
                                      </div>
                                      <div class="help-block with-errors"></div>
                                    </div>
                                    <div class="form-group col-md-3">
                                     <label class="form-label">Last Name </label>
                                      <span class="help"></span>
                                      <div class="input-with-icon  right">
                                        <input type="text" name="lname" required value="<?php if(isset($user_val)){echo $user_val['lname'];}else{ echo $curr_val['lname'];}?>" id="lname" class="form-control">
                                        
                                      </div>
                                      <div class="help-block with-errors"></div>
                                    </div>
                                    <div class="form-group col-md-3">
                                     <label class="form-label">Address </label>
                                      <span class="help"></span>
                                      <div class="input-with-icon  right">
                                        <input type="text" name="address" required value="<?php if(isset($user_val)){echo $user_val['address'];}else{ echo $curr_val['address']; }?>" id="address" class="form-control">
                                        
                                      </div>
                                      <div class="help-block with-errors"></div>
                                    </div>
                                    <div class="form-group col-md-3">
                                     <label class="form-label">City </label>
                                      <span class="help"></span>
                                      <div class="input-with-icon  right">
                                        <input type="text" name="city" required value="<?php if(isset($user_val)){echo $user_val['city'];}else{ echo $curr_val['city'];}?>" id="city" class="form-control">
                                        
                                      </div>
                                      <div class="help-block with-errors"></div>
                                    </div>
                                    <div class="form-group col-md-3">
                                     <label class="form-label">State </label>
                                      <span class="help"></span>
                                      <div class="input-with-icon  right">
                                      <select class="form-control" required="" name="state" id="state">
                            			<option value="">Select state</option>
                                        <?php
										$state_sql = 'select * from state_list order by id';
										$statefet=$prop->getAll_Disp($state_sql);
										
										for($c=0; $c<count($statefet); $c++)
										{?>
											<option value="<?php echo $statefet[$c]['id'];?>" <?php if($statefet[$c]['id'] == $curr_val['state']){echo "selected";}?>  ><?php echo $statefet[$c]['State'];?></option>
										<?php
										}
										?>
										</select>
                                      </div>
                                      <div class="help-block with-errors"></div>
                                    </div>
                                    <div class="form-group col-md-3">
                                     <label class="form-label">Zip </label>
                                      <span class="help"></span>
                                      <div class="input-with-icon  right">
                                        <input type="text" name="zip" required value="<?php if(isset($user_val)){echo $user_val['zip'];}else{ echo $curr_val['zip'];}?>" id="zip" class="form-control">
                                        
                                      </div>
                                      <div class="help-block with-errors"></div>
                                    </div>
                                    <div class="form-group col-md-3">
                                     <label class="form-label">Contact Title </label>
                                      <span class="help"></span>
                                      <div class="input-with-icon  right">
                                        <input type="text" name="contactTitle" required value="<?php echo $curr_val['contactTitle'];?>" id="contactTitle" class="form-control">
                                        
                                      </div>
                                      <div class="help-block with-errors"></div>
                                    </div>
                                    <div class="form-group col-md-3">
                                     <label class="form-label">Contact Email </label>
                                      <span class="help"></span>
                                      <div class="input-with-icon  right">
                                        <input type="email" name="contactEmail" required value="<?php if(isset($user_val)){echo $user_val['email'];}else{ echo $curr_val['contactEmail']; }?>" id="contactEmail" class="form-control">
                                        
                                      </div>
                                      <div class="help-block with-errors"></div>
                                    </div>                                   
                                    <div class="form-group col-md-3">
                                     <label class="form-label">Phone Number </label>
                                      <span class="help"></span>
                                      <div class="input-with-icon  right">
                                        <input type="text" name="phoneNumber" required value="<?php echo $curr_val['phoneNumber'];?>" id="phoneNumber" class="form-control">
                                        
                                      </div>
                                      <div class="help-block with-errors"></div>
                                    </div>
                                    <div class="form-group col-md-3">
                                     <label class="form-label">Web Address </label>
                                      <span class="help"></span>
                                      <div class="input-with-icon  right">
                                        <input type="text" name="webAddress" required value="<?php echo $curr_val['webAddress'];?>" id="webAddress" class="form-control">
                                        
                                      </div>
                                      <div class="help-block with-errors"></div>
                                    </div>
                                    <div class="clearfix"></div>
                                    <div class="col-md-12"><label class="form-label">Accepted Payment Method</label></div>
                                    <div class="clearfix"></div>
                                    <div class="row" style="margin-bottom:30px;background:#2196f31f;margin: 5px;padding-left: 15px; margin-bottom:20px">
                                    	<?php
                                        	$payment_type = $curr_val['payment_type'];
											$payment_type = explode('|',$payment_type);
											$cc_check = '';$po_check = '';$bw_check = '';$pp_check = '';
											
											if (in_array('CC', $payment_type))
											$cc_check = 'checked';
											if (in_array('PO', $payment_type))
											$po_check = 'checked';
											if (in_array('BW', $payment_type))
											$bw_check = 'checked';
											if (in_array('PP', $payment_type))
											$pp_check = 'checked';
										?>
                                    	<div class="checkbox checkbox-success col-md-3" style="margin-top: 10px;">
                                          	  <input id="pay_CC" class="main_cat" name="payment_type[]" type="checkbox" value="CC" <?php echo $cc_check;?>>
                                          <label class="category-label" for="pay_CC"> Credit Cards</label>
                                        </div>
                                        <div class="checkbox checkbox-success col-md-3" style="margin-top: 10px;">
                                              <input id="pay_PO" class="main_cat" name="payment_type[]" type="checkbox" value="PO" <?php echo $po_check;?>>
                                              <label class="category-label" for="pay_PO"> Purchase Order</label>
                                        </div>
                                        <div class="checkbox checkbox-success col-md-3" style="margin-top: 10px;">
                                              <input id="pay_BW" class="main_cat" name="payment_type[]" type="checkbox" value="BW" <?php echo $bw_check;?>>
                                              <label class="category-label" for="pay_BW"> Bank Wire</label>
                                        </div>
                                        <div class="checkbox checkbox-success col-md-3" style="margin-top: 10px;">
                                              <input id="pay_PP" class="main_cat" name="payment_type[]" type="checkbox" value="PP" <?php echo $pp_check;?>>
                                              <label class="category-label" for="pay_PP"> Paypal</label>
                                        </div>
                                    </div>
              						<div class="clearfix"></div>
                                    <div class="col-md-12">
                                     <label class="form-label">Categories</label>
                                     <p style="background:#2196f31f; padding:10px;">Add your inventory to the categories below. <label class="form-label">Attention!</label>  Accuracy is publicly rated by directory users. 
                                     <a data-toggle="modal" data-target="#videoModal" style="cursor:pointer; display:none">
                                         <span class="pull-right" style="font-size:30px; margin-top:-10px;">
                                            <i class="fa fa-play-circle-o" aria-hidden="true"></i>
                                         </span>
									 </a>
                                     </p>
                                     </div>
                                     <div class="clearfix"></div>
                                     <?php
                                     	$catsql = 'select * from categories where status = 0 order by ordno';
										$catfet=$prop->getAll_Disp($catsql);
										$catIDs = explode('|',$curr_val['catID']);
										$amount = explode('|',$curr_val['amount']);
										$medicalGrade = explode('|',$curr_val['medicalGrade']);
										for($i=0; $i<count($catfet); $i++)
					                    {
									 ?>
                                     <div class="col-md-3 cat-box" id="cat-box-<?php echo $catfet[$i]['id'];?>">
                                     	<div class="checkbox checkbox-success main_cate_checkbox" id="cate_masks_checkbox">
                                          <input id="cate_<?php echo $catfet[$i]['id'];?>" class="main_cat" name="categories[]" type="checkbox" value="<?php echo $catfet[$i]['id'];?>" <?php if (in_array($catfet[$i]['id'], $catIDs)){echo 'checked';} ?>>
                                          <label class="category-label" for="cate_<?php echo $catfet[$i]['id'];?>"> <?php echo $catfet[$i]['name'];?></label>
                                        </div>
                                        <p>
                                        	<div class="form-group" style="min-height: 125px;">
                                         	<?php
											$options = $catfet[$i]['options'];
											$tot_options = explode('|',$options);
											$amt = '';
											foreach($tot_options as $opt)
											{
												$amt = $catfet[$i]['id']."~".$opt;
											?>
                                            
                                            <div class="radio radio-success" style="margin-left:15px;">
                                            	<input id="opt-<?php echo $amt;?>" name="option-<?php echo $catfet[$i]['id'];?>" type="radio" value="<?php echo $amt;?>" data-id="amount_<?php echo $catfet[$i]['id'];?>" class="amt_option" <?php if (in_array($amt, $amount)){echo 'checked';}?> <?php if (!in_array($catfet[$i]['id'], $catIDs)){echo 'disabled';} ?>  >
                                           		<label class="category-label" for="opt-<?php echo $amt;?>">
                                                	<b> <?php echo $opt ;?></b>
                                                </label>
                                        	</div>
                                            
                                            <?php
                                            }	
											?>
                                            <!--<div class="help-block with-errors"></div>  -->
                                            </div>
                                            <input type="hidden" name="amount[]" id="amount_<?php echo $catfet[$i]['id'];?>" <?php if (in_array($catfet[$i]['id'], $catIDs)){?>value="<?php echo $amt;?>"<?php } ?> >
                                          </p>
                                        <div class="form-group bottom_checkbox1">
                                            <div class="checkbox checkbox-success" id="medical_grade_checkbox">
                                              <input id="medical_<?php echo $catfet[$i]['id'];?>" class="main_cat" name="medical_grade[]" type="checkbox" <?php if (in_array($catfet[$i]['id']."-1", $medicalGrade)){echo 'checked';} ?> <?php if (!in_array($catfet[$i]['id'], $catIDs)){ echo 'disabled';} ?> value="<?php if (in_array($catfet[$i]['id']."-1", $medicalGrade)){echo $catfet[$i]['id']."-1";}else{echo $catfet[$i]['id']."-0";}?>" onClick="medical_grade_fun(<?php echo $catfet[$i]['id'];?>,this)">
                                              <label class="category-label" for="medical_<?php echo $catfet[$i]['id'];?>">
                                                <span style="font-size:12px; font-weight:300;">Medical Grade with certificate</span>
                                              </label>
                                            </div>
                                            <div class="help-block with-errors" style="height:auto; font-size:12px; margin-left:25px; color:red"></div>  
                                        </div>
                                        <div class="form-group bottom_checkbox">
                                            <div class="checkbox checkbox-success" id="cate_masks_checkbox">
                                              <input id="ship_<?php echo $catfet[$i]['id'];?>" class="main_cat" name="checkbox_masks" type="checkbox" value="ship_<?php echo $catfet[$i]['id'];?>" data-error="Confirm Requirment" <?php if (in_array($catfet[$i]['id'], $catIDs)){echo 'checked';}else{ echo 'disabled';} ?> >
                                              <label class="category-label" for="ship_<?php echo $catfet[$i]['id'];?>">
                                                <span style="font-size:12px; font-weight:300;">Ready for immediate shipment</span>
                                              </label>
                                            </div>
                                            <div class="help-block with-errors" style="height:auto; font-size:12px; margin-left:25px; color:red"></div>  
                                        </div>
                                     </div>
                                     <?php
                                     	}
									 ?>
                                    <div class="clearfix"></div>
                                    <div class="form-group col-md-12" >
                                    <div class="pull-right">
                                        <button type="submit" name="add" class="btn btn-success btn-cons"><i class="icon-ok"></i> <?php if(isset($inventryID)){echo 'Update';}else{echo 'Add';}?> Inventory</button>
                                      </div>
                                    </div>
                                    <div class="clearfix"></div>
                                  </form>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.container-fluid -->
            <?php include "footer.php" ?>
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- Video Popup -->
    <div id="videoModal" class="modal fade" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title" id="myModalLabel">Category Insuctions</h4> 
                </div>
                <div class="modal-body">
                    <div class="Iframe_container">
                      <iframe class="responsive-iframe" src="https://www.youtube.com/embed/BI8HD5TbsKI"></iframe>
                    </div>
				</div>
			</div>
        </div>
    </div>
    <!-- /Video Popup -->        
    <!-- jQuery -->
    <script src="plugins/bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bootstrap/dist/js/tether.min.js"></script>
    <script src="bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="plugins/bower_components/bootstrap-extension/js/bootstrap-extension.min.js"></script>
    <!-- Menu Plugin JavaScript -->
    <script src="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js"></script>
    <!--slimscroll JavaScript -->
    <script src="js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="js/waves.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="js/custom.min.js"></script>
	  <script src="js/validator.js"></script>
    <!-- Sweet-Alert  -->
    <script src="plugins/bower_components/sweetalert/sweetalert.min.js"></script>
    <script src="plugins/bower_components/sweetalert/jquery.sweet-alert.custom.js"></script>
	<script src="plugins/bower_components/custom-select/custom-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-select/bootstrap-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.js" type="text/javascript"></script>
    <script type="text/javascript" src="plugins/bower_components/multiselect/js/jquery.multi-select.js"></script>
	<script>
	// For select 2
        $(".select2").select2();
		$("#cName").select2();
    </script>
    
    <!--Style Switcher -->
    <script src="plugins/bower_components/styleswitcher/jQuery.style.switcher.js"></script>
    <!-- data table -->
    <script src="plugins/bower_components/datatables/jquery.dataTables.min.js"></script>
    <script>
	function medical_grade_fun(catId,that)
	{
		if ($(that).is(':checked'))
		{
			$(that).val(catId+'-1');
		}
	}
    $(document).ready(function() {
	$('.main_cat').click(function(){
		var id = $(this).val();
		checkboxID = '#ship_'+id;
		if ($(this).is(':checked'))
		{
			$(checkboxID).attr("required", true);
			$('input[name="option-'+id+'"]').attr("required", true);
			
			$('#cat-box-'+ id + ' .amt_option').attr('disabled', false);
			$(checkboxID).attr("disabled", false);
			$('#medical_'+ id).attr('disabled', false);
		}
		else
		{
			$(checkboxID).attr("required", false);
			$(checkboxID).attr("disabled", true);
			$('#medical_'+ id).attr('disabled', true);
			$('#medical_'+ id).prop('checked', false);
			$('input[name="option-'+id+'"]').attr("required", false);
			$('#cat-box-'+ id + ' .amt_option').prop('checked', false);
			$('#cat-box-'+ id + ' .amt_option').attr('disabled', true);
			$(checkboxID).prop('checked', false);
			$('#cat-box-'+ id + ' #amount_'+ id).val('');
			
		}
	})
	$('.amt_option').click(function(){
		var optionID = $(this).attr('data-id');
		if ($(this).is(':checked'))
		$('#'+optionID).val(this.value);
		else
		$('#'+optionID).val('');
	})
	
        <?php 
			if($_COOKIE['err'] !='')
			{
				echo 'swal("'.$_COOKIE['status'].'", "'.$_COOKIE['title'].'", "'.$_COOKIE['err'].'");';
				?>
				setTimeout(function() {
					$(".confirm").trigger('click');
				}, 3000);
			   <?php
				setcookie('status', $_COOKIE['status'], time()-100);
				setcookie('title', $_COOKIE['title'], time()-100);
				setcookie('err', $_COOKIE['err'], time()-100);
			}
		?>
	});
	
	
    </script>
    
</body>

</html>