<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
require_once('vendor/autoload.php');
$API_KEY = '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';
$FROM_EMAIL = 'support@siseusa.org';
if($_SESSION['U']['user_type'] != 1){
	header('location:dashboard.php');
	exit;
}


?><!DOCTYPE html>

<html lang="en">

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16"  href="img/logo-sise.jpg">
    <title><?php if(isset($_REQUEST['id'])){echo 'Edit';}else{echo 'Add';}?> Company</title>
    <!-- Bootstrap Core CSS -->
    <link href="bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="plugins/bower_components/bootstrap-extension/css/bootstrap-extension.css" rel="stylesheet">
    <!--alerts CSS -->
    <link href="plugins/bower_components/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
    <!-- Menu CSS -->
    <link href="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.css" rel="stylesheet">
    <!-- Animation CSS -->
    <link href="css/animate.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/custom-style.css" rel="stylesheet">
    <!-- data table css -->
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
	<link href="plugins/bower_components/custom-select/custom-select.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/bootstrap-select/bootstrap-select.min.css" rel="stylesheet" />
    <link href="plugins/bower_components/multiselect/css/multi-select.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" type="text/css" />
    <!-- data table css ends-->
    <!-- color CSS you can use different color css from css/colors folder -->
    <!-- We have chosen the skin-blue (blue.css) for this starter
          page. However, you can choose any other skin from folder css / colors .
-->
   <link href="css/colors/default-dark.css" id="theme" rel="stylesheet">
    <!--<link href="css/colors/blue.css" id="theme" rel="stylesheet">-->
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
<style>
#accordion .card{margin-bottom:10px;}
#accordion .card .card-link{font-weight: 700;color:#55616c !important}
.email_alert{max-width:150px;margin-top:5px;padding: 5px 12px; height:34px;}
</style>
<?php include 'inc/head_tag_script.php';?>
</head>

<body>
<?php include 'inc/after_the_opening_body_tag.php';?>
    <!-- Preloader -->
    <div class="preloader">
        <div class="cssload-speeding-wheel"></div>
    </div>
    <div id="wrapper">
        <!-- include header -->
        <?php include 'header.php';?>
        <!-- header ends-->
        <!-- Left navbar-header -->
        <?php include 'left-sidebar.php';?>
        <!-- Left navbar-header end -->
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row bg-title">
                    <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12">
                        <h4 class="page-title">List of Users</h4> </div>
                    <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12">
                        <ol class="breadcrumb">
                            <li><a href="dashboard.php">Dashboard</a></li>
                            <li class="active">List of Users</li>
                        </ol>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
				
                <div class="row">
                 <div class="col-md-12">
                        <div class="white-box">     
							<h3 class="box-title">List of Users</h3>
                            <div class="table-responsive dash-table">
                                <table id="myTable" class="table table-striped table-bordered">
                                    <thead>
                                        <tr>
                                            <th>Full Name</th>
                                            <th>Email</th>
                                            <th>Phone</th>
                                            <th>State</th>
                                            <th>Categories</th>
                                            <th>Message</th>
                                         </tr>
                                    </thead>
                                    <tbody>
									<?php
										$where = ' ';
										$catsql = "SELECT  * from enquiry WHERE status = 0 order by `id` DESC";
										
										$catfet=$prop->getAll_Disp($catsql);
										for($i=0; $i<count($catfet); $i++)
					                    {
									?>
                                        <tr>
                                            <td><?php echo $catfet[$i]['name'];?> </td>
                                            <td><?php echo $catfet[$i]['email'];?> </td>
                                            <td><?php echo $catfet[$i]['phone'];?> </td>
                                            <td><?php 
												$stateID = $catfet[$i]['state'];
												$stateName = $prop->getName('State','state_list','id = '.$stateID);
												echo $stateName;?> 
                                            </td>
                                            <td><?php 
												$categories = json_decode($catfet[$i]['category'],true);
												$j = 1;
												foreach($categories as $catID)
												{
													echo $j.":- ".$prop->getName('name','categories','id = '.$catID).", ";
													$j++;
												}
												?> 
                                            </td>
                                            <td><?php echo $catfet[$i]['message'];?> </td>
                                            
                                        </tr>
									<?php } ?>

                                    </tbody>
                                </table>
                            </div>
                            
                            </div>


                    </div>
                </div>

            </div>
            <!-- /.container-fluid -->
            <?php include "footer.php" ?>
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="plugins/bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bootstrap/dist/js/tether.min.js"></script>
    <script src="bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="plugins/bower_components/bootstrap-extension/js/bootstrap-extension.min.js"></script>
    <!-- Menu Plugin JavaScript -->
    <script src="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js"></script>
    <!--slimscroll JavaScript -->
    <script src="js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="js/waves.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="js/custom.min.js"></script>
	  <script src="js/validator.js"></script>
    <!-- Sweet-Alert  -->
    <script src="plugins/bower_components/sweetalert/sweetalert.min.js"></script>
    <script src="plugins/bower_components/sweetalert/jquery.sweet-alert.custom.js"></script>
	<script src="plugins/bower_components/custom-select/custom-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-select/bootstrap-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.js" type="text/javascript"></script>
    <script type="text/javascript" src="plugins/bower_components/multiselect/js/jquery.multi-select.js"></script>
	<script>
	// For select 2
        $(".select2").select2();
		$("#cName").select2();
    </script>
    
    <!--Style Switcher -->
    <script src="plugins/bower_components/styleswitcher/jQuery.style.switcher.js"></script>
    <!-- data table -->
    <script src="plugins/bower_components/datatables/jquery.dataTables.min.js"></script>
    <script>

    $(document).ready(function() {
        $('#myTable').DataTable();
		<?php 
			if($_COOKIE['err'] !='')
			{
				echo 'swal("'.$_COOKIE['status'].'", "'.$_COOKIE['title'].'", "'.$_COOKIE['err'].'");';
				?>
				setTimeout(function() {
					$(".confirm").trigger('click');
				}, 3000);
			   <?php
				setcookie('status', $_COOKIE['status'], time()-100);
				setcookie('title', $_COOKIE['title'], time()-100);
				setcookie('err', $_COOKIE['err'], time()-100);
			}
		?>
	});
	
	
    </script>
    <script>
	$(document).on('click', '.depart-status', function() {
			var element = $(this);
			var id = element.attr("data-id");
			var status = element.attr("data-status");
			var ms = (status==0?'Publish':'Unpublish');
			swal({
				title: ms,
				text: "Are you sure?",
				type: "warning",
				showCancelButton: true,
				confirmButtonColor: "#DD6B55",
				confirmButtonText: "Yes, "+ms+" it!",
				cancelButtonText: "Cancel",
				closeOnConfirm: false,
				closeOnCancel: false
			}, function(isConfirm){
				if (isConfirm) {
					$.ajax({
						type: "POST",
						url: "ajax-status.php",
						cache:false,
						data: 'id='+id+'&status='+status+'&meth=company-status',
						dataType:'json',
						success: function(response)
						{
							swal(response.status, response.msg,response.err);
							setTimeout(function() {
								$(".confirm").trigger('click');
							}, 3000);
							if(response.result){
								location.reload();
							}
						}
					});
				}
				else
				{
					swal("Cancelled", "", "error");
					setTimeout(function() {
								$(".confirm").trigger('click');
							}, 3000);
				}
			});
		});
		
		$(document).on('click', '.deleteone', function() {
			var element = $(this);
			var id = element.attr("id");
			var status = 2;
			var ms = 'DELETE';
			swal({
				title: ms,
				text: "Are you sure?",
				type: "warning",
				showCancelButton: true,
				confirmButtonColor: "#DD6B55",
				confirmButtonText: "Yes, Delete it!",
				cancelButtonText: "Cancel",
				closeOnConfirm: false,
				closeOnCancel: false
			}, function(isConfirm){
				if (isConfirm) {
					$.ajax({
						type: "POST",
						url: "ajax-status.php",
						cache:false,
						data: 'id='+id+'&status='+status+'&meth=company-delete',
						dataType:'json',
						success: function(response)
						{
							swal(response.status, response.msg,response.err);
							setTimeout(function() {
								$(".confirm").trigger('click');
							}, 3000);
							if(response.result){
								location.reload();
							}
						}
					});
				}
				else
				{
					swal("Cancelled", "", "error");
					setTimeout(function() {
						$(".confirm").trigger('click');
					}, 3000);
				}
			});
		});
	 	
	</script>
</body>

</html>