<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
require_once('vendor/autoload.php');
require_once('inc/smsFunction.php');

$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
if($_SESSION['U']['user_type'] != 1){
	header('location:dashboard.php');
	exit;
}
if(isset($_POST['submit_settings'])) {
    
    $cCode = $_POST['cCode'];
    $smsBody = $_POST['smsBody'];
    
	$SmsDetails= json_encode(array("cCcode"=>$cCode,"smsBody"=>$smsBody));
    
    $curr_val = $prop->get('*','admin_setting', array('option_name'=>'sms_details'));
    if(!empty($curr_val)) {
        $smsDataSave  = $prop->update('admin_setting', array('option_value'=>$SmsDetails), array("option_name" =>'sms_details'));
    } else {
        
        $input  = array(
				'option_name'	=>'sms_details',
				'option_value'	=>$SmsDetails
			);  
        $smsDataSave = $prop->addID('admin_setting', $input);
    }
    if($smsDataSave)
        $msg_data =  "Settings Updated Successfully";
	else
		$msg_data =  "Settings Updated Faild";
		
}

$curr_val = $prop->get('*',USERS, array('id'=>$_SESSION['U']['id'],'status'=>0));


$SmsData = $prop->get('*','admin_setting', array('option_name'=>'sms_details'));
$StData = array();
if(!empty($SmsData)) {
    $StData = json_decode($SmsData['option_value'],true);
}

if(isset($_POST['send_sms'])) {

	$Ccode = $_POST['c_code'];
	$phoneNo = $_POST['mobile'];
	$token = array(
		'CATEGORY_NAME'  => 'TEST CAT',
		'REPLY_COUNT' => 'TEST COUNT 0'
	);
	$pattern = '[%s]';
	foreach($token as $key=>$val){
		$varMap[sprintf($pattern,$key)] = $val;
	}
	
	if($StData['smsBody'] != '')
	$smsbody = strtr($StData['smsBody'],$varMap);
	else
	$smsbody = "Update: Your request for: [Category Name] has [Reply Count] of replies";
	
	$sid = sendSms($phoneNo, $smsbody, $Ccode);
	if($sid != '')
	$message = 'Sms send successfully';
	else
	$message = 'Sms sending faild';
}

	
	
?>
<!DOCTYPE html>

<html lang="en">

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16"  href="img/logo-sise.jpg">
    <title>Buyer Requests</title>
    <!-- Bootstrap Core CSS -->
    <link href="bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="plugins/bower_components/bootstrap-extension/css/bootstrap-extension.css" rel="stylesheet">
    <!--alerts CSS -->
    <link href="plugins/bower_components/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
    <!-- Menu CSS -->
    <link href="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.css" rel="stylesheet">
    <!-- Animation CSS -->
    <link href="css/animate.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/custom-style.css" rel="stylesheet">
    <!-- data table css -->
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
	<link href="plugins/bower_components/custom-select/custom-select.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/bootstrap-select/bootstrap-select.min.css" rel="stylesheet" />
    <!--<link href="plugins/bower_components/multiselect/css/multi-select.css" rel="stylesheet" type="text/css" />-->
    <link href="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" type="text/css" />
    <!-- data table css ends-->
    <!-- color CSS you can use different color css from css/colors folder -->
    <!-- We have chosen the skin-blue (blue.css) for this starter
          page. However, you can choose any other skin from folder css / colors .
-->
   <link href="css/colors/default-dark.css" id="theme" rel="stylesheet">
    <!--<link href="css/colors/blue.css" id="theme" rel="stylesheet">-->
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->

<style>
#accordion .card{margin-bottom:10px;}
#accordion .card .card-link{font-weight: 700;color:#55616c !important}
.email_alert{max-width:150px;margin-top:5px;padding: 5px 12px; height:34px;}


.multiselect-container.dropdown-menu .checkbox input[type=checkbox]{opacity:1}
.multiselect.dropdown-toggle.btn.btn-default{background: none;box-shadow: none;width: 100%;height: 35px !important;font-weight: 300;}
.multiselect-native-select .btn-group,.open > .dropdown-menu{width:100%}
.dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus{background-color: transparent;
    color: #333;}
input.form-control.multiselect-search{max-width:80%;}
.multiselect-filter .input-group-btn{margin-right: 10px;}	
.multiselect-clear-filter{box-shadow: none;}

.footer{left:0px !important}
.main_cate_checkbox {margin-top: 0px !important;
    background: #f1f1f1;
    padding: 10px 25px;}
.bottom_checkbox	{
	margin-top: 0px !important;
	margin-bottom: 0px !important;
    background: #f9f9f9;
    padding: 10px 10px;
	height:90px;
}
.bottom_checkbox1	{
	margin-top: 0px !important;
	margin-bottom: 2px !important;
    background: #f9f9f9;
    padding: 10px 10px;
}
.cat-box{border:1px solid #f1f1f1; margin-bottom:20px !important; padding:0px; height:auto;margin-top:2px}
.cat-box p,.cat-box .upload-btn-wrapper{padding:0px 10px;}
.main_cate_checkbox {margin-top: 0px !important;
    background: #f1f1f1;
    padding: 10px 25px;}
.bottom_checkbox	{
	margin-top: 0px !important;
	margin-bottom: 0px !important;
    background: #f9f9f9;
    padding: 10px 10px;
	height:90px;
}
.bottom_checkbox1	{
	margin-top: 0px !important;
	margin-bottom: 2px !important;
    background: #f9f9f9;
    padding: 10px 10px;
}
.cat-box{border:1px solid #f1f1f1; margin-bottom:20px !important; padding:0px; height:auto;margin-top:2px}
.cat-box p,.cat-box .upload-btn-wrapper{padding:0px 10px;}
@media (min-width: 768px){
.cat-box{max-width: 23.50% !important; margin:7.5px;}
.help-block.with-errors{height:1px;}
.modal-dialog{ max-width: 750px;}
}
</style>
<style>
#myUL {
  list-style-type: none;
}

#myUL {
  margin: 0;
  padding: 0;
}

#myUL .caret {
display:block;
  cursor: pointer;
  -webkit-user-select: none; /* Safari 3.1+ */
  -moz-user-select: none; /* Firefox 2+ */
  -ms-user-select: none; /* IE 10+ */
  user-select: none;
}

#myUL .caret::before {
  content: "\25B6";
  color: black;
  display: inline-block;
  margin-right: 6px;
}

#myUL .caret-down::before {
  -ms-transform: rotate(90deg); /* IE 9 */
  -webkit-transform: rotate(90deg); /* Safari */'
  transform: rotate(90deg);  
}

.nested {
  display: none;
}

.active {
  display: block;
}
.nav{display:block;}
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: #ffffff;
    background-color: #0e5589;
    border-color: #0e5589 #0e5589 #0e5589;
}
.nav-tabs {
    border: 1px solid #ecf0f4;
}
ol.auto-checkboxes.bonsai label {
    margin-left: 7px;
}
.nav-tabs>li>a {
    border-radius: 0;
    color: #2b2b2b;
    font-weight: 600;
}
.mybtnFont{font-size:13px !important; margin-bottom:5px;}

@media (min-width: 992px)
{
.col-md-2.twohalf{width:20%; max-width:20%; min-width:20%}

}
@media (max-width: 766px)
{
.nav{display: block;}
.nav-tabs > li{float:none;border-bottom: 1px solid #f1f1f1;}
.filter-row .col-md-3,.filter-row .col-md-2{margin-bottom:15px;}
}
</style>
<style>
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
.swal-wide {
    width:400px;
}
.dataTables_length{display:none}
.modeoption { display :inline; }
.modeparent label { width:30%; }
</style>
<link href="css/colors/gray.css" id="theme" rel="stylesheet">
<link href="css/style-owns.css" id="theme" rel="stylesheet">
<link href="plugins/bower_components/multiSelectCheckbox/bootstrap-multiselect.css" rel="stylesheet" type="text/css"/>
<script src="https://checkout.stripe.com/checkout.js"></script>
<?php include 'inc/head_tag_script.php';?>
</head>

<body>
<?php include 'inc/after_the_opening_body_tag.php';?>
    <!-- Preloader -->
    <div class="preloader">
        <div class="cssload-speeding-wheel"></div>
    </div>
    <div id="wrapper">
        <!-- include header -->
        <?php include 'header.php';?>
        <!-- header ends-->
        <!-- Left navbar-header -->
        <?php include 'left-sidebar.php';?>
        <!-- Left navbar-header end -->
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row bg-title">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <h4 class="page-title">Wallet Settings</h4>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>

                
				 <div class="row">
                	
                	<div class="col-md-12">
                        <div class="white-box">   
                            <h3 class="box-title">SMS Testing</h3>
                            <form id="settings-form" action="" method="POST">
                                <p style="font-size:18px; font-weight:bold"><?php if(isset($message)) echo $message;?></p>
                                <div class="form-group m-t-20 col-md-4">
                                    <div class="form-check">
                                      <select class="form-control" name="c_code" required>
                                      	<option value="">Select country code</option>
                                        <option value="91">+91 (India)</option>
                                        <option value="1">+1 (US)</option>
                                      </select>
                                    </div>
                                </div>
                                
                                <div class="form-group m-t-20 col-md-4">
                                    <input class="form-control" type="text" name="mobile" id="mobile" placeholder="Test mobile number" required>
                                </div>
                                <div class="form-group m-t-20 col-md-4">
                                    <input type="submit" value="Test SMS" name="send_sms"  class="btn btn-info" />
                                </div>
                            </form>    
                            <div class="clearfix"></div>
                        </div> 
                        <div class="white-box">   
                            <h3 class="box-title">SMS Setting</h3>
                            <form id="settings-form" action="" method="POST">
                            	<p style="font-size:18px; font-weight:bold"><?php if(isset($msg_data)) echo $msg_data;?></p>
                           		<div class="form-group col-md-4">
                                    <label>Select country code</label>
                                   
                                    <select class="form-control" name="cCode" required>
                                      	<option value="">Select country code</option>
                                        <option value="91" <?php if(!empty($StData) and $StData['cCcode'] == '91') echo 'selected'; ?> >+91 (India)</option>
                                        <option value="1"  <?php if(!empty($StData) and $StData['cCcode'] == '1') echo 'selected'; ?>>+1 (US)</option>
                                    </select>
                                </div>
                                <div class="clearfix"></div>
                                <div class="form-group col-md-12">
                                    <label>SMS Body</label>
                                    <textarea class="form-control" style="height:120px !important" id="smsBody" name="smsBody" required><?php if(!empty($StData)) echo $StData['smsBody']; ?></textarea>
                                </div>
                                <div class="clearfix"></div>
                                <div class="form-group m-t-20 col-md-12">
                                    <input type="submit" value="Update Setting" name="submit_settings"  class="btn btn-info" />
                                </div>
                            </form>    
                            <div class="clearfix"></div>
                        </div>
                	</div>
                </div>

            </div>
            <!-- /.container-fluid -->
            <?php include "footer.php" ?>
        </div>
        <!-- /#page-wrapper -->
    </div>
    
   

    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="plugins/bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bootstrap/dist/js/tether.min.js"></script>
    <script src="bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="plugins/bower_components/bootstrap-extension/js/bootstrap-extension.min.js"></script>
    <!-- Menu Plugin JavaScript -->
    <script src="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js"></script>
    <!--slimscroll JavaScript -->
    <script src="js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="js/waves.js"></script>
   
    <!-- Sweet-Alert  -->
    <script src="plugins/bower_components/sweetalert/sweetalert.min.js"></script>
    <script src="plugins/bower_components/sweetalert/jquery.sweet-alert.custom.js"></script>
	<script src="plugins/bower_components/custom-select/custom-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-select/bootstrap-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.js" type="text/javascript"></script>
    <!--<script type="text/javascript" src="plugins/bower_components/multiselect/js/jquery.multi-select.js"></script>-->

    <!--Style Switcher -->
    <script src="plugins/bower_components/styleswitcher/jQuery.style.switcher.js"></script>
    <!-- data table -->
    <script src="plugins/bower_components/datatables/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/plug-ins/1.10.21/sorting/date-uk.js"></script>
    <!--multiselect Dropdown-->
     <!-- Custom Theme JavaScript -->
    <script src="js/custom.min.js"></script>
	<script src="js/validator.js"></script>
    <!-- TinyMCE editor-->
    <script src="plugins/bower_components/tinymce/tinymce.min.js"></script>
    <script>
	$(document).ready(function() {
    	/*TinyMCE editor*/
		tinymce.init({
			selector: "textarea.mymce",
			theme: "modern",
			height: 300,
			plugins: ["advlist autolink link image lists charmap print preview hr anchor pagebreak spellchecker", "searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking", "save table contextmenu directionality emoticons template paste textcolor" ],
			toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | l      ink image | print preview media fullpage | forecolor backcolor emoticons",
			toolbar2: "print preview media | forecolor backcolor emoticons",
			image_advtab: true,
			file_picker_callback: function(callback, value, meta) {
			  if (meta.filetype == 'image') {
				$('#upload').trigger('click');
				$('#upload').on('change', function() {
				  var file = this.files[0];
				  var reader = new FileReader();
				  reader.onload = function(e) {
					callback(e.target.result, {
					  alt: ''
					});
				  };
				  reader.readAsDataURL(file);
				});
			  }
			},

		});
		/*TinyMCE editor END*/
	});	
    </script>
</body>
</html>