<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
require_once('vendor/autoload.php');
require_once('inc/PhpScripts.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
if(bckPermissionBuyer($_SESSION['U']['user_type'])){
	header('location:dashboard.php');
	exit;
}


$curr_val = $prop->get('*',USERS, array('id'=>$_SESSION['U']['id'],'status'=>0));

$walletamount = 0;
$walletdata = $prop->get('*','wallet_table', array('user_provider_id'=>$_SESSION['U']['id']));

if(!empty($walletdata))
    $walletamount = $walletdata['tot_request_token'];
	
$credit_wallet = $prop->getName('SUM(credit_token)','request_token_history', 'user_id ='. $_SESSION['U']['id']);
if($credit_wallet == '')
$credit_wallet = 0;

$debit_wallet = $prop->getName('SUM(debit_token)','request_token_history', 'user_id ='. $_SESSION['U']['id']);
if($debit_wallet == '')
$debit_wallet = 0;

$StripeData = $prop->get('*','admin_setting', array('option_name'=>'stripe_details'));
$StData = array();
$stripeapi = "";
if(!empty($StripeData)) {
    $StData = json_decode($StripeData['option_value'],true);
    
    $stripeapi = $StData['api'];
	$stripeMode = $StData['mode'];
}
?>
<!DOCTYPE html>

<html lang="en">

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16"  href="img/logo-sise.jpg">
    <title>Buyer Wallet</title>
    <!-- Bootstrap Core CSS -->
    <link href="bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="plugins/bower_components/bootstrap-extension/css/bootstrap-extension.css" rel="stylesheet">
    <!--alerts CSS -->
    <link href="plugins/bower_components/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
    <!-- Menu CSS -->
    <link href="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.css" rel="stylesheet">
    <!-- Animation CSS -->
    <link href="css/animate.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/custom-style.css" rel="stylesheet">
    <!-- data table css -->
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
	<link href="plugins/bower_components/custom-select/custom-select.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/bootstrap-select/bootstrap-select.min.css" rel="stylesheet" />
    <!--<link href="plugins/bower_components/multiselect/css/multi-select.css" rel="stylesheet" type="text/css" />-->
    <link href="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" type="text/css" />
    <!-- data table css ends-->
    <!-- color CSS you can use different color css from css/colors folder -->
    <!-- We have chosen the skin-blue (blue.css) for this starter
          page. However, you can choose any other skin from folder css / colors .
-->
   <link href="css/colors/default-dark.css" id="theme" rel="stylesheet">
    <!--<link href="css/colors/blue.css" id="theme" rel="stylesheet">-->
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->

<style>
#accordion .card{margin-bottom:10px;}
#accordion .card .card-link{font-weight: 700;color:#55616c !important}
.email_alert{max-width:150px;margin-top:5px;padding: 5px 12px; height:34px;}


.multiselect-container.dropdown-menu .checkbox input[type=checkbox]{opacity:1}
.multiselect.dropdown-toggle.btn.btn-default{background: none;box-shadow: none;width: 100%;height: 35px !important;font-weight: 300;}
.multiselect-native-select .btn-group,.open > .dropdown-menu{width:100%}
.dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus{background-color: transparent;
    color: #333;}
input.form-control.multiselect-search{max-width:80%;}
.multiselect-filter .input-group-btn{margin-right: 10px;}	
.multiselect-clear-filter{box-shadow: none;}

.footer{left:0px !important}
.main_cate_checkbox {margin-top: 0px !important;
    background: #f1f1f1;
    padding: 10px 25px;}
.bottom_checkbox	{
	margin-top: 0px !important;
	margin-bottom: 0px !important;
    background: #f9f9f9;
    padding: 10px 10px;
	height:90px;
}
.bottom_checkbox1	{
	margin-top: 0px !important;
	margin-bottom: 2px !important;
    background: #f9f9f9;
    padding: 10px 10px;
}
.cat-box{border:1px solid #f1f1f1; margin-bottom:20px !important; padding:0px; height:auto;margin-top:2px}
.cat-box p,.cat-box .upload-btn-wrapper{padding:0px 10px;}
.main_cate_checkbox {margin-top: 0px !important;
    background: #f1f1f1;
    padding: 10px 25px;}
.bottom_checkbox	{
	margin-top: 0px !important;
	margin-bottom: 0px !important;
    background: #f9f9f9;
    padding: 10px 10px;
	height:90px;
}
.bottom_checkbox1	{
	margin-top: 0px !important;
	margin-bottom: 2px !important;
    background: #f9f9f9;
    padding: 10px 10px;
}
.cat-box{border:1px solid #f1f1f1; margin-bottom:20px !important; padding:0px; height:auto;margin-top:2px}
.cat-box p,.cat-box .upload-btn-wrapper{padding:0px 10px;}
@media (min-width: 768px){
.cat-box{max-width: 23.50% !important; margin:7.5px;}
.help-block.with-errors{height:1px;}
.modal-dialog{ max-width: 750px;}
}
.btn-token{height:auto !important;border-radius: 5px;padding: 15px;}
.btn-token .btnAmt{font-size:32px; display:block;}
</style>
<style>
#myUL {
  list-style-type: none;
}

#myUL {
  margin: 0;
  padding: 0;
}

#myUL .caret {
display:block;
  cursor: pointer;
  -webkit-user-select: none; /* Safari 3.1+ */
  -moz-user-select: none; /* Firefox 2+ */
  -ms-user-select: none; /* IE 10+ */
  user-select: none;
}

#myUL .caret::before {
  content: "\25B6";
  color: black;
  display: inline-block;
  margin-right: 6px;
}

#myUL .caret-down::before {
  -ms-transform: rotate(90deg); /* IE 9 */
  -webkit-transform: rotate(90deg); /* Safari */'
  transform: rotate(90deg);  
}

.nested {
  display: none;
}

.active {
  display: block;
}
.nav{display:block;}
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: #ffffff;
    background-color: #0e5589;
    border-color: #0e5589 #0e5589 #0e5589;
}
.nav-tabs {
    border: 1px solid #ecf0f4;
}
ol.auto-checkboxes.bonsai label {
    margin-left: 7px;
}
.nav-tabs>li>a {
    border-radius: 0;
    color: #2b2b2b;
    font-weight: 600;
}
.mybtnFont{font-size:13px !important; margin-bottom:5px;}

@media (min-width: 992px)
{
.col-md-2.twohalf{width:20%; max-width:20%; min-width:20%}

}
@media (max-width: 766px)
{
.nav{display: block;}
.nav-tabs > li{float:none;border-bottom: 1px solid #f1f1f1;}
.filter-row .col-md-3,.filter-row .col-md-2{margin-bottom:15px;}
}
</style>
<style>
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
.swal-wide {
    width:400px;
}
.dataTables_length{display:none}
</style>
<link href="css/colors/gray.css" id="theme" rel="stylesheet">
<link href="css/style-owns.css" id="theme" rel="stylesheet">
<link href="plugins/bower_components/multiSelectCheckbox/bootstrap-multiselect.css" rel="stylesheet" type="text/css"/>
<script src="https://checkout.stripe.com/checkout.js"></script>
<?php include 'inc/head_tag_script.php';?>
</head>

<body>
<?php include 'inc/after_the_opening_body_tag.php';?>
    <!-- Preloader -->
    <div class="preloader">
        <div class="cssload-speeding-wheel"></div>
    </div>
    <div id="wrapper">
        <!-- include header -->
        <?php include 'header.php';?>
        <!-- header ends-->
        <!-- Left navbar-header -->
        <?php include 'left-sidebar.php';?>
        <!-- Left navbar-header end -->
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row bg-title">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <h4 class="page-title">Wallet</h4>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>

                
				 <div class="row">
                     <div class="col-md-6">
                     	<div class="white-box" style="min-height: 383px;">   
                           	<h3 class="box-title">Wallet</h3>
                            <div class="col-md-12 m-b-30 text-center p-5"> 
                            	<h2 style="font-size:72px; margin-top:50px; margin-bottom:20px;"><?php echo $walletamount; ?> </h2>
                                <label style="font-size:35px;">RFQ Credit balance remain</label>
                                
                            </div>
                            <div class="clearfix"></div>
                            <?php /*?><div class="col-md-6 m-b-30">                            	
                            	<label>Total Token Credit : </label>
                                <h2><?php echo $credit_wallet; ?> </h2>
                            </div>
                            <div class="col-md-6 m-b-30">
                            	<label>Total Token Debit : </label>
                            	<h2><?php echo $debit_wallet; ?> </h2>
                            </div>   
                            <div class="clearfix"></div> <?php */?>
                        </div>
                        <div class="clearfix"></div>
                	</div>                	
                	<div class="col-md-6">
                        <div class="white-box" style="min-height: 325px;">   
                            <h3 class="box-title">Add Wallet</h3>
                            <label>Amount ($)</label>
                            <form id="myForm" action="/stripe-pay.php" method="POST">
                              <input type="text" id="amountInDollars" class="form-control" value="0" readonly />
                              <input type="hidden" id="requestToken" name="requestToken" class="form-control" value="0" readonly />
                              <input type="hidden" id="stripeToken" name="stripeToken" />
                              <input type="hidden" id="stripeEmail" name="stripeEmail" />
                              <input type="hidden" id="amountInCents" name="amountInCents" />
                            </form>    
                            <div class="form-group text-center m-t-15">
                            	<button class="btn-primary btn-token" onClick="addWallet(120,1)"><span class="btnAmt">$120</span><span class="btnTkn">1 - RFQ</span></button> &nbsp;&nbsp;
                                 <button class="btn-token btn-primary" onClick="addWallet(500,5)"><span class="btnAmt">$500</span><span class="btnTkn">5 - RFQ</span></button> &nbsp;&nbsp;
                                 <button class="btn-token btn-primary" onClick="addWallet(1000,12)"><span class="btnAmt">$1000</span><span class="btnTkn">12 - RFQ</span></button>
                            </div>
                            <div class="form-group m-t-20">
                                <div class="col-xs-12 text-center">   
                                	<button id="customButton" class="add-mm-to-wallet btn btn-primary waves-effect" style="font-size: 24px;padding: 10px;height: 50px !important;width: 300px;">Add to Wallet</button> 
                                    <p class="m-t-10"><?php
                                    if($stripeMode == 'Test')
									echo "Test CC#: 4012888888881881";
									?></p>
                                </div>
                            </div>
                            <div class="clearfix"></div>
                        </div> 
                	</div>
                    <div class="clearfix"></div>
                    <div class="col-md-12">
                    	<div class="white-box" style="min-height: 325px;">  
                    		<h3 class="box-title">Wallet Transactions</h3>
                            <div class="table-responsive dash-table">
                                <table id="myTable" class="table table-striped table-bordered">
                                    <thead>
                                        <tr>
                                            <th>Date</th>
                                            <th>Credit RFQ</th>
                                            <th>Debit RFQ</th>
                                            <th>Reason</th>
                                        </tr>
                                    </thead>
                                    <tbody>
									<?php
										$where = ' ';
										$catsql = "SELECT  * from request_token_history WHERE user_id =". $_SESSION['U']['id']." order by `id` DESC";
										
										$catfet=$prop->getAll_Disp($catsql);
										for($i=0; $i<count($catfet); $i++)
					                    {
									?>
                                        <tr>
                                            <td><?php echo date('M d Y',strtotime( $catfet[$i]['created'] ));?> </td>
                                            <td><?php echo $catfet[$i]['credit_token']?> </td>
                                            <td><?php echo $catfet[$i]['debit_token']?> </td>
                                            <td><?php echo $catfet[$i]['where_from'];?> </td>
                                        </tr>
									<?php } ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>    
                </div>

            </div>
            <!-- /.container-fluid -->
            <?php include "footer.php" ?>
        </div>
        <!-- /#page-wrapper -->
    </div>
    
   

    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="plugins/bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bootstrap/dist/js/tether.min.js"></script>
    <script src="bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="plugins/bower_components/bootstrap-extension/js/bootstrap-extension.min.js"></script>
    <!-- Menu Plugin JavaScript -->
    <script src="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js"></script>
    <!--slimscroll JavaScript -->
    <script src="js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="js/waves.js"></script>
   
    <!-- Sweet-Alert  -->
    <script src="plugins/bower_components/sweetalert/sweetalert.min.js"></script>
    <script src="plugins/bower_components/sweetalert/jquery.sweet-alert.custom.js"></script>
	<script src="plugins/bower_components/custom-select/custom-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-select/bootstrap-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.js" type="text/javascript"></script>
    <!--<script type="text/javascript" src="plugins/bower_components/multiselect/js/jquery.multi-select.js"></script>-->

    <!--Style Switcher -->
    <script src="plugins/bower_components/styleswitcher/jQuery.style.switcher.js"></script>
    <!-- data table -->
    <script src="plugins/bower_components/datatables/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/plug-ins/1.10.21/sorting/date-uk.js"></script>
    <!--multiselect Dropdown-->
     <!-- Custom Theme JavaScript -->
    <script src="js/custom.min.js"></script>
	<script src="js/validator.js"></script>
	<script>
    $(document).ready(function() {
		/*Submit*/
		
		var handler = StripeCheckout.configure({
          key: '<?php echo $stripeapi ?>',
          image: 'https://stripe.com/img/documentation/checkout/marketplace.png',
          token: function(token) {
            $("#stripeToken").val(token.id);
            $("#stripeEmail").val(token.email);
            $("#amountInCents").val(Math.floor($("#amountInDollars").val() * 100));
            $("#myForm").submit();
          }
        });
		$('.add-mm-to-wallet').click(function() {
			if($("#amountInDollars").val()=="") {
			    swal({
                   title: 'Error',
                   text: "Amount Can not be empty",
                   html: true,
                   type: "error",
                   customClass: 'swal-wide',
               });
				return false;
			}
			var price = $("#amountInDollars").val();
			
			  var amountInCents = Math.floor($("#amountInDollars").val() * 100);
              var displayAmount = parseFloat(Math.floor($("#amountInDollars").val() * 100) / 100).toFixed(2);
              // Open Checkout with further options
              handler.open({
                name: 'Add Money to Wallet',
                description: 'amount ($' + displayAmount + ')',
                amount: amountInCents,
                email:'<?php echo $_SESSION['U']['email']; ?>'
              });
              e.preventDefault();
		});
		$('#myTable').DataTable({
				"order": [
                    [0, 'DESC']
                ]
		});
        // Close Checkout on page navigation
        $(window).on('popstate', function() {
          handler.close();
        });
		/*Submit END*/
	});
	function addWallet(amt,rt)
	{
		$('#amountInDollars').val(amt);
		$('#requestToken').val(rt);
	}
    </script>
</body>
</html>