<?php
require_once('inc/config.php');
require_once('inc/pdoconfig.php');
require_once('inc/pdoFunctions.php');
require_once('vendor/autoload.php');
require_once('inc/PhpScripts.php');
$cdb = new DB();
$db = $cdb->getDb();
$prop = new PDOFUNCTION($db);
if(bckPermissionVendor($_SESSION['U']['user_type'])){
	if(isset($_REQUEST['VS']))
	setcookie("VendorBackToUrl", $_REQUEST['VS'], time()+1000);
	header('location:index.php?vendor=1');
	exit;
}

if(isset($_POST['btnReply']))
{

	$VID 			= $_POST['VID'];
	$BID 			= $_POST['BID'];
	$message 		= $_POST['message'];
	$quantity 		= $_POST['quantity'];
	$costPerUnit 	= $_POST['costPerUnit'];
	$shippingOrigin = $_POST['shippingOrigin'];
	$shippingDate 	= $_POST['shippingDate'];
	$payMethod 		= implode(',', $_POST['payment_type']);
	$replyDate 		= date('Y-m-d h:i:s A');
	if(isset($_FILES['attachment']['name']) and $_FILES['attachment']['name'] != '')
	{
		$fileName=$_FILES["attachment"]["name"];
		$fileSize=$_FILES["attachment"]["size"]/1024;
		$fileType=$_FILES["attachment"]["type"];
		$fileTmpName=$_FILES["attachment"]["tmp_name"];
		$allowedExtensions = array('pdf', 'doc', 'docx');
		$extension = end(explode('.',strtolower($_FILES['attachment']['name'])));
		if(in_array($extension, $allowedExtensions)){
			if($fileSize<=200){				
			  $random=rand(1111,9999);
			  $newFileName=$random.$fileName;
			  $uploadPath="vendorAttachment/".$newFileName;
			  if(move_uploaded_file($fileTmpName,$uploadPath)){
				$msg = "Successful"; 
				$error = 0;
			  }
			}
			else{
			  $msg = "Maximum upload file size limit is 200 kb";
			  $error = 1;
			}
		}
		else{
			$msg =  "You can only upload a Doc and Pdf file.";
			$error = 1;
		}  
		if($error == 0)
		{
			$input  = array(
				'enquiryID'			=>$BID,
				'vendorID'			=>$VID,
				'message'			=>$message,
				'quantity'			=>$quantity,
				'costPerUnit'		=>$costPerUnit,
				'shippingOrigin'	=>$shippingOrigin,
				'shippingDate'		=>$shippingDate,
				'payMethod'			=>$payMethod,
				'replyDate'			=>$replyDate,
				'attachment'		=>$newFileName
			);

		}
		else
		{
			setcookie('setup_message', $message, time()+10);
			setcookie('status', 'Error', time()+10);
			setcookie('title', $msg, time()+10);
			setcookie('err', 'error', time()+10);
			header('Location: vendor-reply.php?id='.$_REQUEST['id']);
			exit;
		}
	}
	else
	{
		$input  = array(
			'enquiryID'			=>$BID,
			'vendorID'			=>$VID,
			'message'			=>$message,
			'quantity'			=>$quantity,
			'costPerUnit'		=>$costPerUnit,
			'shippingOrigin'	=>$shippingOrigin,
			'shippingDate'		=>$shippingDate,
			'payMethod'			=>$payMethod,
			'replyDate'			=>$replyDate
		);
	}
	$lastID = $prop->addID('venderReply', $input);
	if ($lastID != 0) {
		
		setcookie('status', 'Success', time()+10);
		setcookie('title', 'Replied Successfully', time()+10);
		setcookie('err', 'success', time()+10);
		afterVenderReplySendBuyerEmail($input,$prop,$lastID);
		
		header('Location: buyer-request-vendor.php');
		exit;
	}
			
}
?>
<!DOCTYPE html>

<html lang="en">

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16"  href="img/logo-sise.jpg">
    <title>Vender Reply</title>
    <!-- Bootstrap Core CSS -->
    <link href="bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="plugins/bower_components/bootstrap-extension/css/bootstrap-extension.css" rel="stylesheet">
    <!--alerts CSS -->
    <link href="plugins/bower_components/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
    <!-- Menu CSS -->
    <link href="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.css" rel="stylesheet">
    <!-- Animation CSS -->
    <link href="css/animate.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/custom-style.css" rel="stylesheet">
    <!-- data table css -->
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
	<link href="plugins/bower_components/custom-select/custom-select.css" rel="stylesheet" type="text/css" />
    <link href="plugins/bower_components/bootstrap-select/bootstrap-select.min.css" rel="stylesheet" />
    <link href="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" type="text/css" />
    <!-- data table css ends-->
    <!-- color CSS you can use different color css from css/colors folder -->
    <!-- We have chosen the skin-blue (blue.css) for this starter
          page. However, you can choose any other skin from folder css / colors .
-->
   <link href="css/colors/default-dark.css" id="theme" rel="stylesheet">
    <!--<link href="css/colors/blue.css" id="theme" rel="stylesheet">-->
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->

<style>
.require{color:#FF0000;}
#accordion .card{margin-bottom:10px;}
#accordion .card .card-link{font-weight: 700;color:#55616c !important}
.email_alert{max-width:150px;margin-top:5px;padding: 5px 12px; height:34px;}

.multiselect-container.dropdown-menu .checkbox input[type=checkbox]{opacity:1}
.multiselect.dropdown-toggle.btn.btn-default{background: none;box-shadow: none;width: 100%;height: 35px !important;font-weight: 300;}
.multiselect-native-select .btn-group,.open > .dropdown-menu{width:100%}
.dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus{background-color: transparent;
    color: #333;}
input.form-control.multiselect-search{max-width:80%;}
.multiselect-filter .input-group-btn{margin-right: 10px;}	
.multiselect-clear-filter{box-shadow: none;}

.footer{left:0px !important}
.main_cate_checkbox {margin-top: 0px !important;
    background: #f1f1f1;
    padding: 10px 25px;}
.bottom_checkbox	{
	margin-top: 0px !important;
	margin-bottom: 0px !important;
    background: #f9f9f9;
    padding: 10px 10px;
	height:90px;
}
.bottom_checkbox1	{
	margin-top: 0px !important;
	margin-bottom: 2px !important;
    background: #f9f9f9;
    padding: 10px 10px;
}
.cat-box{border:1px solid #f1f1f1; margin-bottom:20px !important; padding:0px; height:auto;margin-top:2px}
.cat-box p,.cat-box .upload-btn-wrapper{padding:0px 10px;}
.main_cate_checkbox {margin-top: 0px !important;
    background: #f1f1f1;
    padding: 10px 25px;}
.bottom_checkbox	{
	margin-top: 0px !important;
	margin-bottom: 0px !important;
    background: #f9f9f9;
    padding: 10px 10px;
	height:90px;
}
.bottom_checkbox1	{
	margin-top: 0px !important;
	margin-bottom: 2px !important;
    background: #f9f9f9;
    padding: 10px 10px;
}
.cat-box{border:1px solid #f1f1f1; margin-bottom:20px !important; padding:0px; height:auto;margin-top:2px}
.cat-box p,.cat-box .upload-btn-wrapper{padding:0px 10px;}
@media (min-width: 768px){
.cat-box{max-width: 23.50% !important; margin:7.5px;}
.help-block.with-errors{height:1px;}
.modal-dialog{ max-width: 750px;}
}
</style>
<style>
#myUL {
  list-style-type: none;
}

#myUL {
  margin: 0;
  padding: 0;
}

#myUL .caret {
display:block;
  cursor: pointer;
  -webkit-user-select: none; /* Safari 3.1+ */
  -moz-user-select: none; /* Firefox 2+ */
  -ms-user-select: none; /* IE 10+ */
  user-select: none;
}

#myUL .caret::before {
  content: "\25B6";
  color: black;
  display: inline-block;
  margin-right: 6px;
}

#myUL .caret-down::before {
  -ms-transform: rotate(90deg); /* IE 9 */
  -webkit-transform: rotate(90deg); /* Safari */'
  transform: rotate(90deg);  
}

.nested {
  display: none;
}

.active {
  display: block;
}
.nav{display:block;}
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: #ffffff;
    background-color: #0e5589;
    border-color: #0e5589 #0e5589 #0e5589;
}
.nav-tabs {
    border: 1px solid #ecf0f4;
}
ol.auto-checkboxes.bonsai label {
    margin-left: 7px;
}
.nav-tabs>li>a {
    border-radius: 0;
    color: #2b2b2b;
    font-weight: 600;
}
.mybtnFont{font-size:13px !important; margin-bottom:5px;}

@media (min-width: 992px)
{
.col-md-2.twohalf{width:20%; max-width:20%; min-width:20%}

}
@media (max-width: 766px)
{
.nav{display: block;}
.nav-tabs > li{float:none;border-bottom: 1px solid #f1f1f1;}
.filter-row .col-md-3,.filter-row .col-md-2{margin-bottom:15px;}
}
</style>
<style>
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
.dataTables_length{display:none}
.btnPopup{width: 200px;padding: 7px !important;}
.popup_model{margin-top:50px; padding:50px;width: 550px; margin: auto;}
</style>
<link href="css/colors/gray.css" id="theme" rel="stylesheet">
<link href="css/style-owns.css" id="theme" rel="stylesheet">
<link href="plugins/bower_components/multiSelectCheckbox/bootstrap-multiselect.css" rel="stylesheet" type="text/css"/>
<?php include 'inc/head_tag_script.php';?>
</head>

<body>
<?php include 'inc/after_the_opening_body_tag.php';?>
    <!-- Preloader -->
    <div class="preloader">
        <div class="cssload-speeding-wheel"></div>
    </div>
    <?php if(isset($_SESSION['U']['user_type']) and $_SESSION['U']['user_type'] == 2 ){
		$buyerReplyID = $_REQUEST['id'];
		$buyerRquestData = $prop->get('*','enquiry', array('status'=>0,'id'=>$buyerReplyID));
		$venderID 	  = $_SESSION['U']['id'];
		$venderData = $prop->get('*','appuser', array('status'=>0,'id'=>$venderID));
		
	?>
    <div id="wrapper">
   		<!-- include header -->
        <?php include 'header.php';?>
        <!-- header ends-->
        <!-- Left navbar-header -->
        <?php include 'left-sidebar.php';?>
        <!-- Left navbar-header end -->
        <!-- Page Content -->
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row bg-title" style="margin-bottom:5px;">
                    <div class="col-lg-12 col-sm-12 col-md-12 col-xs-12">
                        <h4 class="page-title">Reply to Buyer </h4>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <a style="margin-bottom:5px;display:block" href="buyer-request-vendor.php"><i class="fa fa-arrow-left" aria-hidden="true"></i> Back to buyer RFQ list</a>	 
				 <div class="row">
                     <div class="col-md-5">
                     	<div class="white-box">   
                            <h3 class="box-title"><i class="fa fa-user fa-2x" style="margin-right:10px"></i> Customer RFQ</h3> 
                            <div class="comapny-info">
                                <h4>
                                
                                <?php
                                    if($buyerRquestData['status'] == 0)
                                    {
                                        $icon = '<i class="fa fa-check-circle" aria-hidden="true "style="color:green"></i>';
                                        $opt = 'checked';
                                        $title = 'Active';
                                    }
                                    else
                                    {
                                        $icon = '<i class="fa fa-times-circle" aria-hidden="true" "style="color:red"></i>';
                                        $opt = '';
                                        $title = 'Close';
                                    }
                                ?>
                                <label class="form-label">
                                <span id="icon-data"><?php echo $icon;?></span> Status:
                                
                                <span class="info-icons" id="icon-title"><?php 
                                    echo $title;
                                ?></span></label></h4>
                                <p><label class="form-label"><i class="fa fa-user" aria-hidden="true"></i>
                                Category: <span class="info-icons"><?php 
								echo $prop->getName('name','categories','id = '.$buyerRquestData['category']);
								?></span></label></p>
                                <?php
                                if($buyerRquestData['medicalGrade'] != '')
								{?>
								<p><label class="form-label"><i class="fa fa-check" aria-hidden="true"></i>
                                <span class="info-icons">Medical Grade with certificate</span></label></p>
                                <p><label class="form-label"><i class="fa fa-check" aria-hidden="true"></i>
                                <span class="info-icons">Ready for immediate shipment</span></label></p>
								<?php }
								?>
                                
                                <p><label class="form-label"><i class="fa fa-globe" aria-hidden="true"></i>
                                Customer location: <span class="info-icons"><?php 
                                    echo $prop->getName('State','state_list','id = '.$buyerRquestData['state']);
                                ?></span></label></p>
                                <p><label class="form-label"><i class="fa fa-paper-plane" aria-hidden="true"></i>
                                Customer needs: <br><span class="info-icons" ><?php echo $buyerRquestData['message'];?></span></label></p>
                                <p><?php
                                if($buyerRquestData['attachment'] != ''){?>
									<img src="buyerThumbnail/<?php echo $buyerRquestData['attachment'];?>" height="125px;" />
								<?php }
                                ?></p>
                            </div>
                        </div>    
                     </div>
                     <div class="col-md-7">
                     <form method="post" enctype="multipart/form-data">
                        <div class="white-box">   
                            <h3 class="box-title"><i class="fa fa-reply-all fa-2x" style="margin-right:10px"></i> Respond</h3> 
                            <p><strong>Respond back to customer RFQ below</strong></p>
                            <input type="hidden" name="VID" id="VID" class="form-control" value="<?php echo $venderID; ?>" /> 
                            <input type="hidden" name="BID" id="BID" class="form-control" value="<?php echo $buyerReplyID; ?>" />   
                            <div class="clearfix"></div>
                            
                            <div class="col-md-12 form-group">
                                <label>Message to customer <span class="require">*</span></label>
                                <textarea class="form-control" style="height:120px !important" id="message" name="message" placeholder="We can supply you with...." required><?php if(isset($_COOKIE['setup_message'])){echo $_COOKIE['setup_message'];}?></textarea></div>
                            <div class="clearfix"></div>
                            <div class="col-md-6 form-group">
                                <label>Quantity Available <span class="require">*</span> </label>
                             	<input type="text" class="form-control" name="quantity" placeholder="(e.g; 100 units, 200 gallons," required>
                            </div>
                            <div class="col-md-6 form-group">
                                <label>Estimated Cost Per Unit <span class="require">*</span></label>
                             	<input type="text" class="form-control" name="costPerUnit" required>
                            </div>
                            <div class="clearfix"></div>
                            <div class="col-md-6 form-group">
                                <label>Location of Shipping Origin <span class="require">*</span></label>
                             	<select class="form-control" name="shippingOrigin" id="shippingOrigin" required>
                                    <option value=""></option>
                                    <?php
                                    $state_sql = 'select * from state_list order by id';
                                    $statefet=$prop->getAll_Disp($state_sql);
                                    
                                    for($c=0; $c<count($statefet); $c++)
                                    {?>
                                        <option value="<?php echo $statefet[$c]['State'];?>"><?php echo $statefet[$c]['State'];?></option>
                                    <?php
                                    }
                                    ?>
                                </select>
                            </div>                           
                            <div class="col-md-6 form-group">
                                <label>Next available shipping date <span class="require">*</span></label>
                             	<input type="text" class="form-control" name="shippingDate" id="ship_date" required>
                            </div>
                            <div class="clearfix"></div>
                            <div class="col-md-12 form-group">
                                <label>Payment methods <span class="require">*</span></label>
                                 <div class="clearfix"></div>
                             	<div class="checkbox checkbox-success col-md-6" style="margin-top: 10px;">
                                      <input id="pay_CC" class="main_cat" name="payment_type[]" type="checkbox" value="Credit Cards">
                                  <label class="category-label" for="pay_CC"> Credit Cards</label>
                                </div>
                                <div class="checkbox checkbox-success col-md-6" style="margin-top: 10px;">
                                      <input id="pay_PO" class="main_cat" name="payment_type[]" type="checkbox" value="Purchase Order">
                                      <label class="category-label" for="pay_PO"> Purchase Order</label>
                                </div>
                                <div class="checkbox checkbox-success col-md-6" style="margin-top: 10px;">
                                      <input id="pay_BW" class="main_cat" name="payment_type[]" type="checkbox" value="Bank Wire">
                                      <label class="category-label" for="pay_BW"> Bank Wire</label>
                                </div>
                                <div class="checkbox checkbox-success col-md-6" style="margin-top: 10px;">
                                      <input id="pay_PP" class="main_cat" name="payment_type[]" type="checkbox" value="Paypal">
                                      <label class="category-label" for="pay_PP"> Paypal</label>
                                </div>
                            </div>
                            <div class="clearfix"></div>
                            <div class="col-md-12 form-group">
                                <label>Attachment(Optional) </label>
                             	<input type="file" class="form-control" name="attachment">
                            </div>
                           <div class="clearfix"></div>
                           <div class="form-group text-center m-t-20">
                                <div class="col-xs-12">
                                  <button class="btn btn-info waves-effect pull-right" type="submit" name="btnReply">
                                  	Reply Now
                                  </button>
        						</div>
                            </div>
                           <div class="clearfix"></div>
                        </div>    
                     </form>   
                	</div>
                </div>

            </div>
            <!-- /.container-fluid -->
            <?php include "footer.php" ?>
        </div>
        <!-- /#page-wrapper -->
    </div>
    <?php 
	}
	else
	{?>
		<div id="myGetModal" class="modal fade popup_model" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <!--<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>-->
                        <h4 class="modal-title" id="myModalLabel">Must be a participating company to view</h4> 
                    </div>
                    <div class="modal-body">
                        <div class="text-center">
                            <a href="/" class="btn btn-info waves-effect btnPopup" target="_blank">Login</a>&nbsp;&nbsp;
                            <a href="/register.php" class="btn btn-info waves-effect btnPopup" target="_blank">Register</a><br /><br />
                            <label>Refresh after login or register</label>            
                        </div>
                    </div>        
                    <div class="modal-footer">                        
                    </div>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
	<?php }
	?>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="plugins/bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bootstrap/dist/js/tether.min.js"></script>
    <script src="bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="plugins/bower_components/bootstrap-extension/js/bootstrap-extension.min.js"></script>
    <!-- Menu Plugin JavaScript -->
    <script src="plugins/bower_components/sidebar-nav/dist/sidebar-nav.min.js"></script>
    <!--slimscroll JavaScript -->
    <script src="js/jquery.slimscroll.js"></script>
    <!--Wave Effects -->
    <script src="js/waves.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="js/custom.min.js"></script>
	  <script src="js/validator.js"></script>
    <!-- Sweet-Alert  -->
    <script src="plugins/bower_components/sweetalert/sweetalert.min.js"></script>
    <script src="plugins/bower_components/sweetalert/jquery.sweet-alert.custom.js"></script>
	<script src="plugins/bower_components/custom-select/custom-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-select/bootstrap-select.min.js" type="text/javascript"></script>
    <script src="plugins/bower_components/bootstrap-datepicker/bootstrap-datepicker.min.js" type="text/javascript"></script>
	<script>
		// For select 2
        $('#shippingOrigin').select2();
	</script>
    <!--Style Switcher -->
    <script src="plugins/bower_components/styleswitcher/jQuery.style.switcher.js"></script>
    <!-- data table -->
    <script src="plugins/bower_components/datatables/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/plug-ins/1.10.21/sorting/date-uk.js"></script>
    <!--multiselect Dropdown-->
    <script>
    $(document).ready(function() {
	$('#ship_date').datepicker({});
	<?php 
		if($_COOKIE['err'] !='')
		{
			echo 'swal("'.$_COOKIE['status'].'", "'.$_COOKIE['title'].'", "'.$_COOKIE['err'].'");';
			?>
			setTimeout(function() {
				$(".confirm").trigger('click');
			}, 3000);
		   <?php
			setcookie('status', $_COOKIE['status'], time()-100);
			setcookie('title', $_COOKIE['title'], time()-100);
			setcookie('err', $_COOKIE['err'], time()-100);
		}
		?>
	});
    </script>
    
</body>
</html>